const BaseUrl = 'https://api.vijayam.in'
// const BaseUrl = 'http://localhost:5080'


const defaultConfig = {
  license: "AB1AW-1J6E1-BLK56-MM1QZ",
  placeholder: "Start writing here...",
  readonly: false,
  uploader: {
    insertImageAsBase64URI: false,
    url: `${BaseUrl}/api/upload/get`,
    format: "json",
    filesVariable: () => "image",
    withCredentials: false,
    headers: {},
    prepareData: (formData) => {
      let file = formData.get("files[0]");
      if (file) {
        formData.append("image", file);
      }
      formData.delete("source");
      formData.delete("path");
      formData.delete("files[0]");
      return formData;
    },
    isSuccess: function (resp) {
      return !resp.error;
    },
    getMsg: function (resp) {
      return resp.message;
    },
    process: function (resp) {
      return {
        files: [`${BaseUrl}/uploads/contentImage/${resp.url}`], // get image from here
        path: "",
        baseurl: "",
        error: resp.error ? 1 : 0,
        msg: resp.msg,
      };
    },
    defaultHandlerSuccess: function (data, resp) {
      const files = data.files || [];
      if (files.length) {
        this.selection.insertImage(files[0], null, 250);
      }
    },
    defaultHandlerError: function (resp) {
      this.events.fire("errorPopap", this.i18n(resp.msg));
    },
  },
  fullsize: false,
  askBeforePasteHTML: false,
  spellcheck: true,
  imageDefaultWidth: 350,
  imageDefaultHeight: 350,
  width: "auto",
  height: "auto",
  minHeight: 300,
  defaultActionOnPaste: "insert_clear_html",
  toolbar: [
    "bold",
    "italic",
    "underline",
    "link",
    "image",
    "table",
    "list",
    "fullscreen",
  ],
  allowImageResize: true,
  allowFileUpload: true,
  pasteFromWord: {
		enable: true,
		convertUnitsToPixel: true,
		allowedStyleProps: [
			'background',
			'background-color',
			'border',
			'border-.*',
			'color',
			'font-family',
			'font-size',
			'font-style',
			'font-weight',
			'height',
			'line-height',
			'list-style-type',
			'margin',
			'margin-bottom',
			'margin-left',
			'margin-right',
			'margin-top',
			'padding',
			'text-align',
			'text-decoration',
			'text-indent',
			'vertical-align',
			'width'
		]
	},
  extraPlugins: ["pasteCode"],
};
export default defaultConfig;
