import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';

export default class AuthServices {

    static async login(data) {
        const option = {
            method: "POST",
            url: `${getAPIUrl}user/login`,
            timeout: 1000 * 60 * 60,
            data: data,
            headers: {
                "content-type": "application/json",
            },
        };
        return axios(option);
    }

    static async registration(data) {
        const option = {
            method: "POST",
            url: `${getAPIUrl}user/registration`,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async verifyToken() {
        const token = getToken('token')
        const option = {
            method: 'GET',
            url: `${getAPIUrl}user/info`,
            headers: {
                'Authorization': token ? `Bearer ${token}` : undefined
            }
        };
        return axios(option);
    }

    static async userProfileData() {
        const token = getToken('token')
        const option = {
            method: 'GET',
            url: `${getAPIUrl}user/userinfo`,
            headers: {
                'Authorization': token ? `Bearer ${token}` : undefined
            }
        };
        return axios(option);
    }

    static async userProfileUpdate(data, id) {
        const token = getToken('token')
        const option = {
            method: 'PUT',
            url: `${getAPIUrl}user/userupdate/${id}`,
            headers: {
                'Authorization': token ? `Bearer ${token}` : undefined
            },
            data: data
        };
        return axios(option);
    }

}