import { getAPIUrl } from '../common';
import axios from 'axios';

export default class CalenderServices {

    static async addCalenderEntry(data) {
        const option = {
            method: "POST",
            url: `${getAPIUrl}calendarBulletin/add`,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async getCalenderEntry(date) {
        const option = {
            method: "GET",
            url: `${getAPIUrl}calendarBulletin/get/${date}`,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }
    static async getSingleCalenderEntry(id) {
        console.log(id)
        const option = {
            method: "GET",
            url: `${getAPIUrl}calendarBulletin/gets/${id}`,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async getCalenderEntryfromLimits(data1,date2) {
        const data ={
            startdate:data1, enddate:date2
        }
        const option = {
            method: "POST",
            url: `${getAPIUrl}calendarBulletin/getforuser`,
            timeout: 1000 * 60 * 60,
            data:data
        };
        return axios(option);
    }
    static async getCalenderEntryfromAdmin(data1,date2) {
        const data ={
            startdate:data1, enddate:date2
        }
        const option = {
            method: "POST",
            url: `${getAPIUrl}calendarBulletin/getforadmin`,
            timeout: 1000 * 60 * 60,
            data:data
        };
        return axios(option);
    }

    static async deleteCalenderEntry(id) {
        const option = {
            method: "DELETE",
            url: `${getAPIUrl}calendarBulletin/delete/${id}`,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async updateCalenderEntry(id,data) {
        const option = {
            method: "PUT",
            url: `${getAPIUrl}calendarBulletin/update/${id}`,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }
    static async getforuser(data) {
        // console.log(data)
        const option = {
            method: "POST",
            url: `${getAPIUrl}calendarBulletin/getforuser`,
            timeout: 1000 * 60 * 60,
            data:data
        };
        return axios(option);
    }
}