import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';



export default class ExamSheetServices {
    static async createExamSheet(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}ExamSheet/create`,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }
    static async fetchExamSheet(quizId) {
        const token = getToken('token')
        const option = {
            method: "Get",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}ExamSheet/get/${quizId}`,
            timeout: 1000 * 60 * 60,
          
        };
        return axios(option);
    }   
    static async ExamSheetSubmit(quizId) {
        const token = getToken('token')
        const option = {
            method: "Get",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}ExamSheet/FinalSubmitExamSheet/${quizId}`,
            timeout: 1000 * 60 * 60,
          
        };
        return axios(option);
    }
}
