import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';

export default class FeedEntryServices {

    static async addFeedEntry(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}feedEntry/add`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async getFeedEntryforUser(Category) {
        
        const option = {
            method: "GET",
            url: `${getAPIUrl}feedEntry/getFront/${Category}`,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async getFeedEntry(data) {
       
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}feedEntry/get`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }


    static async deleteFeedEntry(id) {
        const token = getToken('token')
        const option = {
            method: "DELETE",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}feedEntry/delete/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async updateFeedEntry(id, data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}feedEntry/update/${id}`,
            timeout: 1000 * 60 * 60,
            withCredentials: true,
            data: data
        };
        return axios(option);
    }

    static async getFeedEntryToUpdate(id) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}feedEntry/get/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }


}