import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';

export default class HomePageServices {

    ///////////////// services for usefull links //////////////////

    static async addUsefullLinkEntry(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}useFullLinks/addLinks`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async getUsefullLink() {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}useFullLinks/getLinks`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }


    static async getUsefullLinkforuser() {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}useFullLinks/getLinksForuser`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async deleteUsefullLink(id) {
        const token = getToken('token')
        const option = {
            method: "DELETE",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}useFullLinks/deleteLinks/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async editUsefullLink(data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}useFullLinks/updateLinks`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async statusUpdateUsefullLink(id) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}useFullLinks/deactivate/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    ///////////////// services for usefull links //////////////////

    static async addSloksEntry(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Slok/addSlokEntry`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async getSloks() {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Slok/getSlokEntry`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async deleteSloks(id) {
        const token = getToken('token')
        const option = {
            method: "DELETE",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Slok/deleteSlokEntry/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async editSloks(data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Slok/updateSlokEntry`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async statusUpdateSloks(id) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Slok/deactivate/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }


    static async getSloksforuser() {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Slok/getSlokForuser`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }



/////////////////////////////// upcoming services////////////////////////////



static async addupComingUpdateEntry(data) {
    const token = getToken('token')
    const option = {
        method: "POST",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}UpcomingUpdate/add`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
        data: data
    };
    return axios(option);
}


static async getUpcomingUpdate() {
    const token = getToken('token')
    const option = {
        method: "GET",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}UpcomingUpdate/get`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}



static async editUpcomingUpdate(data) {
    const token = getToken('token')
    const option = {
        method: "PUT",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}UpcomingUpdate/update`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
        data: data
    };
    return axios(option);
}


static async statusUpdate(UpcomingUpdateId) {
    const token = getToken('token')
    const option = {
        method: "PUT",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}UpcomingUpdate/deactivate/${UpcomingUpdateId}`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}



static async deleteUpcomingUpdate(upcomingUpdateId) {
    const token = getToken('token')
    const option = {
        method: "DELETE",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}UpcomingUpdate/delete/${upcomingUpdateId}`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}



static async getUpcomingUpdateforuser() {
    const token = getToken('token')
    const option = {
        method: "GET",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}UpcomingUpdate/getForUser`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}





static async addMarquee(data) {
    const token = getToken('token')
    const option = {
        method: "POST",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}Marquee/add`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
        data: data
    };
    return axios(option);
}


static async getMarquee() {
    const token = getToken('token')
    const option = {
        method: "GET",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}Marquee/get`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}


static async getMarqueeForUser() {
    const token = getToken('token')
    const option = {
        method: "GET",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}Marquee/geForUser`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}


static async statusUpdateMarquee(MarqueeId) {
    const token = getToken('token')
    const option = {
        method: "PUT",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}Marquee/deactivate/${MarqueeId}`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}


static async deleteMarquee(MarqueeId) {
    
    const token = getToken('token')
    const option = {
        method: "DELETE",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}Marquee/delete/${MarqueeId}`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
    };
    return axios(option);
}



static async editMarquee(data) {
    const token = getToken('token')
    const option = {
        method: "PUT",
        headers: {
            Authorization: `Bearer ${token}`,
        },
        url: `${getAPIUrl}Marquee/update`,
        withCredentials: true,
        timeout: 1000 * 60 * 60,
        data: data
    };
    return axios(option);
}


}
