import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';

export default class QuestionUploadServices {

    static async QuestionUpload(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}UploadExcel/upload`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }
    static async SingleQuestionUpload(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}UploadExcel/uploadsingle`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }
    static async SingleQuestionEdit(id,data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}UploadExcel/singleQueEdit/${id}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }
    static async getbyQestionsId(questionid) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}UploadExcel/getbyQestionsId/${questionid}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }
}
