import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';

export default class QuizServices {


    //========================================this route for onliy Users=====================================//
    static async getQuizListbyChapterIdforuser(SubjectId) {
        const token = getToken('token');
        const apiUrl = `${getAPIUrl}quiz/allQuizAdmin`;

        // Construct URL with optional query parameters
        const queryParams = new URLSearchParams();
        if (SubjectId) queryParams.append('SubjectId', SubjectId);
        if (SubjectId) queryParams.append('IsActive', true);
        const finalUrl = `${apiUrl}?${queryParams.toString()}`;

        const options = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: finalUrl,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };

        return axios(options);
    }

    static async getResultFinalSUbmit(QuizId) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/quizeResult/?quizId=${QuizId}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }




    //===============================this is all route for onliy Admin=================================//


    static async QuizEntry(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/create`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async QuizUpdate(data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/updateQuize`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async getQuizListbyChapterIdAdmin(SubjectId,PartId, ChapterId) {
        const token = getToken('token');
        const apiUrl = `${getAPIUrl}quiz/allQuizAdmin`;

        // Construct URL with optional query parameters
        const queryParams = new URLSearchParams();
        if (SubjectId) queryParams.append('SubjectId', SubjectId);
        if (PartId) queryParams.append('PartId', PartId);
        if (ChapterId) queryParams.append('ChapterId', ChapterId);
        const finalUrl = `${apiUrl}?${queryParams.toString()}`;

        const options = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: finalUrl,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };

        return axios(options);
    }

    static async getQuizwiseAllQuestions(QuizId, page) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/getquizAllQue/${QuizId}?page=${page}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async ManualAddQuestion(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/manualAddQuestion`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);

    }

    static async autoAddQuestion(QuizId) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/autoAddQuestion/${QuizId}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }
    static async getOneQuizWithQuestion(QuizId) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/getOneWithQue/${QuizId}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async questionCount(QuizId) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/questionCount/${QuizId}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }
    static async getSingalQuiz(QuizId) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/getSingleQuiz/${QuizId}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }



    //===================================this route used for both user/admin===========================//
    static async getAutoaddedQestion(QuizId) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}quiz/getAutoaddedQestion/${QuizId}`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }
}