import { getAPIUrl } from '../common';
import axios from 'axios';
export default class SubjectTreeServices {
  static async getTreeNode(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/get/${nodeid}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }
  static async getTreeNodeFrontEndcantent(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getTowLevelTreeNode/${nodeid}?isCantents=${true}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }

  static async getOneLeveTreeDataCantent(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getoneLevelTreeNode/${nodeid}?isCantents=${true}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }
  static async getTreeNodeFrontEndPractice(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getTowLevelTreeNode/${nodeid}?isPractice=${true}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }

  // getOneLeveTreeDataQuestion
  static async getOneLeveTreeDataPractice(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getoneLevelTreeNode/${nodeid}?isPractice=${true}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }
  static async getTreeNodeFrontEndQuiz(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getTowLevelTreeNode/${nodeid}?isQuiz=${true}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }
  static async getTreeNodeFrontEndQuiz(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getTowLevelTreeNode/${nodeid}?isQuiz=${true}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }

  // getOneLeveTreeDataQuestion
  static async getOneLeveTreeDataforadmin(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/getoneLevelTreeNodeforadmin/${nodeid}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }


  static async getchapterlist(nodeid) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}tree/unitsesc/${nodeid}`,
      timeout: 1000 * 60 * 60,

    };
    return axios(option);
  }
  static async addNode(nodeid, values) {
    const option = {
      method: "POST",
      url: `${getAPIUrl}tree/addnode/${nodeid}`,
      timeout: 1000 * 60 * 60,
      data: values,
      headers: {
        "Content-Type": "multipart/form-data"
      },
      withCredentials: true,
    };
    return axios(option);
  }

  static async editNode(nodeid, values) {
    const option = {
      method: "PUT",
      url: `${getAPIUrl}tree/updatenode/${nodeid}`,
      timeout: 1000 * 60 * 60,
      data: values
    };
    return axios(option);
  }
  static async deleteTreeNode(nodeid) {
    const option = {
      method: "DELETE",
      url: `${getAPIUrl}tree/deleteTreeNode/${nodeid}`,
      timeout: 1000 * 60 * 60,
    };
    return axios(option);
  }


  static async addChapterContent(nodeid, values) {
    const option = {
      method: "POST",
      url: `${getAPIUrl}chapterContent/add/${nodeid}`,
      headers: {
        "Content-Type": "multipart/form-data"
      },
      timeout: 1000 * 60 * 60,
      data: values,
      withCredentials: true,
    };
    return axios(option);
  }

  static async singleContent(id) {
    const option = {
      method: "GET",
      url: `${getAPIUrl}chapterContent/get/${id}`,
      timeout: 1000 * 60 * 60,
    };
    return axios(option);
  }



  static async deleteTreeNodewithcontant(id) {
    const option = {
      method: "delete",
      url: `${getAPIUrl}chapterContent/delete/${id}`,
      headers: {
        "Content-Type": "multipart/form-data"
      },
      timeout: 1000 * 60 * 60,
      withCredentials: true,
    };
    return axios(option);
  }

  static async updateContent(id, data) {
    const option = {
      method: "Put",
      url: `${getAPIUrl}chapterContent/update/${id}`,
      headers: {
        "Content-Type": "multipart/form-data"
      },
      timeout: 1000 * 60 * 60,
      data: data,
      withCredentials: true,
    };
    return axios(option);
  }

}   