import { getToken } from '@/utils/Token';
import { getAPIUrl } from '../common';
import axios from 'axios';

export default class SubscriptionServices {

    static async addSubscription(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Subscription/create`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }

    static async getSubscription() {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                "content-type": "application/json",
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Subscription/get`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
        };
        return axios(option);
    }

    static async updateSubscription(SubscriptionId, data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Subscription/update/${SubscriptionId}`,
            timeout: 1000 * 60 * 60,
            withCredentials: true,
            data: data
        };
        return axios(option);
    }

    static async statusUpdateVisible(SubscriptionId,data) {
        const token = getToken('token')
        const option = {
            method: "PUT",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Subscription/updateStatus/${SubscriptionId}`,
            timeout: 1000 * 60 * 60,
            withCredentials: true,
            data: data
        };
        return axios(option);
    }

    static async getSubscriptionForUser() {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}Subscription/getForuser`,
            timeout: 1000 * 60 * 60,
            withCredentials: true,
        };
        return axios(option);
    }
    
    static async verifyPromoCode(promo_code,subscriptionId) {
        const token = getToken('token')
        const option = {
            method: "GET",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}UserSubscription/verifyPromoCode?promo_code=${promo_code}&subscriptionId=${subscriptionId}`,
            timeout: 1000 * 60 * 60,
            withCredentials: true,
        };
        return axios(option);
    }
    
    static async GoSubscribe(data) {
        const token = getToken('token')
        const option = {
            method: "POST",
            headers: {
                Authorization: `Bearer ${token}`,
            },
            url: `${getAPIUrl}UserSubscription/createSubscription`,
            withCredentials: true,
            timeout: 1000 * 60 * 60,
            data: data
        };
        return axios(option);
    }
    
}
