"use client";
import React, { useEffect, useState } from "react";
import "../PracticeQuestions/practice.css";
import "../subjectwise/subjectwise.css";
import { useRouter } from "next/navigation";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import { useSelector } from "react-redux";
import Loader from "@/component/common/Loader";
import { getAPIUrl } from "@/common";

const PracticeQuestions = () => {
  const router = useRouter();
  const language = useSelector((state) => state.language);
  const [chapterList, setChapterList] = useState([]);
  const [NodeId, setNodeId] = useState(0);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const imageUrl = getAPIUrl.split("/");
  const url = `${imageUrl[0]}//${imageUrl[2]}`;

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
    SubjectTreeServices.getTreeNodeFrontEndPractice(NodeId)
      .then(({ data }) => {
        setChapterList(data.tree);
      })
      .catch((err) => {
        console.log(err?.response?.data);
        setChapterList([]);
      });
  }, [NodeId, language]);

  if (!chapterList?.length > 0) {
    return <Loader />;
  }

  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <div>
          <div className="container">
            <h1 className="main_heading">Practice Questions</h1>
            <div className="text-center fw-bold">
              <span>
                {" "}
                <img
                  src="../image/yesIcon.jpg"
                  width="22px"
                  height="22px"
                  alt="pic"
                />
                Created by Experts{" "}
              </span>
              <span>
                <img
                  src="../image/yesIcon.jpg"
                  width="22px"
                  height="22px"
                  alt="pic"
                />
                Detailed Solution
              </span>
            </div>

            <div className="dynamicHeight">
              <div className="row ">
                {chapterList?.map((ele, i) => (
                  <div className="col-md-4 my-2" key={i}>
                    <button
                      className="btn-6 p-2 m-0"
                      onClick={() =>
                        router.push(`/practice/practicelist?id=${ele?.NodeId}`)
                      }
                    >
                      <span>
                        <img
                          className="usefull_image subject_image"
                          src={`${url}/uploads/${ele?.SubjectImage}`}
                          width="100%"
                          height="300px"
                          alt="pic"
                        />
                        <h3 className="subject_drop">{ele?.NodeName_E}</h3>
                      </span>
                    </button>
                  </div>
                ))}
              </div>
            </div>
          </div>
        </div>
      ) : (
        <div>
          <div className="container">
            <h1 className="main_heading2">अभ्यास प्रश्न</h1>
            <div className="text-center fw-bold">
              <span>
                {" "}
                <img
                  src="../image/yesIcon.jpg"
                  width="22px"
                  height="22px"
                  alt="pic"
                />
                विशेषज्ञों द्वारा निर्मित{" "}
              </span>
              <span>
                <img
                  src="../image/yesIcon.jpg"
                  width="22px"
                  height="22px"
                  alt="pic"
                />
                विस्तृत समाधान
              </span>
            </div>
            <div className="dynamicHeight">
              <div className="row">
                {chapterList?.map((ele, i) => (
                  <div className="col-md-4" key={i}>
                    <button
                      className="btn-6 p-2 my-2 m-0"
                      onClick={() =>
                        router.push(`/practice/practicelist?id=${ele?.NodeId}`)
                      }
                    >
                      <span>
                        <img
                          className="usefull_image subject_image"
                          src={`${url}/uploads/${ele?.SubjectImage}`}
                          width="100%"
                          height="300px"
                          alt="pic"
                        />
                        <h3 className="subject_drop">{ele?.NodeName_H}</h3>
                      </span>
                    </button>
                  </div>
                ))}
              </div>
            </div>
          </div>
        </div>
      )}
    </>
  );
};

export default PracticeQuestions;
