"use client";
import React, { useEffect, useState } from "react";
import "@/app/PrivacyPolicy/privacypolicy.css";
import { useSelector } from "react-redux";
const page = () => {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);
  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
        localStorageLanguage == "ENGLISH" ? (
        <div className="container">
          <div className=" mt-4">
            <div className="">
            <div className="p-md-4 p-2" style={{boxShadow:"inset 2px 2px 20px var(--light)"}}>
                <h1 className="txt_div text-center">Privacy Policy</h1>
                <p>
                  One of the main priorities of VIJAYAM is the privacy of
                  visitors. This Privacy Policy document contains types of
                  information that is collected and recorded by VIJAYAM and how
                  we use it. If you have additional questions or require more
                  information about our Privacy Policy, do not hesitate to
                  contact us.
                </p>
                <p>
                  This privacy policy applies only to our online activities and
                  is valid for visitors to our website with regards to the
                  information that they shared and/or collect in VIJAYAM. This
                  policy is not applicable to any information collected offline
                  or via channels other than this website.
                </p>
                <h3>Consent</h3>
                <p>
                  By using our website, you hereby consent to our Privacy Policy
                  and agree to its terms.
                </p>
                <h3>Security</h3>
                <p>
                  We are committed to ensuring that your information remains
                  secure. In order to prevent unauthorised access or disclosure,
                  we have put in place suitable physical, electronic and
                  managerial procedures to safeguard and secure the information
                  we collect online. However, no data transmissions over the
                  internet can be guaranteed to be 100% secure. As a result,
                  while we strive to protect your personal information, we
                  cannot ensure or warranty the security of any information you
                  transmit to us via the internet, and you do so at your own
                  risk. Once we have received your transmission, we will use our
                  best efforts to ensure its security on our systems.
                </p>
                <h3>The Information We Collect</h3>
                <h4 className="fw-bold">
                  Information that you provide on our digital platforms:
                </h4>
                <p>
                  While registering and/or subscribing to the content on our
                  website (some may be optional).{" "}
                </p>
                <p className="mt-3">▪️ Name</p>
                <p>▪️ DOB </p>
                <p>▪️ Gender</p>
                <p>▪️ Email ID</p>
                <p>▪️ Address</p>
                <p>▪️ Mobile Number</p>
                <h4 className="fw-bold">
                  Information that we collect as you use our services:
                </h4>
                <h5>Device Information:</h5>
                <p>
                  <span>▪️ Device Attributes</span> : Information such as the
                  operating system, hardware and software versions, browser
                  types
                </p>
                <p>
                  <span>▪️ Device Operations</span> : Information about
                  operations performed on the device, such as mouse clicks,
                  article scrolls, browser actions
                </p>
                <p>
                  <span>▪️ Identifiers : </span> Unique identifiers, Device
                  IDs, another identifier
                </p>
                <p>
                  <span>▪️ Network and Connections</span> : Information such as
                  time zone, geographic location, IP address
                </p>
                <p>
                  <span>▪️ Cookie Data</span> : Data from cookies stored on your
                  device, including cookie IDs and settings
                </p>
                <h3>How We Collect and Use Your Information</h3>
                <h4>
                  We collect your personal information (and other information we
                  collect from you) to:
                </h4>
                <p>▪️ Provide services through our website(s) and app(s)</p>
                <p>▪️ Enhance your experience while using ous thror services</p>
                <p>▪️ Personalise content and advertisements you see</p>
                <p>
                  ▪️ Communicate with you: We use information that we collect,
                  such as your email address, to interact with you directly. For
                  example, we might send you reminders when your subscription is
                  about to expire or inform you when we have an offer that may
                  be of interest to you.
                </p>
                <h3> FAQs on Cookies We Use</h3>
                <h4 className="fw-bold">What are cookies?</h4>
                <p>
                  A cookie is a small piece of information sent from websites
                  you visit to your computer to help identify you quickly.
                  Cookies are not used to identify individuals personally and no
                  personal information is stored in relation to the cookies.
                </p>
                <h4 className="fw-bold mt-3">
                  What are site functionality cookies?
                </h4>
                <p>
                  {" "}
                  Our websites use browser cookies to determine whether a user
                  is signed in or not. We also use cookies to ensure that a
                  piece of information is only displayed to users a certain
                  number of times.
                </p>
                <h4 className="fw-bold mt-3">What are third-party cookies?</h4>
                <p>
                  We use third-party advertising companies to display
                  advertising when you visit our websites. Cookies are used in
                  the software that displays these advertisements, known as
                  third-party cookies. These cookies may be used to help display
                  more relevant advertisements to you. These companies may use
                  information (not including your name or email address) about
                  your visits to this and other sites in order to provide
                  advertisements about goods and services of interest to you.
                </p>
                <p>
                  Third-party cookies may include behavioural targeting cookies.
                  These are also intended to help display more relevant
                  advertisements to you by using information about other sites
                  you may have visited previously. Third-party cookies also
                  include those from ourdata analytics providers. These allow us
                  to analyse the use of our sites and do not identify users
                  individually.
                </p>

                <h3>Managing Your Personal Data Stored with Us</h3>
                <p>
                  Within the scope of services that we offer and ones which you
                  have subscribed to, you have choices to manage, review and
                  update your information.
                </p>
                <p>
                  ▪️ You have the right to request us for copies of your
                  personal data that is with us. We may charge you a small fee
                  for this service.
                </p>
                <p>
                  ▪️ You have the right to request that we correct any
                  information you believe is inaccurate. You also have the right
                  to request us to complete the information you believe is
                  incomplete.
                </p>
                <p>
                  ▪️ You have the right to request that we erase your personal
                  data, under certain conditions.
                </p>
                <p>
                  ▪️ You have the right to request that we restrict the
                  processing of your personal data, under certain conditions.
                </p>

                <h3>Security of Data You Share with Us</h3>
                <p>
                  We implement appropriate security mechanisms that continuously
                  protect your information from unauthorised access and
                  disclosure. We limit access (to personal information) to those
                  who need it in order to process it.
                </p>
                <h3>Children</h3>
                <p>
                  We do not contact children under age 13 about special offers
                  or for marketing purposes without a parent's permission.
                </p>
                <h3>Copyright</h3>
                <p>
                  All information displayed, transmitted or
                  carried on VIJAYAM is protected by copyright
                  and other intellectual property laws.
                  You may not, under any circumstances, modify,
                  publish, distribute, repost, perform,
                  display or in any way commercially exploit
                  any of the content on this web Platform.
                </p>
                <h3>Changes to this Policy</h3>
                <p>
                  We change this Privacy Policy whenever such a need arises.
                  Your rights under this Privacy Policy will not be reduced
                  without your explicit consent. The last date on which this
                  policy was changed is notified at the bottom of this webpage.
                  Whenever there are significant changes, we will take measures
                  to notify you.
                </p>
              </div>
            </div>
          </div>
        </div>
      ) : (
        <div className="container">
          <div className=" mt-4">
            <div className="">
              <div className="p-md-4 p-2" style={{boxShadow:"inset 2px 2px 20px var(--light)"}}>
                <h1 className="txt_div text-center">गोपनीयता नीति</h1>
                <p>
                  विजयं की मुख्य प्राथमिकताओं में से एक आगंतुकों की गोपनीयता है।
                  इस गोपनीयता नीति दस्तावेज़ में शामिल है, विजयं द्वारा एकत्रित
                  और अभिलिखित की गई जानकारी के प्रकार और हम इसका उपयोग कैसे करते
                  हैं। यदि आपको हमारी गोपनीयता नीति के बारे में अधिक जानकारी की
                  आवश्यकता है, तो हमसे संपर्क करने में संकोच न करें।
                </p>
                <p>
                  यह गोपनीयता नीति केवल हमारी ऑनलाइन गतिविधियों पर लागू होती है
                  और हमारी वेबसाइट पर आने वाले आगंतुकों के लिए उस जानकारी के
                  संबंध में मान्य है जो उन्होंने विजयं में साझा की है। यह नीति
                  इस वेबसाइट के अलावा ऑफ़लाइन या अन्य चैनलों के माध्यम से एकत्र
                  की गई किसी भी जानकारी पर लागू नहीं है।
                </p>
                <h3>सहमति</h3>
                <p>
                  हमारी वेबसाइट का उपयोग करके, आप हमारी गोपनीयता नीति पर सहमति
                  देते हैं और इसकी शर्तों से सहमत होते हैं।
                </p>
                <h3>सुरक्षा</h3>
                <p>
                  हम यह सुनिश्चित करने के लिए प्रतिबद्ध हैं कि आपकी जानकारी
                  सुरक्षित रहे। अनधिकृत पहुंच या प्रकटीकरण को रोकने के लिए, हमने
                  ऑनलाइन एकत्र की गई जानकारी की सुरक्षा और सुरक्षा के लिए
                  उपयुक्त भौतिक, इलेक्ट्रॉनिक और प्रबंधकीय प्रक्रियाएं अपनाई
                  हैं। हालाँकि, इंटरनेट पर किसी भी डेटा ट्रांसमिशन के 100%
                  सुरक्षित होने की गारंटी नहीं दी जा सकती। परिणामस्वरूप, जबकि हम
                  आपकी व्यक्तिगत जानकारी की सुरक्षा करने का प्रयास करते हैं, हम
                  आपके द्वारा इंटरनेट के माध्यम से हमें प्रेषित किसी भी जानकारी
                  की सुरक्षा सुनिश्चित या वारंटी नहीं दे सकते हैं, और आप ऐसा
                  अपने जोखिम पर करते हैं। एक बार जब हमें आपका ट्रांसमिशन प्राप्त
                  हो जाएगा, तो हम अपने सिस्टम पर इसकी सुरक्षा सुनिश्चित करने के
                  लिए अपना सर्वश्रेष्ठ प्रयास करेंगे।
                </p>
                <h3>जानकारी जो हम एकत्र करते हैं</h3>
                <h4 className="fw-bold">
                  वह जानकारी जो आप हमारे डिजिटल प्लेटफ़ॉर्म पर प्रदान करते हैं:
                </h4>
                <p>
                  हमारी वेबसाइट पर सामग्री के लिए पंजीकरण और/या सदस्यता लेते समय
                </p>
                <p className="mt-3">▪️ नाम</p>
                <p>▪️ जन्म तिथि </p>
                <p>▪️ लिंग</p>
                <p>▪️ ईमेल आईडी</p>
                <p>▪️ पता</p>
                <p>▪️ मोबाइल नंबर</p>
                <h4 className="fw-bold">
                  जब आप हमारी सेवाओं का उपयोग करते हैं तो हम जो जानकारी एकत्र
                  करते हैं:
                </h4>
                <h5>डिवाइस जानकारी :</h5>
                <p>
                  <span>▪️ डिवाइस विशेषताएं </span>: ऑपरेटिंग सिस्टम, हार्डवेयर
                  और सॉफ़्टवेयर संस्करण, ब्राउज़र प्रकार जैसी जानकारी
                </p>
                <p>
                  <span>▪️ डिवाइस संचालन</span> : डिवाइस पर किए गए संचालन के
                  बारे में जानकारी, जैसे माउस क्लिक, लेख स्क्रॉल, ब्राउज़र
                  क्रियाएं
                </p>
                <p>
                  <span>▪️ पहचानकर्ता </span> :विशिष्ट पहचानकर्ता, डिवाइस आईडी,
                  अन्य पहचानकर्ता
                </p>
                <p>
                  <span>▪️ नेटवर्क और कनेक्शन </span> :समय क्षेत्र, भौगोलिक
                  स्थान, आईपी पता जैसी जानकारी
                </p>
                <p>
                  <span>▪️ कुकी डेटा</span> : कुकी आईडी और सेटिंग्स सहित आपके
                  डिवाइस पर संग्रहीत कुकीज़ से डेटा
                </p>
                <h3>हम आपकी जानकारी कैसे एकत्र और उसका उपयोग कैसे करते हैं</h3>
                <h4>
                  हम आपकी व्यक्तिगत जानकारी (और अन्य जानकारी जो हम आपसे) एकत्र
                  करते हैं:
                </h4>
                <p>
                  ▪️ हमारी वेबसाइट और ऐप के माध्यम से सेवाएं प्रदान करने में
                </p>
                <p>
                  ▪️ हमारी सेवाओं का उपयोग करते समय आपके अनुभव को बेहतर बनाने
                  में
                </p>
                <p>
                  ▪️ आपके द्वारा देखी जाने वाली सामग्री और विज्ञापनों को निजीकृत
                  करें
                </p>
                <p>
                  ▪️ आपके साथ संवाद करें: हम आपके साथ सीधे बातचीत करने के लिए
                  आपके द्वारा दी गई जानकारी, जैसे कि आपका ईमेल पता का उपयोग करते
                  हैं। उदाहरण के लिए, जब आपकी सदस्यता समाप्त होने वाली हो तो हम
                  आपको अनुस्मारक भेज सकते हैं या जब हमारे पास कोई ऐसा प्रस्ताव
                  हो जो आपकी रुचि का हो तो आपको सूचित कर सकता है
                </p>
                <h3>
                  {" "}
                  हमारे द्वारा उपयोग की जाने वाली कुकीज़ पर अक्सर पूछे जाने वाले
                  प्रश्न
                </h3>
                <h4 className="fw-bold">कुकीज़ क्या हैं?</h4>
                <p>
                  कुकी आपके द्वारा देखी जाने वाली वेबसाइटों से आपके कंप्यूटर पर
                  भेजी गई जानकारी का एक छोटा सा टुकड़ा है ताकि आपको तुरंत
                  पहचानने में मदद मिल सके। कुकीज़ का उपयोग व्यक्तियों की
                  व्यक्तिगत पहचान करने के लिए नहीं किया जाता है और कुकीज़ के
                  संबंध में कोई व्यक्तिगत जानकारी संग्रहीत नहीं की जाती है।
                </p>
                <h4 className="fw-bold mt-3">
                  साइट कार्यप्रणाली कुकीज़ क्या हैं?
                </h4>
                <p>
                  हमारी वेबसाइटें यह निर्धारित करने के लिए ब्राउज़र कुकीज़ का
                  उपयोग करती हैं कि कोई उपयोगकर्ता साइन इन है या नहीं। हम कुकीज़
                  का उपयोग यह सुनिश्चित करने के लिए भी करते हैं कि जानकारी का एक
                  भाग उपयोगकर्ताओं को केवल एक निश्चित संख्या में ही प्रदर्शित
                  किया जाए।
                </p>
                <h4 className="fw-bold mt-3">तृतीय-पक्ष कुकीज़ क्या हैं?</h4>
                <p>
                  जब आप हमारी वेबसाइटों पर जाते हैं तो विज्ञापन प्रदर्शित करने
                  के लिए हम तृतीय-पक्ष विज्ञापन कंपनियों का उपयोग करते हैं। इन
                  विज्ञापनों को प्रदर्शित करने वाले सॉफ़्टवेयर में कुकीज़ का
                  उपयोग किया जाता है, जिन्हें तृतीय-पक्ष कुकीज़ के रूप में जाना
                  जाता है। इन कुकीज़ का उपयोग आपके लिए अधिक प्रासंगिक विज्ञापन
                  प्रदर्शित करने में मदद के लिए किया जा सकता है। ये कंपनियाँ
                  आपकी रुचि की वस्तुओं और सेवाओं के बारे में विज्ञापन प्रदान
                  करने के लिए इस और अन्य साइटों पर आपकी यात्राओं के बारे में
                  जानकारी (आपका नाम या ईमेल पता शामिल नहीं) का उपयोग कर सकती
                  हैं।
                </p>
                <p>
                  तृतीय-पक्ष कुकीज़ में व्यवहारिक लक्ष्यीकरण कुकीज़ शामिल हो
                  सकती हैं। इनका उद्देश्य आपके द्वारा पहले देखी गई अन्य साइटों
                  के बारे में जानकारी का उपयोग करके आपको अधिक प्रासंगिक विज्ञापन
                  प्रदर्शित करने में मदद करना भी है। तृतीय-पक्ष कुकीज़ में हमारे
                  डेटा विश्लेषण प्रदाताओं की कुकीज़ भी शामिल हैं। ये हमें अपनी
                  साइटों के उपयोग का विश्लेषण करने की अनुमति देते हैं और
                  उपयोगकर्ताओं की व्यक्तिगत रूप से पहचान नहीं करते हैं।
                </p>

                <h3>हमारे पास संग्रहीत आपके व्यक्तिगत डेटा का प्रबंधन करना</h3>
                <p>
                  हम जो सेवाएँ प्रदान करते हैं और जिनकी आपने सदस्यता ली है, उनके
                  दायरे में, आपके पास अपनी जानकारी को प्रबंधित करने, समीक्षा
                  करने और अद्यतन करने के विकल्प हैं।
                </p>
                <p>
                  ▪️ आपको हमारे पास मौजूद अपने व्यक्तिगत डेटा की प्रतियों के लिए
                  हमसे अनुरोध करने का अधिकार है। इस सेवा के लिए हम आपसे एक छोटा
                  सा शुल्क ले सकते हैं।
                </p>
                <p>
                  ▪️ आपको यह अनुरोध करने का अधिकार है कि हम किसी भी जानकारी को
                  सही करें जो आपको लगता है कि गलत है। आपको हमसे उस जानकारी को
                  पूरा करने का अनुरोध करने का भी अधिकार है जिसके बारे में आपको
                  लगता है कि वह अधूरी है।
                </p>
                <p>
                  ▪️ आपको कुछ शर्तों के तहत यह अनुरोध करने का अधिकार है कि हम
                  आपका व्यक्तिगत डेटा मिटा दें।
                </p>
                <p>
                  ▪️ आपको यह अनुरोध करने का अधिकार है कि हम कुछ शर्तों के तहत
                  आपके व्यक्तिगत डेटा के प्रसंस्करण को प्रतिबंधित करें।
                </p>

                <h3>आपके द्वारा हमारे साथ साझा किए गए डेटा की सुरक्षा</h3>
                <p>
                  हम उचित सुरक्षा तंत्र लागू करते हैं जो आपकी जानकारी को अनधिकृत
                  पहुंच और प्रकटीकरण से लगातार सुरक्षित रखते हैं। हम (व्यक्तिगत
                  जानकारी तक) पहुंच उन लोगों तक सीमित करते हैं जिन्हें इसे
                  संसाधित करने के लिए इसकी आवश्यकता है।
                </p>
                <h3>बच्चे</h3>
                <p>
                  हम माता-पिता की अनुमति के बिना विशेष प्रस्तावों या व्यापार के
                  उद्देश्यों के लिए 13 वर्ष से कम उम्र के बच्चों से संपर्क नहीं
                  करते हैं।
                </p>
                <h3>कॉपीराइट</h3>
                <p>
                  विजयं पर प्रदर्शित, प्रसारित या प्रसारित की गई सभी जानकारी कॉपीराइट
                  और अन्य बौद्धिक संपदा कानूनों द्वारा संरक्षित है। आप किसी भी परिस्थिति में,
                  इस वेब प्लेटफ़ॉर्म की किसी भी सामग्री को संशोधित, प्रकाशित, वितरित, पुनः
                  प्रकाशित, प्रदर्शित या किसी भी तरह से व्यावसायिक रूप से उपयोग नहीं कर सकते हैं।
                </p>
                <h3>इस नीति में बदलाव</h3>
                <p>
                  जब भी आवश्यकता पड़ती है हम इस गोपनीयता नीति को बदल सकते हैं।
                  इस गोपनीयता नीति के तहत आपके अधिकार आपकी स्पष्ट सहमति के बिना
                  कम नहीं किये जायेंगे। इस वेबपेज के नीचे इस नीति में बदलाव की
                  अंतिम तिथि सूचित की गई है। जब भी महत्वपूर्ण परिवर्तन होंगे, हम
                  आपको सूचित करने के लिए उपाय करेंगे।
                </p>
              </div>
            </div>
          </div>
        </div>
      )}
    </>
  );
};

export default page;
