"use client";
import React, { useEffect, useState } from "react";
import "@/app/TermsConditions/termscondition.css";
import { useSelector } from "react-redux";
const page = () => {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);
  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <div className="container">
          <div className="cardimg_div mt-4">
            <div className="">
              <div className="card_div">
                <h1 className="txt_div text-center">Terms and Conditions</h1>
                <h3 className=" mt-4">Terms of Use</h3>
                <p>
                  Welcome to www.vijayam.in - the official website of VIJAYAM.
                  Firstly, an important message: Please read these Terms and
                  Conditions of Use carefully before using the Site or Service.
                  By accessing this Site and Service you/user/visitor
                  automatically confirm your acknowledgment and acceptance of
                  these Terms and Conditions.
                </p>
                <p>
                  We reserve the right to amend the Terms of Use at any time,
                  which shall be updated on this page, regularly, so that you
                  are always aware of the latest developments in the platform.
                  In case of any changes or updates, we shall endeavour to
                  notify You of such changes at the earliest. Nevertheless,
                  please ensure that You read our Terms of Use and any updated
                  version thereof before proceeding to use the platform or the
                  Services, as the case maybe. The Terms of Use is subject to be
                  amended without prior notice.
                </p>
                <p>
                  These Terms of Use apply solely to our platform. We are clear
                  that these Terms of Use are not applicable to other similar or
                  related platforms, and the Terms of Use of other platforms and
                  websites may vary. We are not responsible for the Terms of Use
                  of other such platforms.
                </p>
                <h3>Usage Rights</h3>
                <p>For personal use only:</p>

                <p className="mt-3">
                  • Your account and password are personal to you and may not be
                  used by anyone else to access the Site or Service.
                </p>
                <p>
                  • You will not do anything which would assist anyone who is
                  not a registered user to gain access to any registration area
                  of the Site or Service.{" "}
                </p>
                <p>
                  • You will not create registration accounts for the purpose of
                  abusing the functionality of the site, or other users.
                </p>

                <p>
                  <span>VIJAYAM</span> does not allow multiple users to access
                  the Site or Service through a single name and password and may
                  cancel or suspend your access to the Site or Service.
                </p>
                <p>
                  User will be permitted to login via limited number of devices.
                  In the event, user tries to exceed number of devices
                  permitted, User will receive a notification requesting him/her
                  to logout from one or more active devices.{" "}
                </p>

                <h3>Limitation of Liability</h3>
                <p>
                  <span>VIJAYAM</span> specifically disclaims any liability for
                  any direct, indirect, incidental, consequential, or special
                  damages arising out of or in any way connected with access to
                  or use of the Site & Service, including liability associated
                  with any viruses which may infect a user's computer equipment.
                </p>

                <h3> Privacy</h3>
                <p>
                  • Users are invited to submit comments, questions, ideas,
                  reviews, or any other information concerning VIJAYAM's website
                  and its services, provided they understand that such comments
                  will be subject to moderation and that VIJAYAM reserves the
                  right to remove or edit such content.{" "}
                </p>
                <p>
                  • All such submissions should not be illegal, obscene,
                  threatening, defamatory or infringing on privacy or on
                  intellectual property rights of others.
                </p>
                <h3> Confidentiality of User Communications</h3>
                <p>
                  • Except as required by law VIJAYAM will maintain the
                  confidentiality of all user communications which contain
                  personal user information and which are transmitted directly
                  to VIJAYAM.
                </p>
                <p>
                  • Postings by a user on any message board or in any chat room
                  will not be protected as confidential and VIJAYAM may use &
                  provide information contained in any such postings (including
                  any ideas, concepts, know-how or other intellectual property)
                  to VIJAYAM for any purpose whatsoever & as deemed appropriate
                  by VIJAYAM.
                </p>
                <h3> Linked Internet Sites</h3>
                <p>
                  • VIJAYAM reserves the right to disable any unauthorized links
                  or frames & specifically disclaims any responsibility for the
                  Content available on any other Internet sites linked to the
                  Site & Service.
                </p>
                <p>
                  • Access to any other Internet sites linked to the Site &
                  Service is at the user's own risk..
                </p>

                <h3>Violation of Terms and Conditions</h3>
                <p>
                  VIJAYAM reserves the right to seek all remedies available at
                  law for violations of these T&C, including the right to block
                  access from a particular Internet address to the Site &
                  Service.
                </p>
                <h3>Access to Protected Areas by Password</h3>
                <p>
                  Access to & use of password protected areas of the Site &
                  Service is restricted to authorized users only. Unauthorized
                  individuals attempting to access these areas of the Site &
                  Service may be subject to prosecution
                </p>
                <h3>Online Payments</h3>
                <p>
                  This online payment system is provided by VIJAYAM. The terms
                  and conditions shall be amended, changed and/or modified from
                  time to time by the VIJAYAM and any such
                  amendments/modifications/ changes shall be effective
                  forthwith. Please read these terms carefully before using the
                  online payment facility for the Services of VIJAYAM. Using the
                  online payment facility on our Site & Service indicates that
                  you accept these terms and conditions. If you do not accept
                  these terms do not use this facility. All payments are subject
                  to the following conditions: -
                </p>

                <p>
                  • Please carefully read the description of the product/service
                  before proceeding with payment.
                </p>
                <p>
                  •Payment shall be made in advance for the Products and
                  Services.
                </p>
                <p>
                  • All prices quoted are in Indian Rupees. The VIJAYAM reserves
                  the right to change the prices at any time.
                </p>
                <p>
                  • Your payment will normally reach the VIJAYAM account to
                  which you are making a payment within one working days.
                </p>
                <p>
                  • The VIJAYAM cannot accept liability for a payment not
                  reaching the VIJAYAM account due to you quoting an incorrect
                  account number or incorrect personal details or for any other
                  fault. The VIJAYAM shall not accept liability if payment is
                  refused or declined by the net banking /credit card/debit
                  card/upi supplier for any reason.
                </p>
                <p>
                  • In no event, the VIJAYAM shall be liable for any loss,
                  damages, compensation whatsoever arising out of the use,
                  inability to use, or the results of use of this site, any
                  websites linked to this site.
                </p>
                <p>
                  • You are responsible for any fees that are payable including
                  any processing or other fees charged by the issuing
                  bank/payment provider.
                </p>
                <p>
                  • You agree to pay the fees at the rates notified to you at
                  the time you purchase your Subscription together with any
                  processing or other associated fees charged by the issuing
                  bank/payment provider.
                </p>
                <p>
                  • You are responsible for the payment of all charges
                  associated with the use, by you or someone else, of the Site &
                  Service using your ID.
                </p>
                <p>
                  • When you purchase a Subscription or access to any other
                  Content owned by VIJAYAM, you must provide VIJAYAM with
                  complete and accurate payment information.
                </p>
                <p>
                  • If VIJAYAM do does not receive payment authorisation or any
                  authorisation is subsequently cancelled, VIJAYAM may
                  immediately terminate or suspend your access to your
                  subscription or content and in suspicious circumstances we may
                  contact the issuing bank/payment provider and/or law
                  enforcement authorities.
                </p>

                <h4 className="fw-bold mt-3">Refunds</h4>
                <p>
                  • Refunds, if applicable, at the discretion of the VIJAYAM and
                  shall be made only to the net banking account/debit/credit
                  card used for the original transaction.
                </p>

                <p>
                  • For the avoidance of doubt nothing in this Policy shall
                  require the VIJAYAM to refund the Fees (or part thereof)
                  unless such Fees (or part thereof) have previously been
                  credited to the VIJAYAM account
                </p>
                <p>
                  • Please note that refunds on monthly plans can only be
                  processed within 1 days (24 hours) from purchase.
                </p>
                <p>
                  • No refund is applicable after 1 days from the day of
                  purchasing the product.
                </p>

                <h3>Registration and Password</h3>
                <p>
                 • Your email address and password are personal to you and
                  may not be used by anyone else to access the Site & Service.
                  VIJAYAM assumes that by signing up you are of a minimum of 12
                  years of age or above and if you are not, you have signed up
                  with the guidance and permission of your guardian. If not, the
                  responsibility will be borne by the guardian of the minor or
                  the minor, as the case may be.
                </p>
                <p>
                  • You will not do anything which would assist anyone who is
                  not a registered user to gain unauthorised access to
                  registration or subscription.
                </p>
                <p>
                  • You do not maliciously create additional registration
                  accounts for the purpose of abusing the functionality of the
                  Site & Service
                </p>
                <p>
                  • You comply with these terms and conditions. If, for any
                  reason, VIJAYAM believes that you have not complied with these
                  requirements, VIJAYAM may at own discretion, cancel your
                  access to the registration areas of the Site & Service and
                  without giving you any advance notice.
                </p>
                <p>
                  • You are responsible for keeping your information and
                  passwords up to date and confidential.
                </p>
                <p>
                  • Certain features of the Site and Service may be open to
                  registered users or subscribers only. By signing up on the
                  Site & Service and subscribing, you become a "Registered
                  User".
                </p>
                <p>
                  • Even if you are not subscribing, you still will become a
                  "Registered User".
                </p>
                <p>
                  • VIJAYAM reserves the right to amend or vary VIJAYAM Content
                  available to Registered Users from time to time.
                </p>
                <p>
                  • You agree to immediately notify VIJAYAM if you become aware
                  of the loss, theft or unauthorised use of any password, user
                  ID or e-mail address or of any Content.
                </p>
                <p>
                  • You will provide VIJAYAM with accurate, complete
                  registration information and inform VIJAYAM of any changes to
                  such information.
                </p>
                <p>
                  • Each registration and subscription are for the personal use
                  of the Registered User or subscriber only.
                </p>
                <p>
                  • You may not share your log-in details or password with any
                  other person.
                </p>
                <p>
                  • You may not share or transfer your subscription with anyone.
                </p>
                <p>
                  • VIJAYAM does not allow multiple users to access the Site
                  through a single name and password.
                </p>

                <h3>Subscription and Cancellation</h3>
                <p>
                  • VIJAYAM reserves the right to vary the amount of content and
                  types of service that it makes available to different
                  categories of users at any time, including without limitation
                  to Registered Users.
                </p>
                <p>
                  • VIJAYAM provides a subscription that allows our subscribers
                  to access content over the Internet to certain mobile phones,
                  computers and other devices. By subscribing to the VIJAYAM,
                  you deem to accept the Terms & Conditions.
                </p>
                <p>
                  • VIJAYAM will contact you at the end of the initial
                  subscription period with an offer to renew your subscription
                  at the then prevailing renewal rate, which may be changed from
                  time to time.
                </p>
                <p>
                  • The price to be paid for your Subscription will be made
                  clear to you on the Subscription order pages or otherwise
                  during the order process and may vary from time to time.
                </p>
                <h3>Cookies</h3>
                <p>• VIJAYAM respects your privacy</p>
                <p>
                  • The information that you provide about yourself to VIJAYAM
                  will be used in accordance with VIJAYAM's Privacy Policy.
                </p>
                <p>
                  • We employ the use of cookies. By accessing VIJAYAM, you
                  agreed to use cookies in agreement with the VIJAYAM's Privacy
                  Policy.
                </p>
                <p>
                  Cookies are used by our website to enable the functionality of
                  certain areas to make it easier for people visiting our
                  website. Some of our affiliate/advertising partners may also
                  use cookies.
                </p>

                <h3>Changes to the Site</h3>
                <p>
                  VIJAYAM reserves the right, in its discretion and at any time,
                  to suspend, change, modify, add or remove portions of the
                  content available on the Site & Service at any time and to
                  restrict the use and accessibility of the Site and Service.
                </p>
                <h3>Force Majeure</h3>
                <p>
                  • VIJAYAM will not be held responsible for circumstances
                  beyond its control.
                </p>
                <p>
                  • VIJAYAM, its affiliates and its information providers will
                  not be liable or deemed to be in default for any delay or
                  failure in performance or interruption of the delivery of
                  VIJAYAM Content that may result directly or indirectly from
                  any cause or circumstance beyond its or their reasonable
                  control, including but not limited to failure of electronic or
                  mechanical equipment or communication lines, telephone or
                  other interconnect problems, computer viruses, unauthorised
                  access, theft, operator errors, severe weather, earthquakes or
                  natural disasters, strikes or other labour problems, wars, or
                  governmental restrictions.
                </p>
                <p className="fs-5 fw-bold">
                  We reserve the right to change the Terms of Use and notify the
                  same in our site and services.
                </p>
              </div>
            </div>
          </div>
        </div>
      ) : (
        <div className="container">
          <div className="cardimg_div mt-4">
            <div className="">
              <div className="card_div">
                <h1 className="txt_div text-center">नियम एवं शर्तें</h1>
                <h3 className=" mt-4">उपयोग की शर्तें</h3>
                <p>
                  विजयं की आधिकारिक वेबसाइट www.vijayam.in में आपका स्वागत है।
                  सबसे पहले एक महत्वपूर्ण संदेश: कृपया इस साइट या इसकी सेवाओं का
                  उपयोग करने से पहले उपयोग के इन नियमों और शर्तों को ध्यान से
                  पढ़ें। इस साइट और इसकी सेवाओं तक पहुंच कर आप/उपयोगकर्ता/आगंतुक
                  स्वतः इन नियमों एवं शर्तों पर अपनी स्वीकृति की पुष्टि करते
                  हैं।
                </p>
                <p>
                  हम किसी भी समय उपयोग की शर्तों में संशोधन करने का अधिकार
                  सुरक्षित रखते हैं, जिन्हें इस पृष्ठ पर नियमित रूप से नवीनीकरण
                  किया जाएगा, ताकि आप इस मंच पर हुए नवीनतम विकास से हमेशा अवगत
                  रहें। किसी भी बदलाव या नवीनीकरण के मामले में हम आपको जल्द से
                  जल्द ऐसे बदलावों के बारे में सूचित करने का प्रयास करेंगे। फिर
                  भी कृपया सुनिश्चित करें कि इस मंच या इसकी सेवाओं का उपयोग करने
                  के लिए आगे बढ़ने से पहले आप हमारी उपयोग की शर्तों और उसके किसी
                  भी अद्यतन संस्करण को पढ़ लें जैसा भी मामला हो। उपयोग की शर्तों
                  में बिना किसी पूर्व सूचना के संशोधन किया जा सकता है।
                </p>
                <p>
                  उपयोग की ये शर्तें पूरी तरह से हमारे मंच पर लागू होती हैं। हम
                  स्पष्ट करते हैं कि उपयोग की ये शर्तें अन्य समान या संबंधित मंच
                  पर लागू नहीं हैं, और अन्य मंच और वेबसाइटों के उपयोग की शर्तें
                  भिन्न हो सकती हैं। हम ऐसे अन्य मंचों के उपयोग की शर्तों के लिए
                  ज़िम्मेदार नहीं हैं।
                </p>
                <h3>उपयोग के अधिकार</h3>
                <p>केवल व्यक्तिगत उपयोग के लिए:</p>

                <p className="mt-3">
                  • आपका खाता और पासवर्ड आपके लिए व्यक्तिगत है और इस साइट या
                  इसकी सेवाओं तक पहुंचने के लिए किसी अन्य द्वारा इसका उपयोग नहीं
                  किया जा सकता है।
                </p>
                <p>
                  • आप ऐसा कुछ भी नहीं करेंगे जिससे किसी गैर-पंजीकृत उपयोगकर्ता
                  को इस साइट या इसकी सेवाओं के किसी भी पंजीकरण क्षेत्र तक पहुंच
                  प्राप्त करने में सहायता हो।
                </p>
                <p>
                  • आप इस साइट या अन्य उपयोगकर्ताओं की कार्यक्षमता का दुरुपयोग
                  करने के उद्देश्य से पंजीकरण खाते नहीं बनाएंगे।
                </p>

                <p>
                  <span>विजयं</span> एक ही नाम और पासवर्ड के माध्यम से कई
                  उपयोगकर्ताओं को इस साइट या इसकी सेवाओं तक पहुंचने की अनुमति
                  नहीं देता है और इस साइट या इसकी सेवाओं तक आपकी पहुंच रद्द या
                  निलंबित कर सकता है।
                </p>
                <p>
                  उपयोगकर्ता को सीमित संख्या में उपकरणों के माध्यम से लॉगिन करने
                  की अनुमति होगी। यदि उपयोगकर्ता अनुमत उपकरणों की संख्या को पार
                  करने का प्रयास करता है तो ऐसी स्थिति में, उपयोगकर्ता को एक
                  अधिसूचना प्राप्त होगी जिसमें उसे एक या अधिक सक्रिय उपकरणों से
                  लॉगआउट करने का अनुरोध किया जाएगा।
                </p>

                <h3>दायित्व की सीमा</h3>
                <p>
                  <span>विजयं</span> विशेष रूप से इस साइट और इसकी सेवाओं तक
                  पहुंच या उपयोग से उत्पन्न किसी भी प्रत्यक्ष, अप्रत्यक्ष, या
                  आकस्मिक क्षति के लिए किसी भी प्रकार के दायित्व को अस्वीकार
                  करता है, जिसमें किसी भी वायरस से जुड़ा दायित्व भी शामिल है जो
                  उपयोगकर्ता के कंप्यूटर उपकरण को संक्रमित कर सकता है।
                </p>

                <h3> गोपनीयता</h3>
                <p>
                  • उपयोगकर्ताओं को विजयं की वेबसाइट और उसकी सेवाओं से संबंधित
                  टिप्पणियां, प्रश्न, विचार, समीक्षा या कोई अन्य जानकारी
                  प्रस्तुत करने के लिए आमंत्रित किया जाता है, बशर्ते वे समझें कि
                  ऐसी टिप्पणियां समभाव हो और विजयं ऐसी सामग्री को हटाने या
                  संपादित करने का अधिकार सुरक्षित रखता है।
                </p>
                <p>
                  • ऐसी सभी प्रस्तुतियां जो अवैध, अश्लील, धमकी भरी, मानहानिकारक
                  या गोपनीयता या दूसरों के बौद्धिक संपदा अधिकारों का उल्लंघन
                  करने वाली नहीं होनी चाहिए।
                </p>
                <h3> उपयोगकर्ता के संचार की गोपनीयता</h3>
                <p>
                  • विधि की आवश्यकता को छोड़कर विजयं सभी उपयोगकर्ता संचारों की
                  गोपनीयता बनाए रखेगा जिसमें व्यक्तिगत उपयोगकर्ता जानकारी भी
                  शामिल है और जो सीधे विजयं को प्रेषित की जाती है।
                </p>
                <p>
                  • किसी भी संदेश बोर्ड पर या किसी भी चैट रूम में किसी
                  उपयोगकर्ता द्वारा की गई प्रविष्टि को गोपनीय के रूप में
                  संरक्षित नहीं किया जाएगा और विजयं ऐसी किसी भी प्रविष्टि (किसी
                  भी विचार, अवधारणा, जानकारी या अन्य बौद्धिक संपदा सहित) में
                  निहित जानकारी का उपयोग कर सकता है।
                </p>
                <h3> लिंक की गई इंटरनेट साइटें</h3>
                <p>
                  • विजयं के पास किसी भी अनधिकृत लिंक या फ्रेम को अक्षम करने का
                  अधिकार सुरक्षित है और विशेष रूप से साइट और सेवा से जुड़ी किसी
                  भी अन्य इंटरनेट साइटों पर उपलब्ध सामग्री के लिए किसी भी
                  जिम्मेदारी से इनकार करता है।
                </p>
                <p>
                  •  साइट और सेवा से जुड़ी किसी भी अन्य इंटरनेट साइट तक पहुंच
                  उपयोगकर्ता के अपने जोखिम पर है।
                </p>

                <h3>नियम एवं शर्तों का उल्लंघन</h3>
                <p>
                  विजयं के पास इन नियमों और शर्तों के उल्लंघन के लिए कानून में
                  उपलब्ध सभी विकल्पों की तलाश करने का अधिकार सुरक्षित है, जिसमें
                  किसी विशेष इंटरनेट पते से इस साइट और इसके सेवाओं तक पहुंच को
                  अवरुद्ध करने का अधिकार भी शामिल है।
                </p>
                <h3>पासवर्ड द्वारा संरक्षित क्षेत्रों तक पहुंच</h3>
                <p>
                  इस साइट और इसकी सेवाओं के पासवर्ड संरक्षित क्षेत्रों तक पहुंच
                  और उपयोग केवल अधिकृत उपयोगकर्ताओं तक ही सीमित है। इस साइट और
                  इसकी सेवाओं के इन क्षेत्रों तक पहुंचने का प्रयास करने वाले
                  अनधिकृत व्यक्तियों पर मुकदमा चलाया जा सकता है।
                </p>
                <h3>ऑनलाइन भुगतान</h3>
                <p>
                  यह ऑनलाइन भुगतान प्रणाली विजयं द्वारा प्रदान की गई है। इसके
                  नियम और शर्तों को विजयं द्वारा समय-समय पर परिवर्तित या संशोधित
                  किया जाएगा और ऐसे कोई भी संशोधन/परिवर्तन तुरंत प्रभावी होंगे।
                  विजयं की सेवाओं के लिए ऑनलाइन भुगतान सुविधा का उपयोग करने से
                  पहले कृपया इन शर्तों को ध्यान से पढ़ें। हमारी साइट और सेवा पर
                  ऑनलाइन भुगतान सुविधा का उपयोग करना इंगित करता है कि आप इन
                  नियमों और शर्तों को स्वीकार करते हैं। यदि आप इन शर्तों को
                  स्वीकार नहीं करते हैं तो इस सुविधा का उपयोग न करें। सभी भुगतान
                  निम्नलिखित शर्तों के अधीन हैं:-
                </p>

                <p>
                  • भुगतान करने से पहले कृपया उत्पाद/सेवा का विवरण ध्यान से
                  पढ़ें।
                </p>
                <p>• उत्पादों और सेवाओं के लिए अग्रिम भुगतान किया जाएगा।</p>
                <p>
                  • उद्धृत सभी कीमतें भारतीय रुपये में हैं। विजयं के पास किसी भी
                  समय कीमतें बदलने का अधिकार सुरक्षित है।
                </p>
                <p>
                  • आपका भुगतान आम तौर पर एक कार्य दिवस के भीतर विजयं खाते तक
                  पहुंच जाएगा जिसमें आप भुगतान कर रहे हैं।
                </p>
                <p>
                  • आपके द्वारा गलत खाता संख्या या गलत व्यक्तिगत विवरण उद्धृत
                  करने या किसी अन्य गलती के कारण विजयम खाते तक भुगतान नहीं
                  पहुंचने के लिए विजयं उत्तरदायित्व स्वीकार नहीं कर सकता है। यदि
                  किसी भी कारण से नेट बैंकिंग/क्रेडिट कार्ड/डेबिट कार्ड/यूपीआई
                  द्वारा आपूर्ति कर्ता के भुगतान को अस्वीकार कर दिया जाता है तो
                  विजयं दायित्व स्वीकार नहीं करेगा।
                </p>
                <p>
                  • किसी भी स्थिति में विजयं इस साइट, इस साइट से जुड़ी किसी भी
                  वेबसाइट के उपयोग, उपयोग में असमर्थता या उपयोग के परिणामों से
                  होने वाली किसी भी हानि, क्षति, मुआवजे के लिए उत्तरदायी नहीं
                  होगा।
                </p>
                <p>
                  • आप जारीकर्ता बैंक/भुगतान प्रदाता द्वारा ली जाने वाली किसी भी
                  प्रोसेसिंग या अन्य शुल्क सहित देय किसी भी शुल्क के लिए
                  जिम्मेदार हैं।
                </p>
                <p>
                  • आप अपनी सदस्यता खरीदते समय आपको जारीकर्ता बैंक/भुगतान
                  प्रदाता द्वारा ली जाने वाली किसी भी प्रोसेसिंग या अन्य संबंधित
                  फीस के साथ अधिसूचित दरों पर शुल्क का भुगतान करने के लिए सहमत
                  हैं।
                </p>
                <p>
                  • आप या किसी अन्य व्यक्ति द्वारा आपकी आईडी का उपयोग करके इस
                  साइट और इसकी सेवाओं के उपयोग से जुड़े सभी शुल्कों के भुगतान के
                  लिए जिम्मेदार हैं।
                </p>
                <p>
                  • जब आप सदस्यता खरीदते हैं या विजयं के स्वामित्व वाली किसी
                  अन्य सामग्री तक पहुंच रखते हैं, तो आपको विजयं को पूर्ण और सटीक
                  भुगतान जानकारी प्रदान करनी होगी।
                </p>
                <p>
                  • यदि विजयं को भुगतान प्राधिकरण प्राप्त नहीं होता है या कोई
                  प्राधिकरण बाद में रद्द कर दिया जाता है, तो विजयं आपकी सदस्यता
                  या सामग्री तक आपकी पहुंच को तुरंत समाप्त या निलंबित कर सकता है
                  और संदिग्ध परिस्थितियों में हम जारीकर्ता बैंक/भुगतान प्रदाता
                  और/या कानून प्रवर्तन अधिकारियों से संपर्क कर सकते हैं।
                </p>

                <h4 className="fw-bold mt-3">धनवापसी</h4>
                <p>
                  • विजयम के विवेक पर धनवापसी निर्भर करता है और केवल मूल लेनदेन
                  के लिए उपयोग किए गए नेट बैंकिंग खाते/डेबिट/क्रेडिट कार्ड पर ही
                  किया जाएगा।
                </p>

                <p>
                  • संदेह से बचने के लिए इस नीति में विजयं को किसी शुल्क (या
                  उसका हिस्सा) वापस करने की आवश्यकता नहीं होगी, जब तक कि ऐसा
                  शुल्क (या उसका हिस्सा) पहले विजयं खाते में जमा नहीं किया गया
                  हो।
                </p>
                <p>
                  • कृपया ध्यान दें कि मासिक योजनाओं पर धनवापसी केवल खरीदारी के
                   1 दिन (24 घंटे) के भीतर ही शुरू किया जा सकता है।
                </p>
                <p>
                  • उत्पाद खरीदने के दिन से 1 दिन के बाद कोई धनवापसी लागू नहीं
                  होता है।
                </p>

                <h3>पंजीकरण और पासवर्ड</h3>
                <p>
                  • आपका ईमेल पता और पासवर्ड आपके लिए व्यक्तिगत है और इस साइट और
                  इसकी सेवाओं तक पहुंचने के लिए किसी अन्य द्वारा इसका उपयोग नहीं
                  किया जा सकता है। विजयं मानता है कि साइन अप करने पर आपकी आयु
                  न्यूनतम 12 वर्ष या उससे अधिक है और यदि आप नहीं हैं, तो आपने
                  अपने अभिभावक के मार्गदर्शन और अनुमति से साइन अप किया है। यदि
                  नहीं, तो जिम्मेदारी नाबालिग या नाबालिग के अभिभावक द्वारा वहन
                  की जाएगी, जैसा भी मामला हो।
                </p>
                <p>
                  • आप ऐसा कुछ भी नहीं करेंगे जिससे किसी ऐसे व्यक्ति को पंजीकरण
                  या सदस्यता तक अनधिकृत पहुंच प्राप्त करने में सहायता मिलेगी जो
                  पंजीकृत उपयोगकर्ता नहीं है।
                </p>
                <p>
                  • आप इस साइट और इसकी सेवाओं की कार्यक्षमता का दुरुपयोग करने के
                  उद्देश्य से दुर्भावनापूर्वक अतिरिक्त पंजीकरण खाते नहीं बनाते
                  हैं।
                </p>
                <p>
                  • आप इन नियमों और शर्तों का अनुपालन करते हैं। यदि किसी भी कारण
                  से विजयं को लगता है कि आपने इनका अनुपालन नहीं किया है, तो
                  विजयं अपने विवेक के आधार पर इस साइट और इसकी सेवाओं के पंजीकरण
                  क्षेत्रों तक आपकी पहुंच को रद्द कर सकता है और आपको कोई अग्रिम
                  सूचना दिए बिना।
                </p>
                <p>
                  • आप अपनी जानकारी और पासवर्ड को अद्यतन और गोपनीय रखने के लिए
                  जिम्मेदार हैं।
                </p>
                <p>
                  • इस साइट और इसकी कुछ विशेष सेवा केवल पंजीकृत उपयोगकर्ताओं या
                  ग्राहकों के लिए खुली हो सकती हैं। इस साइट और इसकी सेवाओं पर
                  साइन अप करके और सदस्यता लेकर आप एक "पंजीकृत उपयोगकर्ता" बन
                  सकते हैं।
                </p>
                <p>
                  • भले ही आप सदस्यता नहीं ले रहे हों फिर भी आप "पंजीकृत
                  उपयोगकर्ता" बन जाएंगे।
                </p>
                <p>
                  • विजयं समय-समय पर पंजीकृत उपयोगकर्ताओं के लिए उपलब्ध विजयं
                  सामग्री में संशोधन या बदलाव करने का अधिकार सुरक्षित रखता है।
                </p>
                <p>
                  • यदि आपको किसी पासवर्ड, उपयोगकर्ता आईडी या ई-मेल पते या किसी
                  सामग्री के नुकसान, चोरी या अनधिकृत उपयोग के बारे में पता चलता
                  है तो आप तुरंत विजयं को सूचित करने के लिए सहमत हैं।
                </p>
                <p>
                  • आप विजयं को सटीक एवं पूर्ण पंजीकरण जानकारी प्रदान करेंगे और
                  ऐसी जानकारी में किसी भी बदलाव के बारे में विजयं को सूचित
                  करेंगे।
                </p>
                <p>
                  • प्रत्येक पंजीकरण और सदस्यता केवल पंजीकृत उपयोगकर्ता या
                  ग्राहक के व्यक्तिगत उपयोग के लिए है।
                </p>
                <p>
                  • आप अपना लॉग-इन विवरण या पासवर्ड किसी अन्य व्यक्ति के साथ
                  साझा नहीं कर सकते।
                </p>
                <p>
                  • आप अपनी सदस्यता किसी के साथ साझा या स्थानांतरित नहीं कर
                  सकते।
                </p>
                <p>
                  • विजयं एक ही नाम और पासवर्ड के माध्यम से एकाधिक उपयोगकर्ताओं
                  को इस साइट और इसकी सेवाओं तक पहुंचने की अनुमति नहीं देता है।
                </p>

                <h3>सदस्यता और रद्दीकरण</h3>
                <p>
                  • विजयं किसी भी समय उपयोगकर्ताओं की विभिन्न श्रेणियों के लिए
                  सामग्री की मात्रा और सेवा के प्रकारों को अलग-अलग करने का
                  अधिकार सुरक्षित रखता है, जिसमें पंजीकृत उपयोगकर्ताओं को बिना
                  किसी सीमा के शामिल किया गया है।
                </p>
                <p>
                  • विजयं एक सदस्यता प्रदान करता है जो हमारे ग्राहकों को मोबाइल
                  फोन, कंप्यूटर और अन्य उपकरणों पर इंटरनेट पर सामग्री तक पहुंचने
                  की अनुमति देता है। विजयं की सदस्यता लेकर, आप इन नियम एवं
                  शर्तों को स्वीकार करते हैं।
                </p>
                <p>
                  • प्रारंभिक सदस्यता अवधि के अंत में विजयं आपसे तत्कालीन
                  प्रचलित नवीनीकरण दर पर आपकी सदस्यता को नवीनीकृत करने के
                  प्रस्ताव के साथ संपर्क करेगा, जिसे समय-समय पर बदला जा सकता है।
                </p>
                <p>
                  • आपकी सदस्यता के लिए भुगतान की जाने वाली कीमत आपको सदस्यता
                  आदेश पृष्ठों पर या अन्यथा आदेश प्रक्रिया के दौरान स्पष्ट कर दी
                  जाएगी और यह समय-समय पर भिन्न हो सकती है।
                </p>
                <h3>कुकीज़</h3>
                <p>• विजयं आपकी निजता का सम्मान करता है।</p>
                <p>
                  • आप विजयं को अपने बारे में जो जानकारी प्रदान करते हैं उसका
                  उपयोग विजयं की गोपनीयता नीति के अनुसार किया जाएगा।
                </p>
                <p>
                  • हम कुकीज़ का उपयोग करते हैं। विजयं तक पहुंच कर आप विजयं की
                  गोपनीयता नीति के अनुरूप कुकीज़ का उपयोग करने के लिए सहमत हुए
                  हैं।
                </p>
                <p>
                  कुकीज़ का उपयोग हमारी वेबसाइट द्वारा कुछ क्षेत्रों की
                  कार्यक्षमता को सक्षम करने के लिए किया जाता है ताकि हमारी
                  वेबसाइट पर आने वाले लोगों के लिए इसे आसान बनाया जा सके। हमारे
                  कुछ सहयोगी/विज्ञापन भागीदार भी कुकीज़ का उपयोग कर सकते हैं।
                </p>

                <h3>साइट में परिवर्तन</h3>
                <p>
                  विजयं अपने विवेक से किसी भी समय इस साइट और इसका सेवाओं पर
                  उपलब्ध सामग्री के कुछ हिस्सों को निलंबित करने, बदलने, संशोधित
                  करने, जोड़ने या हटाने और इस साइट एवं इसकी सेवाओं के उपयोग तथा
                  पहुंच को प्रतिबंधित करने का अधिकार सुरक्षित रखता है।
                </p>
                <h3>अप्रत्याशित घटना</h3>
                <p>
                  • विजयं को उसके नियंत्रण से परे परिस्थितियों के लिए जिम्मेदार
                  नहीं ठहराया जाएगा।
                </p>
                <p>
                  • विजयं और इसके सहयोगी किसी भी देरी या विफलता या विजयं की
                  सामग्री की डिलीवरी में रुकावट के लिए उत्तरदायी नहीं माने
                  जाएंगे, जो इसके या उनके उचित नियंत्रण से परे किसी भी कारण या
                  परिस्थिति से प्रत्यक्ष या अप्रत्यक्ष रूप से उत्पन्न हो सकता
                  है। , जिसमें इलेक्ट्रॉनिक या मैकेनिकल उपकरण या संचार लाइनों की
                  विफलता, टेलीफोन या अन्य इंटरनेट समस्याएं, कंप्यूटर वायरस,
                  अनधिकृत पहुंच, चोरी, ऑपरेटर त्रुटियां, गंभीर मौसम, भूकंप या
                  प्राकृतिक आपदाएं, हड़ताल या अन्य श्रम समस्याएं, सरकारी
                  प्रतिबंध शामिल हैं।
                </p>
                <p className="fs-5 fw-bold">
                  हम उपयोग की शर्तों को बदलने और इसे अपनी साइट और सेवाओं में
                  अधिसूचित करने का अधिकार सुरक्षित रखते हैं।
                </p>
              </div>
            </div>
          </div>
        </div>
      )}
    </>
  );
};

export default page;
