/* eslint-disable @next/next/no-img-element */
"use client";
import React, { useEffect, useState } from "react";
import "../../component/css/contactus.css";
import { useSelector } from "react-redux";

const AboutUs = () => {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);
  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <div className="mt-2">

                <div className="container item_img">
                    <img
                      src="../image/india-image.jpeg"
                      className="mobile_image"
                      alt="pic"
                    />
                  <div className="about_text">
                    <div className="border_line px-md-5 px-3">
                      <h2 className="mb-md-4 mb-2 text_item fw-bold text-center">About us</h2>
                      <p className="text_item">
                        Today, there is a plethora of education-related websites
                        available on the internet that provide educational
                        information in their own way but are still unable to
                        fully satisfy school students and competitive exam
                        aspirants.
                      </p>
                      <p className="text_item">
                        Vijayam is not just another educational website. On this
                        website, we try to provide detail and deep knowledge
                        about educational subjects, which is helpful to school
                        students and various competitive exam aspirants. The
                        study contents of this website are helpful for classes 6
                        to 12 and also various competitive examinations (e.g.,
                        UPSC, SSC, Railways, Banking, Defence, and all state's
                        competitive exams). For the preparation of various
                        competitive exams, a huge number of subject-wise
                        multiple-choice questions are available on this website.
                        These multiple-choice questions are arranged
                        chapter-wise, which is helpful for various competitive
                        exam aspirants. In the near future, we will also make
                        available a test series and current affairs for various
                        competitive examinations on this website. The objective
                        of this website is to provide proper knowledge about
                        educational subjects to students living in remote areas
                        of India. This website is helpful for students who want
                        to make competitive examination preparation easy.
                      </p>
                      <p className="text_item">
                        We finally hope that this website will help readers
                        better understand the various educational subjects.
                      </p>
                    </div>
                  </div>
                </div>
              </div>

      ) : (
        <div className="mt-2">
 
                <div className="container item_img">
                    <img
                      src="../image/india-image.jpeg"
                      className="mobile_image"
                      alt="pic"
                    />
                  <div className="about_text">
                    <div className="border_line  px-md-5 px-3">
                      <h2 className="mb-md-4 mb-2 fw-bold text_item text-center">हमारे बारे में</h2>
                      <p className="text_item">
                        आज इंटरनेट पर शिक्षा से संबंधित ढेर सारी वेबसाइटें
                        उपलब्ध हैं जो अपने-अपने तरीके से शैक्षिक जानकारी उपलब्ध
                        कराती हैं लेकिन फिर भी विद्यालय के छात्रों और प्रतियोगी
                        परीक्षा के परीक्षार्थियों को पूरी तरह से संतुष्ट करने
                        में असमर्थ हैं।
                      </p>
                      <p className="text_item">
                        विजयं सिर्फ एक और शैक्षिक वेबसाइट नहीं है। इस वेबसाइट पर
                        हम शैक्षिक विषयों के बारे में विस्तृत और गहन जानकारी
                        उपलब्ध करने का प्रयास करते हैं, जो विद्यालय के छात्रों
                        और विभिन्न प्रतियोगी परीक्षा के परीक्षार्थियों के लिए
                        सहायक है। इस वेबसाइट की अध्ययन सामग्री कक्षा 6 से 12 और
                        विभिन्न प्रतियोगी परीक्षाओं (जैसे संघ लोक सेवा आयोग,
                        कर्मचारी चयन आयोग, रेलवे, बैंकिंग और अन्य राज्यों की
                        सरकारी परीक्षाओं) के लिए उपयोगी है। विभिन्न प्रतियोगी
                        परीक्षाओं की तैयारी के लिए इस वेबसाइट पर बड़ी संख्या में
                        विषयवार एकाधिक विकल्पीय प्रश्न उपलब्ध हैं। इन एकाधिक
                        विकल्पीय प्रश्नों को अध्यायवार व्यवस्थित किया गया है, जो
                        विभिन्न प्रतियोगी परीक्षा के परीक्षार्थियों के लिए सहायक
                        है। निकट भविष्य में हम इस वेबसाइट पर विभिन्न प्रतियोगी
                        परीक्षाओं के लिए परीक्षण श्रृंखला और सामयिक घटनाक्रम भी
                        उपलब्ध कराएंगे। इस वेबसाइट का उद्देश्य भारत के दूरदराज
                        के क्षेत्रों में रहने वाले छात्रों को शैक्षिक विषयों के
                        बारे में उचित ज्ञान उपलब्ध करना है। यह वेबसाइट उन
                        छात्रों के लिए उपयोगी है जो प्रतियोगी परीक्षा की तैयारी
                        को आसान बनाना चाहते हैं।
                      </p>
                      <p className="text_item">
                        अंततः हम आशा करते हैं कि यह वेबसाइट पाठकों को विभिन्न
                        शैक्षिक विषयों को बेहतर ढंग से समझने में मदद करेगी।
                      </p>
                    </div>
                  </div>
                </div>
              </div>
   
      )}
    </>
  );
};

export default AboutUs;
