
"use client"
import HomePageServices from "@/Services/HomePageServices";
import { Button, Dialog, DialogContent, TextField } from "@mui/material";
import React, { useEffect, useState } from "react";
import { toast } from "react-toastify";
import { IconButton } from '@mui/material';
import { MdDelete } from "react-icons/md";
import { FaEdit } from "react-icons/fa";
import VisibilityIcon from '@mui/icons-material/Visibility';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';

const Page = () => {
    const [Texts_E, setTexts_E] = useState("")
    const [Texts_H, setTexts_H] = useState("")
    const [Remark, setRemark] = useState("")
    const [TableList, setTableList] = useState([])
    const [refresh, setrefresh] = useState(false)
    const [open, setOpen] = useState(false);
    const [Toggle, setToggle] = useState(false)
    const [Id, setId] = useState("")
    const [EditId, setEditId] = useState("")
    const [EditItems, setEditItems] = useState({})
    // Title,Texts,Remark
    const reset = () => {
        setTexts_E("")
        setTexts_H("")
        setRemark("")
    }
    const handleClose = () => {
        setOpen(false);
        setId("")
    };
    const submitHandeler = () => {
        HomePageServices.addMarquee({ Texts_H, Texts_E, Remark }).then(({ data }) => {
            toast.success(data.message)
            reset()
            setrefresh(!refresh)
            setToggle(false)
        }).catch((err) => {
            toast.error(err.response.data.error)
        })
    }

    const deleteHandeler = () => {
        HomePageServices.deleteMarquee(Id).then(({ data }) => {
            toast.success(data?.message)
            setOpen(false)
            setrefresh(!refresh)
        }).catch((err) => {
            setOpen(false)
            toast.error(err.response.data.error)
        })
    }

    const editHandle = (ele) => {
        setEditId(ele?.MarqueeId)
        setToggle(true)
        setEditItems(ele)
        setTexts_E(ele?.Texts_E)
        setTexts_H(ele?.Texts_H)
        setRemark(ele?.Remark)
    }

    const updateHandeler = () => {
        HomePageServices.editMarquee({ MarqueeId: EditId, Texts_E, Texts_H, Remark }).then(({ data }) => {
            setrefresh(!refresh)
            setToggle(false)
            reset()
        }).catch((err) => {
            toast.error(err.response.data.error)
        })
    }

    const toggleStatus = (id) => {
        HomePageServices.statusUpdateMarquee(id).then(({ data }) => {
            setrefresh(!refresh)
            toast.success(data.message)
        }).catch((err) => {
            console.log(err.response.data.error);
        })
    }


    useEffect(() => {
        HomePageServices.getMarquee().then(({ data }) => {
            setTableList(data?.data);
            toast.success(data.data.message)
        }).catch((err) => {
            toast.error(err.response.data.err)
        })
    }, [refresh])


    return (
        <>
            <div className="titleHeading d-flex justify-content-between">
                <span>Marquee</span>
                <Button variant="contained" className="submit_button px-4" size="small" onClick={() => {
                    setToggle(!Toggle)
                    reset()
                    setEditId("")
                }}>Add Marquee</Button>
            </div>
            {Toggle && <div className="brderTopDiv p-3">
                <div className="row">
                    <div className="col-md-8">
                        <div className="col-md-12 mb-3">
                            <TextField
                                id="outlined-multiline-static"
                                label="Texts English"
                                fullWidth
                                multiline rows={2}
                                onChange={(e) => setTexts_E(e.target.value)}
                                value={Texts_E}
                                size="small"
                                color="success"
                            />
                        </div>
                        <div className="col-md-12 mb-3">
                            <TextField
                                id="outlined-multiline-static"
                                label="Texts Hindi"
                                fullWidth
                                multiline rows={2}
                                onChange={(e) => setTexts_H(e.target.value)}
                                value={Texts_H}
                                size="small"
                                color="success"
                            />
                        </div>
                    </div>
                    <div className="col-md-4">
                        <div className="col-md-12 mb-2">
                            <TextField
                                id="outlined-multiline-static"
                                label="Remarks"
                                fullWidth
                                multiline rows={4}
                                onChange={(e) => setRemark(e.target.value)}
                                value={Remark}
                                size="small"
                                color="success"
                            />
                        </div>
                        <div className="col-md-12 mb-3">
                            {!EditId && <Button variant="contained" className="submit_button" fullWidth size="small" onClick={submitHandeler}>Submit</Button>}
                            {!!EditId && <Button variant="contained" className="submit_button" fullWidth size="small" onClick={updateHandeler}>update</Button>}
                        </div>
                    </div>
                </div>

            </div>}

            <div className=' brderTopDiv mt-3'>
                <table className='w-100 border'>
                    <thead className='theadcalenderlist'>
                        <tr>
                            <th style={{ width: "10%" }}>Sr. No</th>
                            <th style={{ width: "32%" }}>Texts_English</th>
                            <th style={{ width: "32%" }}>Texts_Hindi</th>
                            <th style={{ width: "8%", textAlign: "center" }}>Status</th>
                            <th style={{ width: "10%", textAlign: "center" }}>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        {TableList?.map((ele, i) => {
                            return <tr key={i}>
                                <td className="px-3 m-0" style={{ width: "10%" }}>{i + 1}</td>
                                <td className="p-0 m-0" style={{ width: "32%" }}>{ele?.Texts_E}</td>
                                <td className="p-0 m-0" style={{ width: "32%" }}>{ele?.Texts_H}</td>
                               
                                <td className="p-0 m-0" style={{ width: "8%", textAlign: "center" }}>
                                    {!!ele.Active ?
                                        <VisibilityIcon fontSize="small" sx={{ color: "green" }} onClick={() => toggleStatus(ele.MarqueeId)} />
                                        : <VisibilityOffIcon fontSize="small" sx={{ color: "red" }} onClick={() => toggleStatus(ele.MarqueeId)} />
                                    }</td>
                                <td className="p-0 m-0" style={{ width: "10%", textAlign: "center" }}>
                                    <div className="d-flex">
                                        <IconButton className='my-0 ' title='Edit' onClick={() => editHandle(ele)}>
                                            <FaEdit color='green' fontSize={20} />
                                        </IconButton>
                                        <IconButton className='my-0 ' title='Delete' onClick={() => {
                                            setId(ele.MarqueeId)
                                            setOpen(true)
                                        }}>
                                            <MdDelete color='red' fontSize={20} />
                                        </IconButton>
                                    </div>
                                </td>
                            </tr>
                        })}
                    </tbody>
                </table>
            </div>

            <Dialog
                open={open}
                // onClose={handleClose}
                aria-labelledby="alert-dialog-title"
                aria-describedby="alert-dialog-description"
            >

                <DialogContent className='dialog_container'>
                    <h5 className='mx-5 my-3 text-danger fw-bold'>Are you sure to delete</h5>
                    <div className='d-flex justify-content-center'>
                        <Button onClick={handleClose} variant='contained' className='cancel_button mx-3' size='small'>no</Button>
                        <Button onClick={deleteHandeler} variant='contained' className='submit_button' size='small'>yes</Button>
                    </div>
                </DialogContent>

            </Dialog>
        </>
    )
}

export default Page