'use client'
import React, { useEffect, useRef, useState } from "react";
import {useRouter, useParams } from 'next/navigation'

import "../../calenderentry/calenderentry.css"
import { Button, TextField } from "@mui/material";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import { toast } from "react-toastify";
import dynamic from "next/dynamic";
import defaultConfig  from "../../../../../config"
// import JoditEditor from "jodit-pro-react";
// const JoditEditor = dynamic(() => import("jodit-pro-react"), { ssr: false,  loading: () => <p>Loading editor...</p>, });
const JoditEditor = dynamic(() => import('jodit-pro-react'), {
  ssr: false,
  loading: () => <p>Loading editor...</p>,
  onError: (error) => {
      console.error('Failed to load editor', error);
  }
});

const AddContentNode = () => {
  const location = useParams()
  const [DescriptionEnglish, setDescriptionEnglish] = useState("");
  const [DescriptionHindi, setDescriptionHindi] = useState("");
  const [files, setFiles] = useState([]);
  const [Remarks, setRemarks] = useState("")
  const nodeId = location?.id?.split("%2C")[0]
  const nodefunction = location?.id?.split("%2C")[1]
  const editorE = useRef(null);
  const editorH = useRef(null);
  const router = useRouter()


  const filehandeler = (event) => {
    const file = event.target.files[0];
    if (file) {
      setFiles(file);
    }
  };
  const submithandelerForAdd = () => {
    const data = new FormData();
    if (DescriptionEnglish?.length < 30) {
      return toast.error("Please write content with at least 30 characters")
    }
    if (DescriptionHindi?.length < 30) {
      return toast.error("कृपया कम से कम 30 अक्षरों का सामग्री लिखें")
    }
    data.append('Description_H', DescriptionHindi);
    data.append('Description_E', DescriptionEnglish);
    data.append('Remark', Remarks);
    data.append('images', files);
    // data.append('pdf', files);

    SubjectTreeServices.addChapterContent(nodeId, data).then(({ data }) => {
      toast.success(data?.message)
      router.push("/admin/subjectentry")
    }).catch((err) => {
      toast.error(err?.response?.data?.error)
    })
  }

  // useEffect(() => {
  //   if (quill) {
  //     quill.on('text-change', (delta, oldDelta, source) => {
  //       setDescription(quill.root.innerHTML); // Get innerHTML using quill
  //     });
  //   }
  // }, [quill]);

  // useEffect(() => {
  //   if (quillEnglish) {
  //     quillEnglish.on('text-change', (delta, oldDelta, source) => {
  //       setDescriptionEnglish(quillEnglish.root.innerHTML);
  //     });
  //   }
  //   if (quillHindi) {
  //     quillHindi.on('text-change', (delta, oldDelta, source) => {
  //       setDescriptionHindi(quillHindi.root.innerHTML);
  //     });
  //   }
  //   // eslint-disable-next-line react-hooks/exhaustive-deps
  // }, [quillEnglish, quillHindi]);

  useEffect(() => {
    if (nodefunction == "edit") {
      SubjectTreeServices.singleContent(nodeId).then(({ data }) => {
        setDescriptionEnglish(data?.data?.Description_E)
        setDescriptionHindi(data?.data?.Description_H)
        setRemarks(data?.data?.Remark)
        // quillEnglish?.clipboard?.dangerouslyPasteHTML(data?.data?.Description_E);
        // quillHindi?.clipboard?.dangerouslyPasteHTML(data?.data?.Description_H);
      })
    }
    
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [nodefunction])


  const submithandelerForEdit = () => {
    const data = new FormData();
    data.append('Description_H', DescriptionHindi);
    data.append('Description_E', DescriptionEnglish);
    data.append('Remark', Remarks);
    data.append('images', files);
    // data.append('pdf', files);
    SubjectTreeServices.updateContent(nodeId, data).then(({ data }) => {
      toast.success(data?.message)
      router.push("/admin/subjectentry")
    }).catch((err) => {
    
        console.log(err?.response?.data); // Keep this for debugging
        toast.error("Failed to update content");
      // console.log(err?.response?.data);
    })
  }

  return (
    <>
      <div className="titleHeading d-flex justify-content-between">
        <span>English</span>
      </div>

      {/* <div className="calenderentry_main">
        <div className="calenderentry_quill" ref={quillRefEnglish} defaultValue={DescriptionEnglish} />
      </div> */}
      <JoditEditor
        ref={editorE}
        value={DescriptionEnglish}
        config={defaultConfig}
        tabIndex={1} // tabIndex of textarea
        onBlur={(newContent) => setDescriptionEnglish(newContent)} 
        onChange={(newContent) => {
          setDescriptionEnglish(newContent);
        }}
      />
      <div className="titleHeading d-flex justify-content-between " style={{ marginTop: "20px" }}>
        <span>Hindi</span>
      </div>
      {/* <div className="calenderentry_main">
        <div className="calenderentry_quill" ref={quillRefHindi} defaultValue={DescriptionHindi} />
      </div> */}
       <JoditEditor
        ref={editorH}
        value={DescriptionHindi}
        tabIndex={1} // tabIndex of textarea
        config={defaultConfig}
        onBlur={(newContent) => setDescriptionHindi(newContent)} 
        onChange={(newContent) => {
          setDescriptionHindi(newContent);
        }}
      />
      <div>
        <div className="row mx-0" style={{ marginTop: "20px" }}>
          <div className="col-md-4" style={{ padding: " 50px 20px", display: "flex", alignItems: "center", justifyContent: "center", borderRadius: "5px", border: "1px solid #ccc" }}>
            <input type="file" name="images" onChange={filehandeler} />
          </div>
          <div className="col-md-6">
            <TextField fullWidth
              id="outlined-multiline-static"
              label="Remarks"
              onChange={(e) => setRemarks(e.target.value)}
              multiline
              rows={4}
              value={Remarks}
            />
          </div>
          <div className="col-md-2" style={{ display: 'flex', alignItems: 'center', justifyContent: "center" }}>
            {nodefunction == "add" && <Button variant="contained" className="submit_button w-100" onClick={submithandelerForAdd}>submit</Button>}
            {nodefunction == "edit" && <Button variant="contained" className="submit_button w-100" onClick={submithandelerForEdit}>update</Button>}
          </div>
        </div>
      </div>
    </>
  )
}

export default AddContentNode