"use client";
import dynamic from "next/dynamic";
import React, { useEffect, useMemo, useRef, useState } from "react";

import "../calenderentry/calenderentry.css";
import { Button, TextField } from "@mui/material";
import CalenderServices from "@/Services/CalenderServices";
import { toast } from "react-toastify";
import { DemoContainer, DemoItem } from "@mui/x-date-pickers/internals/demo";
import { DatePicker } from "@mui/x-date-pickers/DatePicker";
import { AdapterDayjs } from "@mui/x-date-pickers/AdapterDayjs";
import { LocalizationProvider } from "@mui/x-date-pickers/LocalizationProvider";
import dayjs from "dayjs";
import { useRouter } from "next/navigation";
import { useSearchParams } from "next/navigation";
const JoditEditor = dynamic(() => import('jodit-pro-react'), {
  ssr: false,
  loading: () => <p>Loading editor...</p>,
  onError: (error) => {
      console.error('Failed to load editor', error);
  }
});

// const JoditEditor = dynamic(() => import("jodit-pro-react"), { ssr: false,  loading: () => <p>Loading editor...</p>, });
import defaultConfig  from "../../../../config"
const yesterday = dayjs();

export default function IndexPage() {
  const router = useRouter();
  const searchParams = useSearchParams();
  // const { quill, quillRef } = useQuill();

  const [filesImage, setFilesImage] = useState([]);
  const [filesPdf, setFilesPdf] = useState([]);
  const [Description_E, setDescription_E] = useState("");
  const [Description_H, setDescription_H] = useState("");
  const [selectedDate, setSelectedDate] = useState();
  const [Remarks, setRemarks] = useState("");
  const [Title_E, setTitle_E] = useState("");
  const [Title_H, setTitle_H] = useState("");
  const id = searchParams.get("Id");
  const EventDate = searchParams.get("EventDate");
  const editor = useRef(null);
  const editorH = useRef(null);




  ////////////////////////////// update ///////////////////////////
  useEffect(() => {
    if (searchParams.get("Id")) {
      CalenderServices.getSingleCalenderEntry(searchParams.get("Id"))
        .then(({ data }) => {
          console.log(data)
          setTitle_E(data?.data[0]?.Title_E);
          setTitle_H(data?.data[0]?.Title_H);
          setRemarks(data?.data[0]?.Remark);
          setDescription_E(data?.data[0]?.Texts_E);
          setDescription_H(data?.data[0]?.Texts_H);
          setSelectedDate(data?.data[0]?.EventDate && dayjs(data?.data[0]?.EventDate));
        })
        .catch((err) => {
          toast.error(err?.response?.data?.error);
        });
    }
  }, [searchParams]);

  ////////////////////////////// update ///////////////////////////

  const handleFileChangeforImage = (event) => {
    const file = event.target.files[0];

    // Check if a file is selected
    if (file) {
      // Check the file type using the file extension
      const fileType = file.type;
      const allowedFileTypes = ["image/jpeg", "image/png", "image/jpg"];

      if (allowedFileTypes.includes(fileType)) {
        // Valid file type, set the selected file
        setFilesImage(file);
      } else {
        // Invalid file type, reset the input
        alert("Invalid file type. Please select a JPG, JPEG, or PNG image.");
        event.target.value = "";
        setFilesImage(null);
      }
    }
  };
  const handleFileChangeforPdf = (event) => {
    const file = event.target.files[0];

    // Perform PDF file validation
    if (file && file.type === "application/pdf") {
      setFilesPdf(file);
      // You can perform additional actions here, e.g., upload the file, etc.
    } else {
      alert("Please select a valid PDF file.");
      // Reset the file input
      event.target.value = null;
    }
  };
  const handleDateChange = (date) => {
    setSelectedDate(date);
  };

  const submitHandeler = () => {
    const data = new FormData();
    if (Description_E?.length < 30) {
      return toast.error(
        "Please write a content in English atleast 30 characters"
      );
    }
    if (Description_H?.length < 30) {
      return toast.error(
        "Please write a content in Hindi atleast 30 characters"
      );
    }
    data.append("Texts_E", Description_E);
    data.append("Texts_H", Description_H);
    data.append("images", filesImage);
    data.append("pdf", filesPdf);
    data.append("Remark", Remarks);
    data.append("Title_E", Title_E);
    data.append("Title_H", Title_H);
    data.append("EventDate", selectedDate.format("YYYY-MM-DD"));
    // data.append('pdf', files);

    CalenderServices.addCalenderEntry(data)
      .then(({ data }) => {
        toast.success(data?.message);
        router.push(`/admin/calenderentry/list`);
      })
      .catch((err) => {
        toast.error(err?.response?.data?.error);
      });
  };

  const submithandelerForEdit = () => {
    const data = new FormData();
    if (Description_E?.length < 30) {
      return toast.error(
        "Please write a content in English atleast 30 characters"
      );
    }
    if (Description_H?.length < 30) {
      return toast.error(
        "Please write a content in Hindi atleast 30 characters"
      );
    }
    data.append("Texts_E", Description_E);
    data.append("Texts_H", Description_H);
    data.append("images", filesImage);
    data.append("pdf", filesPdf);
    data.append("Remark", Remarks);
    data.append("Title_E", Title_E);
    data.append("Title_H", Title_H);
    data.append("EventDate", selectedDate.format("YYYY-MM-DD"));
    CalenderServices.updateCalenderEntry(searchParams.get("Id"), data)
      .then(({ data }) => {
        toast.success(data?.message);
        router.push(`/admin/calenderentry/list`);
      })
      .catch((err) => {
        toast.error(err?.response?.data?.error);
      });
  };
console.log(selectedDate)
  return (
    <>
      <div className="titleHeading d-flex justify-content-between">
        <span>
          {searchParams.get("Id") ? "Update Calender Entry" : "Calender Entry"}
        </span>
        <Button
          variant="contained"
          className="submit_button px-4"
          size="small"
          onClick={() => router.push(`/admin/calenderentry/list`)}
        >
          entry list
        </Button>
      </div>
      <div className="row">
        <div className="col-md-6">
          <TextField
            id="outlined-multiline-static"
            label="English Title"
            fullWidth
            multiline
            rows={2}
            onChange={(e) => setTitle_E(e.target.value)}
            value={Title_E}
            focused={Title_E?.length > 0 && true}
            size="small"
            className="my-2"
            color="success"
          />
        </div>
        <div className="col-md-6">
          <TextField
            id="outlined-multiline-static"
            label="Hindi Title"
            fullWidth
            multiline
            rows={2}
            onChange={(e) => setTitle_H(e.target.value)}
            value={Title_H}
            focused={Title_H?.length > 0 && true}
            size="small"
            className="my-2"
            color="success"
          />
        </div>
      </div>
      <div>
        <h5>English Texts</h5>
      </div>
      <JoditEditor
        ref={editor}
        value={Description_E}
        config={defaultConfig}
        tabIndex={1} // tabIndex of textarea
        onBlur={(newContent) => setDescription_E(newContent)} // preferred to use only this option to update the content for performance reasons
        onChange={(newContent) => {
          setDescription_E(newContent);
        }}
      />
      <div className="row" style={{ marginTop: "10px" }}>
        <h5>Hindi Texts</h5>
      </div>
      <JoditEditor
        ref={editorH}
        value={Description_H}
        tabIndex={1} // tabIndex of textarea
        config={defaultConfig}
         onBlur={(newContent) => setDescription_H(newContent)} // preferred to use only this option to update the content for performance reasons
        onChange={(newContent) => {
          setDescription_H(newContent);
        }}
      />
      <div>
        <div className="row" style={{ marginTop: "50px" }}>
          <div className="col-md-4">
            <div className="borderfortop rounded py-2 px-3">
              <LocalizationProvider dateAdapter={AdapterDayjs}>
                <DemoItem label="Date">
                  <DatePicker
                    // defaultValue={selectedDate}
                    disablePast={false}
                    value={selectedDate}
                    format='DD-MM-YYYY'
                    views={["year", "month", "day"]}
                    onChange={handleDateChange}
                  />
                </DemoItem>
              </LocalizationProvider>
            </div>
          </div>
          <div className="col-md-4">
            <div className="borderfortop rounded p-3">
              <h6 className="mb-4">Upload Image</h6>

              <input
                type="file"
                id="image"
                name="image"
                accept=".jpg, .jpeg, .png"
                onChange={handleFileChangeforImage}
              />
            </div>
          </div>
          <div className="col-md-4">
            <div className="borderfortop rounded p-3">
              <h6 className="mb-4">Upload Pdf</h6>
              <input
                type="file"
                accept=".pdf"
                onChange={handleFileChangeforPdf}
              />
            </div>
          </div>
        </div>

        <div className="row mt-2">
          <div className="col-md-4">
            <TextField
              id="outlined-multiline-static"
              label="Remarks"
              multiline
              rows={4}
              fullWidth
              onChange={(e) => setRemarks(e.target.value)}
              value={Remarks}
              focused={Remarks?.length > 0 && true}
            />
          </div>

          <div className="col-md-4 d-flex justify-content-center  align-items-center">
            {!searchParams.get("Id") && (
              <Button
                variant="contained"
                className="submit_button px-5"
                onClick={submitHandeler}
              >
                Submit
              </Button>
            )}
            {searchParams.get("Id") && (
              <Button
                variant="contained"
                className="submit_button px-5"
                onClick={submithandelerForEdit}
              >
                update
              </Button>
            )}
          </div>
        </div>
      </div>
    </>
  );
}
