"use client"
import React, { useEffect, useRef, useState } from "react";

import "../calenderentry/calenderentry.css"
import { Button, TextField } from "@mui/material";
import { toast } from "react-toastify";
import { DemoItem } from '@mui/x-date-pickers/internals/demo';
import { DatePicker } from '@mui/x-date-pickers/DatePicker';
import { AdapterDayjs } from '@mui/x-date-pickers/AdapterDayjs';
import { LocalizationProvider } from '@mui/x-date-pickers/LocalizationProvider';
import dayjs from "dayjs";
import { useRouter } from 'next/navigation'
import { useSearchParams } from 'next/navigation'
import FeedEntryServices from "@/Services/FeedEntryServices";
import InputLabel from '@mui/material/InputLabel';
import MenuItem from '@mui/material/MenuItem';
import FormControl from '@mui/material/FormControl';
import Select from '@mui/material/Select';
import dynamic from "next/dynamic";
const JoditEditor = dynamic(() => import('jodit-pro-react'), {
  ssr: false,
  loading: () => <p>Loading editor...</p>,
  onError: (error) => {
      console.error('Failed to load editor', error);
  }
});

// const JoditEditor = dynamic(() => import("jodit-pro-react"), { ssr: false,  loading: () => <p>Loading editor...</p>, });
import defaultConfig  from "../../../../config"

const yesterday = dayjs();

export default function IndexPage() {
  const router = useRouter()
  const searchParams = useSearchParams();
  const [filesImage, setFilesImage] = useState([]);
  const [filesPdf, setFilesPdf] = useState([]);
  const [Title_E, setTitle_E] = useState("")
  const [Title_H, setTitle_H] = useState("")
  const [Description_E, setDescription_E] = useState("")
  const [Description_H, setDescription_H] = useState("")
  const [selectedDate, setSelectedDate] = useState(dayjs())
  const [Remarks, setRemarks] = useState("")
  const [Category, setCategory] = useState("")
  const [EditId, setEditId] = useState("")

  const editorE = useRef(null);
  const editorH = useRef(null);

  // useEffect(() => {
  //   if (quillEnglish) {
  //     quillEnglish.on('text-change', (delta, oldDelta, source) => {
  //       setDescription_E(quillEnglish.root.innerHTML); // Get innerHTML using quill
  //     });
  //   }
  //   if (quillHindi) {
  //     quillHindi.on('text-change', (delta, oldDelta, source) => {
  //       setDescription_H(quillHindi.root.innerHTML); // Get innerHTML using quill
  //     });
  //   }
  // }, [quillHindi,quillEnglish]);


  //////////////////////////////----------------Update start-------------///////////////////////////
  useEffect(() => {
    if (searchParams.get('Id')) {
      FeedEntryServices.getFeedEntryToUpdate(searchParams.get('Id')).then(({ data }) => {
        setEditId(data?.data?.FeedId)
        setTitle_H(data?.data?.Title_H)
        setTitle_E(data?.data?.Title_E)
        setRemarks(data?.data?.Remark)
        setDescription_H(data?.data?.Texts_H);
        setDescription_E(data?.data?.Texts_E);
        setCategory(data?.data?.Category)
      }).catch((err) => {
        console.log(err);
      })
    }
  }, [ searchParams])

  //////////////////////////////----------------Update end---------------///////////////////////////

  const handleFileChangeforImage = (event) => {
    const file = event.target.files[0];

    // Check if a file is selected
    if (file) {
      // Check the file type using the file extension
      const fileType = file.type;
      const allowedFileTypes = ['image/jpeg', 'image/png', 'image/jpg'];

      if (allowedFileTypes.includes(fileType)) {
        // Valid file type, set the selected file
        setFilesImage(file);
      } else {
        // Invalid file type, reset the input
        alert('Invalid file type. Please select a JPG, JPEG, or PNG image.');
        event.target.value = '';
        setFilesImage(null);
      }
    }
  };


   const handleFileChangeforPdf = (event) => {
    const file = event.target.files[0];

    // Perform PDF file validation
    if (file && file.type === 'application/pdf') {
      setFilesPdf(file);
      // You can perform additional actions here, e.g., upload the file, etc.
    } else {
      alert('Please select a valid PDF file.');
      // Reset the file input
      event.target.value = null;
    }
  };



  const handleDateChange = (date) => {
    setSelectedDate(date);
  };
  // FeedEntryDate, Title, Texts, Remark, Active, Category

  const submitHandeler = () => {
    const data = new FormData();
    if ( Description_E?.length < 30) {
      return toast.error("Please write a english content atleast 30 characters")
    }
    if ( Description_H?.length < 30) {
      return toast.error("Please write a hindi content atleast 30 characters")
    }
    data.append('Texts_E', Description_E);
    data.append('Texts_H', Description_H);
    data.append('images', filesImage);
    data.append('pdf', filesPdf);
    data.append('Title_H', Title_H);
    data.append('Title_E', Title_E);
    data.append('Remark', Remarks);
    data.append('Category', Category);
    data.append('FeedEntryDate', selectedDate.format('YYYY-MM-DD'))
    // data.append('pdf', files);

    FeedEntryServices.addFeedEntry(data).then(({ data }) => {
      toast.success(data?.message)
      router.push(`/admin/feedentry/list`)
    }).catch((err) => {
      toast.error(err?.response?.data?.error)
    })
  }

  // FeedEntryDate, Title, Texts, Remark, Active, Category

  const submithandelerForEdit = () => {
    const data = new FormData();
    if ( Description_E?.length < 30) {
      return toast.error("Please write a english content atleast 30 characters")
    }
    if ( Description_H?.length < 30) {
      return toast.error("Please write a hindi content atleast 30 characters")
    }
    data.append('Texts_H', Description_H);
    data.append('Texts_E', Description_E);
    data.append('images', filesImage);
    data.append('pdf', filesPdf);
    data.append('Remark', Remarks);
    data.append('Title_E', Title_E);
    data.append('Title_H', Title_H);
    data.append('Category', Category);
    data.append('FeedEntryDate', selectedDate.format('YYYY-MM-DD'))
    FeedEntryServices.updateFeedEntry(EditId, data).then(({ data }) => {
      toast.success(data?.message)
      router.push(`/admin/feedentry/list`)
    }).catch((err) => {
      toast.error(err?.response?.data?.error)
    })
  }
  return (
    <>
      <div className="titleHeading d-flex justify-content-between">
        <span>{searchParams.get('Id') ? "Update Feed Entry" : "Feed Entry"}</span>
        <Button variant="contained" className="submit_button px-4" size="small" onClick={() => router.push(`/admin/feedentry/list`)}>entry list</Button>
      </div>
      <div className="row">
        <div className="col-md-6 my-2">
          <TextField
            id="outlined-multiline-static"
            label="Title English"
            fullWidth
            multiline rows={2}
            onChange={(e) => setTitle_E(e.target.value)}
            value={Title_E}
            focused={Title_E?.length > 0 && true}
            size="small"
            color="success"
          />
        </div>
        <div className="col-md-6 my-2">
          <TextField
            id="outlined-multiline-static"
            label="Title Hindi"
            fullWidth
            multiline rows={2}
            onChange={(e) => setTitle_H(e.target.value)}
            value={Title_H}
            focused={Title_H?.length > 0 && true}
            size="small"
            color="success"
          />
        </div>
        <div className="col-md-6 my-2">
          <FormControl fullWidth size="small">
            <InputLabel id="demo-select-small-label">Category</InputLabel>
            <Select
              labelId="demo-select-small-label"
              id="demo-select-small"
              value={Category}
              label="Category"
              onChange={(e) => setCategory(e.target.value)}
            >
              <MenuItem value="update">Update</MenuItem>
              <MenuItem value="publication">Publication</MenuItem>
            </Select>
          </FormControl>
        </div>
      </div>
      <div><h5>English Texts</h5></div>
      <JoditEditor
        ref={editorE}
        value={Description_E}
        config={defaultConfig}
        tabIndex={1} // tabIndex of textarea
        onBlur={(newContent) => setDescription_E(newContent)} // preferred to use only this option to update the content for performance reasons
        onChange={(newContent) => {
          setDescription_E(newContent);
        }}
      />
      <div className="row" style={{ marginTop: "10px" }}>
        <h5>Hindi Texts</h5>
      </div>
      <JoditEditor
        ref={editorH}
        value={Description_H}
        config={defaultConfig}
        tabIndex={1} // tabIndex of textarea
         onBlur={(newContent) => setDescription_H(newContent)} // preferred to use only this option to update the content for performance reasons
        onChange={(newContent) => {
          setDescription_H(newContent);
        }}
      />
 
      <div>
        <div className="row" style={{ marginTop: "50px" }}>
          <div className="col-md-4">
            <div className="borderfortop rounded py-2 px-3">
              <LocalizationProvider dateAdapter={AdapterDayjs}>
                <DemoItem label="Date">
                  <DatePicker
                    defaultValue={yesterday}
                    // disablePast
                    views={['year', 'month', 'day']}
                    onChange={handleDateChange}
                  />
                </DemoItem>
              </LocalizationProvider>
            </div>
          </div>
          <div className="col-md-4">
            <div className="borderfortop rounded p-3">
              <h6 className="mb-4">Upload Image</h6>
              <input
                type="file"
                id="image"
                name="image"
                accept=".jpg, .jpeg, .png"
                onChange={handleFileChangeforImage}
              />
            </div>
          </div>
          <div className="col-md-4">
            <div className="borderfortop rounded p-3">
              <h6 className="mb-4">Upload Pdf</h6>
              <input type="file" accept=".pdf" onChange={handleFileChangeforPdf} />
            </div>
          </div>
        </div>

        <div className="row mt-2">
          <div className="col-md-4">
            <TextField
              id="outlined-multiline-static"
              label="Remarks"
              multiline
              rows={4}
              fullWidth
              onChange={(e) => setRemarks(e.target.value)}
              value={Remarks}
              focused={Remarks?.length > 0 && true}
            />
          </div>

          <div className="col-md-4 d-flex justify-content-center  align-items-center">
            {!searchParams.get('Id') && <Button variant="contained" className="submit_button px-5" onClick={submitHandeler}>
              Submit
            </Button>}
            {searchParams.get('Id') && <Button variant="contained" className="submit_button px-5" onClick={submithandelerForEdit}>
              update
            </Button>}
          </div>
        </div>
      </div>
    </>
  );
}
