"use client";
import {
  Button,
  Checkbox,
  FormControl,
  InputLabel,
  MenuItem,
  Select,
  TextField,
  Typography,
} from "@mui/material";
import { useRouter, useSearchParams } from "next/navigation";
import React, { useEffect, useState } from "react";
import "../quizEntry/quizentry.css";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import CommonServices from "@/Services/CommonServices";
import PracticeServices from "@/Services/PracticeServices";
import { toast } from 'react-toastify';

const label = { inputProps: { "aria-label": "Checkbox demo" } };



const Practice = () => {
  const router = useRouter();

  const [SubjectList, setSubjectList] = useState([]);
  const [PartList, setPartList] = useState([]);
  const [ChaptertList, setChaptertList] = useState([]);
  const [TitleEnglish, setTitleEnglish] = useState("");
  const [TitleHindi, setTitleHindi] = useState("");
  const [isPaid, setIspaid] = useState(false);
  const [isStatus, setIsStatus] = useState(false);
  const [SubjectId, setSubjectId] = useState("");
  const [PartId, setPartId] = useState("");
  const [ChapterId, setChapterId] = useState("");
  

  const [totalQuestion, setTotalQuestion] = useState(null);
  // const [UpdateData, setUpdateData] = useState(null);
  const Params = useSearchParams()

  const HeandandRest = () => {
    setTitleEnglish("")
    setTitleHindi("")
    setIspaid(false)
    setIsStatus(false)
    setTotalQuestion("")
    setPartId("")
    setChapterId("")
    setSubjectId("")
  }
  useEffect(() => {
    SubjectTreeServices.getOneLeveTreeDataforadmin(0).then(({ data }) => {
      setSubjectList(data.tree);
    }).catch((err) => {
      console.log(err)
    });
  }, []);

  useEffect(() => {
    if (SubjectId) {
      SubjectTreeServices.getOneLeveTreeDataforadmin(SubjectId).then(({ data }) => {
        setPartList(data.tree);
      }).catch((err) => {
        console.log(err)
      });
    }
  }, [SubjectId]);

  useEffect(() => {
    if (PartId) {
      SubjectTreeServices.getOneLeveTreeDataforadmin(PartId).then(({ data }) => {
        setChaptertList(data.tree);
      }).catch((err) => {
        console.log(err)
      });
    }
  }, [PartId]);


  useEffect(() => {
    if (Params.get('id')) {
      PracticeServices.getSingalPractice(Params.get('id')).then(({ data }) => {
        setTitleEnglish(data?.data[0]?.PracticeTitle_E);
        setTitleHindi(data?.data[0]?.PracticeTitle_H);
        setIspaid(data?.data[0]?.IsPaid);
        setIsStatus(data?.data[0]?.Active);
        setSubjectId(data?.data[0]?.SubjectId);
        setChapterId(data?.data[0]?.ChapterId);
        setPartId(data?.data[0]?.PartId);
        setTotalQuestion(data?.data[0]?.TotalQusetion);
      }).catch((err) => {
        console.log(err.response.data);
      });
    }
  }, [Params.get('id')]);


  const onUpdateHandeler = () => {


    PracticeServices.UpdatePractice({
      PracticeId: Params.get('id'),
      PracticeTitle_E: TitleEnglish,
      PracticeTitle_H: TitleHindi,
      SubjectId: SubjectId,
      ChapterId: ChapterId,
      PartId: PartId,
      TotalQusetion: totalQuestion,
      Paid: isPaid,
      status: isStatus,
    })
      .then(({ data }) => {
        toast.success(data?.message)
        HeandandRest()
        router.push("/admin/practice/practicelist")
      })
      .catch((err) => {
        toast.error(err.response.data);
      });
  };



  const onsubmitHandeler = () => {

    PracticeServices.createPractice({
      PracticeTitle_E: TitleEnglish,
      PracticeTitle_H: TitleHindi,
      SubjectId: SubjectId,
      PartId: PartId,
      ChapterId: ChapterId,
      TotalQusetion: totalQuestion,
      Paid: isPaid,
      status: isStatus,
    })
      .then(({ data }) => {
        // console.log(data)
        toast.success(data?.message)
        HeandandRest()
      })
      .catch((err) => {
        // console.log(err.response.data.error);
        toast.error(err?.response?.data?.error)
      });
  };

  return (
    <>
      <div className="titleHeading d-flex justify-content-between">

        <span> {Params.get('id') ? "Update Practice" : "Add Practice"}</span>
        <Button
          variant="contained"
          className="submit_button px-4"
          size="small"
          onClick={() => router.push("/admin/practice/practicelist")}
        >
          list
        </Button>
      </div>
      <div className="Quiz_div">
        <div className="row m-0">
          {/* <div className="col-md-6"> */}
          <div className="col-md-6 mb-3">
            <TextField
              fullWidth
              multiline
              rows={2}
              size="small"
              id="outlined-basic"
              label="Practice Title English"
              variant="outlined"
              onChange={(e) => setTitleEnglish(e.target.value)}
              value={TitleEnglish}
            />
          </div>
          <div className="col-md-6 mb-3">
            <TextField
              fullWidth
              multiline
              rows={2}
              size="small"
              id="outlined-basic"
              label="Practice Title Hindi"
              variant="outlined"
              onChange={(e) => setTitleHindi(e.target.value)}
              value={TitleHindi}
            />
          </div>
          <div className="col-md-6 mb-3">
            <FormControl fullWidth size="small">
              <InputLabel id="demo-select-small-label">Subject</InputLabel>
              <Select
                labelId="demo-select-small-label"
                id="demo-select-small"
                value={SubjectId}
                label="Subject"
                onChange={(e) => setSubjectId(e.target.value)}
              >
                <MenuItem value="">
                  <em>None</em>
                </MenuItem>
                {SubjectList?.map((ele, i) => {
                  return (
                    <MenuItem
                      key={i}
                      value={ele.NodeId}
                    >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                  );
                })}
              </Select>
            </FormControl>
          </div>
          <div className="col-md-6 mb-3">
            <FormControl fullWidth size="small">
              <InputLabel id="demo-select-small-label">Part list</InputLabel>
              <Select
                labelId="demo-select-small-label"
                id="demo-select-small"
                value={PartId}
                label="ChapterId"
                onChange={(e) => setPartId(e.target.value)}
              >
                <MenuItem value="">
                  <em>None</em>
                </MenuItem>
                {PartList?.map((ele, i) => {
                  return (
                    <MenuItem
                      key={i}
                      value={ele.NodeId}
                    >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                  );
                })}
              </Select>
            </FormControl>
          </div>
          <div className="col-md-6 mb-3">
            <FormControl fullWidth size="small">
              <InputLabel id="demo-select-small-label">Chaptert List</InputLabel>
              <Select
                labelId="demo-select-small-label"
                id="demo-select-small"
                value={ChapterId}
                label="ChapterId"
                onChange={(e) => setChapterId(e.target.value)}
              >
                <MenuItem value="">
                  <em>None</em>
                </MenuItem>
                {ChaptertList?.map((ele, i) => {
                  return (
                    <MenuItem
                      key={i}
                      value={ele.NodeId}
                    >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                  );
                })}
              </Select>
            </FormControl>
          </div>
          {/* <div className="col-md-6 mb-3">
            <FormControl fullWidth size="small">
              <InputLabel id="demo-select-small-label">
                DifficultyLevel
              </InputLabel>
              <Select
                labelId="demo-select-small-label"
                id="demo-select-small"
                value={difficultiesId}
                label="DifficultyLevel"
                name="DifficultyLevel"
                onChange={(e) => setDifficultiesId(e.target.value)}
              >
                <MenuItem value="">
                  <em>None</em>
                </MenuItem>
                {Difficulties?.map((ele, i) => {
                  return (
                    <MenuItem key={i} value={ele.DifficulityID}>
                      {ele.Title}
                    </MenuItem>
                  );
                })}
              </Select>
            </FormControl>
          </div> */}
          <div className="col-md-6 mb-3">
            <TextField
              fullWidth
              size="small"
              id="outlined-basic"
              label="Total Question"
              variant="outlined"
              type="number"
              value={totalQuestion}
              onChange={(e) => setTotalQuestion(e.target.value)}
            />
          </div>
          <div className="d-flex col-md-6 justify-content-around">
            <div
              className="mb-3 d-flex align-items-center cursor"
              onClick={() => setIspaid(!isPaid)}
            >
              <Checkbox {...label} checked={isPaid} />
              <Typography>Paid</Typography>
            </div>
            <div
              className="mb-3 d-flex align-items-center cursor"
              onClick={() => setIsStatus(!isStatus)}
            >
              <Checkbox {...label} checked={isStatus} />
              <Typography>Status</Typography>
            </div>

          </div>
          <div className=" col-md-6">

            {Params.get('id') ?
              <Button onClick={onUpdateHandeler}
                variant="contained"
                className="submit_button "
                size="small"
              >Update</Button>
              :
              <Button onClick={onsubmitHandeler}
                variant="contained"
                className="submit_button "
                size="small"
              >Submit</Button>}
          </div>
        </div>
      </div>
    </>
  );
};

export default Practice;
