"use client";
import PracticeServices from "@/Services/PracticeServices";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import {
  Button,
  FormControl,
  IconButton,
  InputLabel,
  MenuItem,
  Select,
} from "@mui/material";
import Link from "next/link";
import React, { useEffect, useState } from "react";
import { FaEdit } from "react-icons/fa";
import { MdDelete } from "react-icons/md";
import { ImListNumbered } from "react-icons/im";
import { BiSolidAddToQueue } from "react-icons/bi";
import PracticeQuestionSlider from "@/component/admin/PracticeQuestionSlider";
import { toast } from "react-toastify";
import { useRouter } from "next/navigation";
const page = () => {
  const [SubjectList, setSubjectList] = useState([]);
  const [PartList, setPartList] = useState([]);
  const [ChaptertList, setChaptertList] = useState([]);
  const [PracticeList, setPracticeList] = useState();
  const [SubjectId, setSubjectId] = useState("");
  const [PartId, setPartId] = useState("");
  const [ChapterId, setChapterId] = useState("");
  const [difficultiesId, setDifficultiesId] = useState("");
  const [PracticeId, setPracticeId] = useState("");
  const [Pra, setPra] = useState("");
  const [totalnumberOfQue, setTotalnumberOfQue] = useState();
  const [AddedQue4stionIds, setAddedQue4stionIds] = useState([]);
  const [state, setState] = React.useState({
    right: false,
  });
const router = useRouter()
  const toggleDrawer = (anchor, open, id, noofQue) => (event) => {
    setPracticeId(id);
    setTotalnumberOfQue(noofQue);
    if (
      event &&
      event.type === "keydown" &&
      (event.key === "Tab" || event.key === "Shift")
    ) {
      return;
    }
    setState({ ...state, [anchor]: open });
  };

  useEffect(() => {
    SubjectTreeServices.getOneLeveTreeDataforadmin(0)
      .then(({ data }) => {
        setSubjectList(data.tree);
      })
      .catch((err) => {
        toast.warning(err.response.data.error);
      });
  }, []);

  useEffect(() => {
    if (SubjectId) {
      SubjectTreeServices.getOneLeveTreeDataforadmin(SubjectId)
        .then(({ data }) => {
          setPartList(data.tree);
        })
        .catch((err) => {
          toast.warning(err.response.data.error);
        });
    }
  }, [SubjectId]);

  useEffect(() => {
    if (PartId) {
      SubjectTreeServices.getOneLeveTreeDataforadmin(PartId)
        .then(({ data }) => {
          setChaptertList(data.tree);
        })
        .catch((err) => {
          toast.warning(err.response.data.error);
        });
    }
  }, [PartId]);

  useEffect(() => {
    if (SubjectId) {
      PracticeServices.getAllPractice(SubjectId, ChapterId, difficultiesId)
        .then(({ data }) => {
          setPracticeList(data.data);
        })
        .catch((err) => {
          setPracticeList([]);
          toast.warning(err.response.data.message);
        });
    }
  }, [SubjectId, PartId, ChapterId]);
  const addedQuestionIds = (val,PracticeId) => {
    setAddedQue4stionIds(val);
    setPra(PracticeId)
  };
  return (
    <div>
       <div className="titleHeading d-flex justify-content-between">
            <span>Practices List</span> 
                <Button variant="contained" className="submit_button px-4" size="small" onClick={() => router.push("/admin/practice")}>Add Practices</Button>
            </div>
      <div className="row Quiz_div m-0 mb-3">
        <div className="col-md-4 mb-3">
          <FormControl fullWidth size="small">
            <InputLabel id="demo-select-small-label">Subject</InputLabel>
            <Select
              labelId="demo-select-small-label"
              id="demo-select-small"
              value={SubjectId}
              label="Subject"
              onChange={(e) => setSubjectId(e.target.value)}
            >
              <MenuItem value="">
                <em>None</em>
              </MenuItem>
              {SubjectList?.map((ele, i) => {
                return (
                  <MenuItem
                    key={i}
                    value={ele.NodeId}
                  >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                );
              })}
            </Select>
          </FormControl>
        </div>
        <div className="col-md-4 mb-3">
          <FormControl fullWidth size="small">
            <InputLabel id="demo-select-small-label">Part List</InputLabel>
            <Select
              labelId="demo-select-small-label"
              id="demo-select-small"
              value={PartId}
              label="Part List"
              onChange={(e) => setPartId(e.target.value)}
            >
              <MenuItem value="">
                <em>None</em>
              </MenuItem>
              {PartList?.map((ele, i) => {
                return (
                  <MenuItem
                    key={i}
                    value={ele.NodeId}
                  >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                );
              })}
            </Select>
          </FormControl>
        </div>
        <div className="col-md-4 mb-3">
          <FormControl fullWidth size="small">
            <InputLabel id="demo-select-small-label">Chapter</InputLabel>
            <Select
              labelId="demo-select-small-label"
              id="demo-select-small"
              value={ChapterId}
              label="ChapterId"
              onChange={(e) => setChapterId(e.target.value)}
            >
              <MenuItem value="">
                <em>None</em>
              </MenuItem>
              {ChaptertList?.map((ele, i) => {
                return (
                  <MenuItem
                    key={i}
                    value={ele.NodeId}
                  >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                );
              })}
            </Select>
          </FormControl>
        </div>
      </div>
      <table className="w-100">
        <thead>
          <tr>
            <th>sr no</th>
            <th className="text-center">title English</th>
            <th className="text-center">title Hindi</th>
            <th className="text-center">totalQuestion</th>
            <th className="text-center">Type</th>
            <th className="text-center">status</th>
            <th className="text-center">Action</th>
          </tr>
        </thead>
        <tbody>
          {PracticeList?.map((ele, i) => {
            return (
              <>
                <tr>
                  <td className="text-center">{i + 1}</td>
                  <td className="text-center">{ele?.PracticeTitle_E}</td>
                  <td className="text-center">{ele?.PracticeTitle_H}</td>
                  <td className="text-center">
                    { (ele?.PracticeId == Pra && AddedQue4stionIds?.length)||ele?.QuestionIds?.split(",")?.length ||0
                     }
                    /{ele?.TotalQusetion}
                  </td>
                  <td className="text-center">
                    {ele?.IsPaid ? "Paid" : "Free"}
                  </td>
                  <td className="text-center">
                    {ele?.Active ? "active" : "inactive"}
                  </td>
                  <td className="text-center">
                    <div>
                      <Link
                        href={{
                          pathname: "/admin/practice",
                          query: { id: ele?.PracticeId },
                        }}
                      >
                        <span>
                          <IconButton className="my-0 " title="Edit">
                            <FaEdit color="green" fontSize={20} />
                          </IconButton>
                        </span>
                      </Link>
                      <span
                        className="mx-1"
                        onClick={() => {
                          setOpen(true);
                          setDeleteId(ele?.FeedId);
                        }}
                      >
                        {/* <MdDelete color='red' fontSize={20} /> */}
                      </span>
                      <span className="mx-1">
                        <IconButton title="add Question">
                          <BiSolidAddToQueue
                            color="green"
                            fontSize={20}
                            onClick={toggleDrawer(
                              "right",
                              true,
                              ele.PracticeId,
                              ele?.TotalQusetion
                            )}
                          ></BiSolidAddToQueue>
                        </IconButton>
                      </span>
                      <Link
                        href={{
                          pathname: "/admin/practice/questionsPreview",
                          query: { id: ele?.PracticeId },
                        }}
                      >
                        <span>
                          <IconButton title="added Question preview">
                            <ImListNumbered
                              color="green"
                              fontSize={20}
                            ></ImListNumbered>
                          </IconButton>
                        </span>
                      </Link>
                    </div>
                  </td>
                </tr>
              </>
            );
          })}
        </tbody>
      </table>
      <PracticeQuestionSlider
        anchor="right"
        open={state["right"]}
        onClose={toggleDrawer("right", false)}
        onOpen={toggleDrawer("right", true)}
        PracticeId={PracticeId}
        totalnumberOfQue={totalnumberOfQue}
        addedQuestionIds={addedQuestionIds}
      />
    </div>
  );
};

export default page;
