"use client";
import { Button, IconButton } from "@mui/material";
import React, { useEffect, useState } from "react";
import Paper from "@mui/material/Paper";
import Table from "@mui/material/Table";
import TableContainer from "@mui/material/TableContainer";
import TablePagination from "@mui/material/TablePagination";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import InputLabel from "@mui/material/InputLabel";
import MenuItem from "@mui/material/MenuItem";
import FormControl from "@mui/material/FormControl";
import Select from "@mui/material/Select";
import QuizServices from "@/Services/QuizServices";
import { toast } from "react-toastify";
import { useRouter } from "next/navigation";
import "../../quizEntry/quizentry.css";
import QuizQuestionSlider from "@/component/admin/QuizQuestionSlider";
import Link from "next/link";
import { FaEdit } from "react-icons/fa";
import { MdDelete } from "react-icons/md";
import { ImListNumbered } from "react-icons/im";
import { BiSolidAddToQueue } from "react-icons/bi";

export default function QuizList() {
  const router = useRouter();
  const [SubjectList, setSubjectList] = useState([]);
  const [PartList, setPartList] = useState([]);
  const [ChaptertList, setChaptertList] = useState([]);
  const [QuizList, setQuizList] = useState([]);
  const [SubjectId, setSubjectId] = useState("");
  const [PartId, setPartId] = useState("");
  const [ChapterId, setChapterId] = useState("");
  const [QuizId, setQuizId] = useState("");
  const [page, setPage] = useState(0);
  const [rowsPerPage, setRowsPerPage] = useState(10);
  const [totalnumberOfQue, setTotalnumberOfQue] = useState();
  const [AddedQue4stionIds, setAddedQue4stionIds] = useState([]);
  const [QuizName_English, setQuizName_E] = useState("");
  const [QuizName_Hindi, setQuizName_H] = useState("");
  const [quizId, setQuiz] = useState("");
  //////////////////////////// start slider  //////////////////////////

  const [state, setState] = React.useState({
    right: false,
  });

  const toggleDrawer =
    (anchor, open, id, QuizName_English, QuizName_Hindi, noofQue) =>
    (event) => {
      setQuizId(id);
      setQuizName_E(QuizName_English);
      setQuizName_H(QuizName_Hindi);
      setTotalnumberOfQue(noofQue);
      if (
        event &&
        event.type === "keydown" &&
        (event.key === "Tab" || event.key === "Shift")
      ) {
        return;
      }

      setState({ ...state, [anchor]: open });
    };
  const addedQuestionIds = (val, QuizId) => {
    setAddedQue4stionIds(val);
    setQuiz(QuizId);
  };

  //////////////////////////// end slider  //////////////////////////

  const handleChangePage = (event, newPage) => {
    setPage(newPage);
  };

  const handleChangeRowsPerPage = (event) => {
    setRowsPerPage(+event.target.value);
    setPage(0);
  };

  //////////////////////  my code for api  //////////////////////////////

  useEffect(() => {
    SubjectTreeServices.getOneLeveTreeDataforadmin(0).then(({ data }) => {
      setSubjectList(data.tree);
    });
  }, []);

  useEffect(() => {
    if (SubjectId) {
      SubjectTreeServices.getOneLeveTreeDataforadmin(SubjectId).then(
        ({ data }) => {
          setPartList(data.tree);
        }
      );
    }
  }, [SubjectId]);

    useEffect(() => {
      if (PartId) {
        SubjectTreeServices.getOneLeveTreeDataforadmin(PartId)
          .then(({ data }) => {
            setChaptertList(data.tree);
          })
          .catch((err) => {
            toast.warning(err.response.data.error);
          });
      }
    }, [PartId]);

  useEffect(() => {
    if (SubjectId) {
      QuizServices.getQuizListbyChapterIdAdmin(SubjectId,PartId, ChapterId)
        .then(({ data }) => {
          setQuizList(data?.quiz);
        })
        .catch((err) => {
          toast.error(err.response.data.error);
          setQuizList([]);
        });
    }
  }, [ChapterId,PartId, SubjectId]);

  return (
    <>
      <div className="titleHeading d-flex justify-content-between">
        <span>Quiz List</span>
        <Button
          variant="contained"
          className="submit_button px-4"
          size="small"
          onClick={() => router.push("/admin/quizEntry")}
        >
          Create quiz
        </Button>
      </div>
      <div className="my-3 py-4 brderTopDiv">
        <div className="row">
          <div className="col-md-4">
            <FormControl fullWidth size="small">
              <InputLabel id="demo-select-small-label">Subject List</InputLabel>
              <Select
                labelId="demo-select-small-label"
                id="demo-select-small"
                value={SubjectId}
                label="Subject list"
                name="Subject List"
                onChange={(e) => setSubjectId(e.target.value)}
              >
                <MenuItem value=""></MenuItem>
                {SubjectList?.map((ele, i) => {
                  return (
                    <MenuItem
                      key={i}
                      value={ele.NodeId}
                    >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                  );
                })}
              </Select>
            </FormControl>
          </div>
          <div className="col-md-4 mb-3">
          <FormControl fullWidth size="small">
            <InputLabel id="demo-select-small-label">Part List</InputLabel>
            <Select
              labelId="demo-select-small-label"
              id="demo-select-small"
              value={PartId}
              label="Part List"
              onChange={(e) => setPartId(e.target.value)}
            >
              <MenuItem value="">
                <em>None</em>
              </MenuItem>
              {PartList?.map((ele, i) => {
                return (
                  <MenuItem
                    key={i}
                    value={ele.NodeId}
                  >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                );
              })}
            </Select>
          </FormControl>
        </div>
          <div className="col-md-4">
            <FormControl fullWidth size="small">
              <InputLabel id="demo-select-small-label">Chapter List</InputLabel>
              <Select
                labelId="demo-select-small-label"
                id="demo-select-small"
                value={ChapterId}
                label="Chapter List"
                name="Chapter List"
                onChange={(e) => setChapterId(e.target.value)}
              >
                <MenuItem value=""></MenuItem>
                {ChaptertList?.map((ele, i) => {
                  return (
                    <MenuItem
                      key={i}
                      value={ele.NodeId}
                    >{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                  );
                })}
              </Select>
            </FormControl>
          </div>
        </div>
      </div>
      <Paper className="brderTopDiv" sx={{ width: "100%", overflow: "hidden" }}>
        <TableContainer sx={{ maxHeight: 460 }}>
          <Table stickyHeader aria-label="sticky table">
            <thead>
              <tr>
                <th>QuizName_English</th>
                <th>QuizName_Hindi</th>
                <th>TotalQuestion</th>
                <th>IsPaid</th>
                <th className="text-center">Action</th>
              </tr>
            </thead>
            {QuizList?.length > 0 && (
              <tbody>
                {QuizList?.map((ele, i) => {
                  return (
                    <tr key={i}>
                      <td>{ele.QuizName_English}</td>
                      <td>{ele.QuizName_Hindi}</td>
                      <td>
                        {(ele?.QuizId == quizId && AddedQue4stionIds?.length)||ele.QuestionCount}/{ele.TotalQusetion}
                      </td>
                      <td>{!ele.IsPaid ? "Free" : "Paid"}</td>
                      <td className="p-0 m-0 pe-3">
                        <div className="d-flex justify-content-center">
                          <IconButton
                            title={!ele.IsPaid ? "active" : "inactive"}
                          >
                            {/* {!ele.IsPaid ? <VisibilityOffIcon sx={{ color: 'red', fontSize: "18px" }} /> : <VisibilityIcon sx={{ color: 'black', fontSize: "18px" }} />} */}
                          </IconButton>
                          <IconButton
                            title="Add Question"
                            onClick={toggleDrawer(
                              "right",
                              true,
                              ele.QuizId,
                              ele.QuizName_English,
                              ele.QuizName_Hindi
                            )}
                          >
                            <BiSolidAddToQueue
                              style={{ color: "green", width: "20px" }}
                            />
                          </IconButton>
                          <Link
                            style={{ textDecoration: "none" }}
                            href={{
                              pathname: `/admin/quizEntry`,
                              query: {
                                id: ele?.QuizId,
                              },
                            }}
                          >
                            <IconButton title="edit">
                              <FaEdit
                                style={{ color: "green", width: "20px" }}
                              />
                            </IconButton>
                          </Link>
                          <Link
                            href={{
                              pathname: `/admin/quizEntry/Questionlist`,
                              query: {
                                id: ele?.QuizId,
                              },
                            }}
                          >
                            <IconButton title="Question list">
                              <ImListNumbered
                                style={{ color: "green", width: "20px" }}
                              />
                            </IconButton>
                          </Link>
                        </div>
                      </td>
                    </tr>
                  );
                })}
              </tbody>
            )}
          </Table>
        </TableContainer>

        <QuizQuestionSlider
          anchor="right"
          open={state["right"]}
          onClose={toggleDrawer("right", false)}
          onOpen={toggleDrawer("right", true)}
          QuizId={QuizId}
          QuizNameEnglish={QuizName_English}
          QuizNameHindi={QuizName_Hindi}
          totalnumberOfQue={totalnumberOfQue}
          addedQuestionIds={addedQuestionIds}
        />
        {/* <TablePagination
          rowsPerPageOptions={[10, 25, 100]}
          component="div"
          count={QuizList.length}
          rowsPerPage={rowsPerPage}
          page={page}
          onPageChange={handleChangePage}
          onRowsPerPageChange={handleChangeRowsPerPage}
        /> */}
      </Paper>
    </>
  );
}
