"use client"
import QuizServices from '@/Services/QuizServices'
import { Button, Checkbox, FormLabel, TextField, Typography } from '@mui/material'
import React, { useEffect, useState } from 'react'
import "../quizEntry/quizentry.css"
import InputLabel from '@mui/material/InputLabel';
import MenuItem from '@mui/material/MenuItem';
import FormControl from '@mui/material/FormControl';
import Radio from '@mui/material/Radio';
import RadioGroup from '@mui/material/RadioGroup';
import FormControlLabel from '@mui/material/FormControlLabel';
import Select from '@mui/material/Select';
import useMediaQuery from '@mui/material/useMediaQuery';
import SubjectTreeServices from '@/Services/SubjectTreeServices'
import CommonServices from '@/Services/CommonServices'
import { toast } from 'react-toastify'
import { useRouter, useSearchParams } from 'next/navigation'

const QuizEntry = () => {
    const router = useRouter()
    const label = { inputProps: { "aria-label": "Checkbox demo" } };
    const [SubjectList, setSubjectList] = useState([])
    const [PartList, setPartList] = useState([]);
    const [ChaptertList, setChaptertList] = useState([])
    const [IsQuiz, setIsQuiz] = useState(true)
    const [Paid, setPaid] = useState(false)
    const [QuizName_E, setQuizName_E] = useState("")
    const [QuizName_H, setQuizName_H] = useState("")
    const [SubjectId, setSubjectId] = useState("")
    const [PartId, setPartId] = useState("")
    const [ChapterId, setChapterId] = useState("")
    const [TotalQusetion, setTotalQusetion] = useState("")
    const [TotalTime, setTotalTime] = useState("")
    const [TotalMarks, setTotalMarks] = useState("")
    const [StartDate, setStartDate] = useState('')
    const [EndDate, setEndDate] = useState('')
    const [isStatus, setIsStatus] = useState(false);
    const Params = useSearchParams()

    const reset = () => {
        setQuizName_E("")
        setQuizName_H("")
        setSubjectId("")
        setPartId("")
        setChapterId("")
        setIsStatus(false)
        setTotalQusetion("")
        setTotalTime("")
        setTotalMarks("")
        setStartDate("")
        setEndDate("")
    }

    const submitHandeler = () => {
        const quizData = {
            IsQuiz: IsQuiz,
            QuizName_E: QuizName_E,
            QuizName_H: QuizName_H,
            SubjectId: SubjectId,
            PartId: PartId,
            ChapterId: ChapterId,
            TotalQusetion: TotalQusetion,
            TotalTime: TotalTime,
            TotalMarks: !IsQuiz ? TotalMarks : TotalQusetion,
            IsPaid: Paid,
            status: isStatus,
            StartDate: StartDate,
            EndDate: EndDate
        }
        QuizServices.QuizEntry(quizData).then(({ data }) => {
            reset()
            toast.success(data.message)

        }).catch((err) => {
            toast.error(err?.response?.data?.error)
        })

    }
    const UpdateHandeler = () => {
        const quizData = {
            id: Params.get('id'),
            IsQuiz: IsQuiz,
            QuizName_E: QuizName_E,
            QuizName_H: QuizName_H,
            SubjectId: SubjectId,
            PartId: PartId,
            ChapterId: ChapterId,
            TotalQusetion: TotalQusetion,
            TotalTime: TotalTime,
            TotalMarks: !IsQuiz ? TotalMarks : TotalQusetion,
            Paid: Paid,
            status: isStatus,
            StartDate: StartDate,
            EndDate: EndDate
        }
        QuizServices.QuizUpdate(quizData).then(({ data }) => {
            reset()
            toast.success(data.message)
        }).catch((err) => {
            toast.error(err?.response?.data?.error)
        })

    }

    useEffect(() => {
        if (!Params.get('id'))
            reset()
    }, [!Params.get('id')])

    useEffect(() => {
        SubjectTreeServices.getOneLeveTreeDataforadmin(0).then(({ data }) => {
            setSubjectList(data.tree);
        }).catch((e) => {
            console.log(e)
        })
    }, [])

    useEffect(() => {
        if (SubjectId) {
            SubjectTreeServices.getOneLeveTreeDataforadmin(SubjectId).then(
                ({ data }) => {
                    setPartList(data.tree);
                }
            );
        }
    }, [SubjectId]);

    useEffect(() => {
        if (PartId) {
            SubjectTreeServices.getOneLeveTreeDataforadmin(PartId).then(({ data }) => {
                setChaptertList(data.tree);
            }).catch((e) => {
                console.log(e)
            })
        }
    }, [PartId])

    useEffect(() => {
        if (Params.get('id')) {
            QuizServices.getSingalQuiz(Params.get('id')).then(({ data }) => {
                setQuizName_E(data?.quiz[0]?.QuizName_English);
                setQuizName_H(data?.quiz[0]?.QuizName_Hindi);
                setPaid(data?.quiz[0]?.IsPaid);
                setIsStatus(data?.quiz[0]?.Active);
                setSubjectId(data?.quiz[0]?.SubjectId);
                setPartId(data?.quiz[0]?.PartId);
                setChapterId(data?.quiz[0]?.ChapterId);
                setTotalQusetion(data?.quiz[0]?.TotalQusetion);
                setTotalTime(data?.quiz[0]?.TotalTime);
                setPaid(data?.quiz[0]?.IsPaid);
            }).catch((err) => {
                console.log(err.response.data);
            });
        }
    }, [Params.get('id')]);
    return (
        <div>
            <div className="titleHeading d-flex justify-content-between">
                {Params.get('id') ? <span>Update {IsQuiz ? 'Quiz' : 'Comptition'}</span> : <span>Add {IsQuiz ? 'Quiz' : 'Comptition'}</span>}
                <Button variant="contained" className="submit_button px-4" size="small" onClick={() => router.push("/admin/quizEntry/list")}>list</Button>
            </div>

            <div className='Quiz_div'>
                <div className='row m-0'>
                    <div className='col-md-5'>
                        <div className='col-md-12 mb-3'>
                            <FormControl>
                                <RadioGroup
                                    row
                                    aria-labelledby="demo-radio-buttons-group-label"
                                    defaultValue="true"
                                    name="radio-buttons-group"
                                >
                                    <FormControlLabel value="true" control={<Radio />} label="Quiz" onChange={() => { setIsQuiz(true), reset() }} />
                                    <FormControlLabel value="false" control={<Radio />} label="Comptition" onChange={() => { setIsQuiz(false), reset() }} />
                                </RadioGroup>
                            </FormControl>
                        </div>
                        <div className='col-md-12 mb-3'>
                            <TextField fullWidth size='small' id="outlined-basic" label={IsQuiz ? "QuizName_English*" : "ComptitionName_English*"} variant="outlined" value={QuizName_E} onChange={(e) => setQuizName_E(e.target.value)} />
                        </div>
                        <div className='col-md-12 mb-3'>
                            <TextField fullWidth size='small' id="outlined-basic" label={IsQuiz ? "QuizName_Hindi*" : "ComptitionName_Hindi*"} variant="outlined" value={QuizName_H} onChange={(e) => setQuizName_H(e.target.value)} />
                        </div>
                        <div className='col-md-12 mb-3'>
                            <FormControl fullWidth size="small">
                                <InputLabel id="demo-select-small-label">Subject List*</InputLabel>
                                <Select
                                    labelId="demo-select-small-label"
                                    id="demo-select-small"
                                    value={SubjectId}
                                    label="Subject List*"
                                    onChange={(e) => setSubjectId(e.target.value)}
                                >
                                    <MenuItem value="">
                                        <em>None</em>
                                    </MenuItem>
                                    {SubjectList?.map((ele, i) => {
                                        return <MenuItem key={i} value={ele.NodeId}>{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                                    })}
                                </Select>
                            </FormControl>
                        </div>

                        <div className='col-md-12 mb-3'>
                            <FormControl fullWidth size="small">
                                <InputLabel id="demo-select-small-label">{"Part List*"}</InputLabel>
                                <Select
                                    labelId="demo-select-small-label"
                                    id="demo-select-small"
                                    value={PartId}
                                    label="Part List"
                                    onChange={(e) => setPartId(e.target.value)}
                                >
                                    <MenuItem value="">
                                        <em>None</em>
                                    </MenuItem>
                                    {PartList?.map((ele, i) => {
                                        return <MenuItem key={i} value={ele.NodeId}>{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                                    })}
                                </Select>
                            </FormControl>
                        </div>
                        <div className='col-md-12 mb-3'>
                            <FormControl fullWidth size="small">
                                <InputLabel id="demo-select-small-label">{"Chapter List*"}</InputLabel>
                                <Select
                                    labelId="demo-select-small-label"
                                    id="demo-select-small"
                                    value={ChapterId}
                                    label="Chapter List*"
                                    onChange={(e) => setChapterId(e.target.value)}
                                >
                                    <MenuItem value="">
                                        <em>None</em>
                                    </MenuItem>
                                    {ChaptertList?.map((ele, i) => {
                                        return <MenuItem key={i} value={ele.NodeId}>{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                                    })}
                                </Select>
                            </FormControl>
                        </div>
                        {/* <div className='col-md-12 mb-3'>
                            <FormControl fullWidth size="small">
                                <InputLabel id="demo-select-small-label">Total Time*</InputLabel>
                                <Select
                                    labelId="demo-select-small-label"
                                    id="demo-select-small"
                                    value={difficultiesId}
                                    label="Total Time*"
                                    name='Total Time*'
                                    onChange={(e) => setDifficultiesId(e.target.value)}
                                >
                                    <MenuItem value="">
                                        <em>None</em>
                                    </MenuItem>
                                    {Difficulties?.map((ele, i) => {
                                        return <MenuItem key={i} value={ele.DifficulityID}>{ele.Title}</MenuItem>
                                    })}
                                </Select>
                            </FormControl>
                        </div>  */}
                        <div className='col-md-12 mb-3'>
                            <TextField fullWidth size='small' type='number' id="outlined-basic" label="Total Question*" variant="outlined" value={TotalQusetion} onChange={(e) => setTotalQusetion(e.target.value)} />
                        </div>
                        <div className='col-md-12 mb-3'>
                            <TextField fullWidth size='small' type='number' id="outlined-basic" label="Total Time*" variant="outlined" value={TotalTime} onChange={(e) => setTotalTime(e.target.value)} />
                        </div>
                        {!IsQuiz && <div className='col-md-12 mb-3'>
                            <TextField fullWidth size='small' type='number' id="outlined-basic" label="TotalMarks" variant="outlined" value={TotalMarks} onChange={(e) => setTotalMarks(e.target.value)} />
                        </div>}
                        <div className='col-md-6 mb-3 ms-2'>
                            <FormControl>
                                <RadioGroup
                                    row
                                    value={Paid ? "Paid" : "Free"}
                                    onChange={(e) => setPaid(e.target.value === "Paid")}
                                >
                                    <FormControlLabel value="Paid" control={<Radio />} label="Paid" />
                                    <FormControlLabel value="Free" control={<Radio />} label="Free" />
                                </RadioGroup>
                                <RadioGroup
                                    row
                                    aria-labelledby="demo-radio-buttons-group-label"
                                    defaultValue="true"
                                    name="radio-buttons-group"
                                >
                                    <FormControlLabel control={<Checkbox checked={isStatus} />} label="Status" onClick={() => setIsStatus(!isStatus)} />
                                </RadioGroup>
                            </FormControl>

                        </div>
                    </div>


                    <div className='col-md-7 '>
                        {useMediaQuery('(min-width:600px)') && <div className='w-100 m-auto'>
                            {IsQuiz ? <img src='https://img.freepik.com/premium-vector/quiz-comic-pop-art-style_175838-505.jpg' className='quiz_images' alt='pic' />
                                : <img src='https://st.depositphotos.com/1048238/2027/i/450/depositphotos_20275707-stock-illustration-competition-concept.jpg' className='quiz_images' alt='pic' />}
                        </div>}
                        {!IsQuiz &&
                            <div className='col-md-12 mb-3 d-md-flex justify-content-around'>
                                <div>
                                    <p>Start date :</p>
                                    <input type='datetime-local' className='py-2 px-3' value={StartDate} onChange={(e) => setStartDate(e.target.value)} />
                                </div>
                                <div>
                                    <p>End date :</p>
                                    <input type='datetime-local' className='py-2 px-3' value={EndDate} onChange={(e) => setEndDate(e.target.value)} />
                                </div>
                            </div>}
                    </div>
                </div>
                <div className='text-center'>
                    {Params.get('id') ?
                        <Button
                            className='submit_button px-5'
                            variant='contained'
                            onClick={UpdateHandeler}>
                            Update
                        </Button>
                        :
                        <Button
                            className='submit_button px-5'
                            variant='contained'
                            onClick={submitHandeler}>
                            submit
                        </Button>}
                </div>
            </div>
        </div>
    )
}

export default QuizEntry