"use client"
import { Button, TextField } from '@mui/material'
import React, { useEffect, useState } from 'react'
import InputLabel from '@mui/material/InputLabel';
import MenuItem from '@mui/material/MenuItem';
import FormControl from '@mui/material/FormControl';
import Select from '@mui/material/Select';
import SubjectTreeServices from '@/Services/SubjectTreeServices';
import CommonServices from '@/Services/CommonServices';
import "../quizEntry/quizentry.css"
import QuestionUploadServices from '@/Services/QuestionUploadServices';
import { toast } from 'react-toastify';
import { useSearchParams } from 'next/navigation';
import { useRouter } from 'next/navigation';

const QuestionUpload = () => {
    const [SubjectList, setSubjectList] = useState([])
    const [ChaptertList, setChaptertList] = useState([])
    const [Part, setPart] = useState([])
    const params = useSearchParams();
    const questionid = params.get("Id");
    const [SubjectId, setSubjectId] = useState("")
    const [ChapterId, setChapterId] = useState("")
    const [PartId, setPartId] = useState("")
    const [QuestionHindi, setQuestionHindi] = useState("")
    const [QuestionEnglish, setQuestionEnglish] = useState("")
    const [HindiOption1, setHindiOption1] = useState("")
    const [HindiOption2, setHindiOption2] = useState("")
    const [HindiOption3, setHindiOption3] = useState("")
    const [HindiOption4, setHindiOption4] = useState("")
    const [EnglishOption1, setEnglishOption1] = useState("")
    const [EnglishOption2, setEnglishOption2] = useState("")
    const [EnglishOption3, setEnglishOption3] = useState("")
    const [EnglishOption4, setEnglishOption4] = useState("")
    const [HindiRightOpt, setHindiRightOpt] = useState(null)
    const [EnglishRightOpt, setEnglishRightOpt] = useState(null)
    const [EnglishHints, setEnglishHints] = useState("")
    const [HindiHints, setHindiHints] = useState("")
    const [EnglishQueExplanation, setEnglishQueExplanation] = useState("")
    const [HindiQueExplanation, setHindiQuesExplanation] = useState("")
    const [Question, setQuestion] = useState()
    const router = useRouter()
    const [Loading, setLoading] = useState(false);
    const [error, setError] = useState('');



    useEffect(() => {
        if (!questionid) {
            reset()
            setChapterId("")
            setPartId("")
            setSubjectId("")

        }
    }, [!questionid])

    useEffect(() => {
        SubjectTreeServices.getOneLeveTreeDataforadmin(0).then(({ data }) => {
            setSubjectList(data.tree);
        }).catch((e) => {
            console.log(e)

        })
    }, [])

    useEffect(() => {
        if (SubjectId) {
            SubjectTreeServices.getOneLeveTreeDataforadmin(SubjectId).then(({ data }) => {
                setPart(data.tree);
            }).catch((e) => {
                console.log(e)
                setPart([])

            })
        }
    }, [SubjectId])
    useEffect(() => {
        if (PartId) {
            SubjectTreeServices.getOneLeveTreeDataforadmin(PartId).then(({ data }) => {
                setChaptertList(data.tree);
            }).catch((e) => {
                console.log(e)
                setChaptertList([])
            })
        }
    }, [PartId])
    useEffect(() => {
        if (questionid && params.get("Id")) {
            QuestionUploadServices.getbyQestionsId(questionid)
                .then(({ data }) => {
                    if (data.questions && data.questions.length > 0) {
                        const question = data.questions[0];

                        setQuestion(question);
                        setSubjectId(question.SubjectId);
                        setChapterId(question.ChepterId);
                        setPartId(question.PartId);
                        setQuestionHindi(question.QuestionTitleHindi);
                        setQuestionEnglish(question.QuestionTitleEnglish);
                        setHindiOption1(question.OptionHindi1);
                        setHindiOption2(question.OptionHindi2);
                        setHindiOption3(question.OptionHindi3);
                        setHindiOption4(question.OptionHindi4);
                        setEnglishOption1(question.OptionEnglish1);
                        setEnglishOption2(question.OptionEnglish2);
                        setEnglishOption3(question.OptionEnglish3);
                        setEnglishOption4(question.OptionEnglish4);
                        setEnglishHints(question.EnglishHints);
                        setHindiHints(question.HindiHints);
                        setEnglishQueExplanation(question.EnglishQueExplanation);
                        setHindiQuesExplanation(question.HindiQueExplanation);

                        let OptionsHindi;
                        if (question.HindiAnswer) {
                            if (question.OptionHindi1.includes(question.HindiAnswer)) {
                                OptionsHindi = 1;
                            } else if (question.OptionHindi2.includes(question.HindiAnswer)) {
                                OptionsHindi = 2;
                            } else if (question.OptionHindi3.includes(question.HindiAnswer)) {
                                OptionsHindi = 3;
                            } else if (question.OptionHindi4.includes(question.HindiAnswer)) {
                                OptionsHindi = 4;
                            }
                        }
                        setHindiRightOpt(OptionsHindi);

                        let OptionsEnglish;
                        if (question.EnglishAnswer) {
                            if (question.OptionEnglish1.includes(question.EnglishAnswer)) {
                                OptionsEnglish = 1;
                            } else if (question.OptionEnglish2.includes(question.EnglishAnswer)) {
                                OptionsEnglish = 2;
                            } else if (question.OptionEnglish3.includes(question.EnglishAnswer)) {
                                OptionsEnglish = 3;
                            } else if (question.OptionEnglish4.includes(question.EnglishAnswer)) {
                                OptionsEnglish = 4;
                            }
                        }
                        setEnglishRightOpt(OptionsEnglish);
                    }
                })
                .catch((e) => {
                    console.log(e);
                });
        }
    }, [questionid, params.get("Id")]);


    const reset = () => {
        setQuestionHindi("")
        setQuestionEnglish("")
        setHindiOption1("")
        setHindiOption2("")
        setHindiOption3("")
        setHindiOption4("")
        setEnglishOption1("")
        setEnglishOption2("")
        setEnglishOption3("")
        setEnglishOption4("")
        setHindiRightOpt("")
        setEnglishRightOpt("")
        setEnglishHints("")
        setHindiHints("")
        setEnglishQueExplanation("")
        setHindiQuesExplanation("")
    }

    const uploadHandler = () => {
        setLoading(true)
        const data = new FormData();
        data.append('SubjectId', SubjectId);
        data.append('PartId', PartId);
        data.append('ChepterId', ChapterId);
        data.append('QuestionTitleEnglish', QuestionEnglish);
        data.append('QuestionTitleHindi', QuestionHindi);
        data.append('OptionHindi1', HindiOption1);
        data.append('OptionHindi2', HindiOption2);
        data.append('OptionHindi3', HindiOption3);
        data.append('OptionHindi4', HindiOption4);
        data.append('OptionEnglish1', EnglishOption1);
        data.append('OptionEnglish2', EnglishOption2);
        data.append('OptionEnglish3', EnglishOption3);
        data.append('OptionEnglish4', EnglishOption4);
        data.append('RightHindiAnswer', HindiRightOpt);
        data.append('RightEnglishAnswer', EnglishRightOpt);
        data.append('HindiHints', HindiHints);
        data.append('EnglishHints', EnglishHints);
        data.append('EnglishQueExplanation', EnglishQueExplanation);
        data.append('HindiQueExplanation', HindiQueExplanation);
        QuestionUploadServices.SingleQuestionUpload(data).then(({ data }) => {
            toast.success(data.message)
            setLoading(false)
            reset()
        }).catch((err) => {
            toast.error(err?.response?.data?.error)
            setLoading(false)
        })
    }

    const HandlerEdit = () => {
        setLoading(true)
        const data = new FormData();
        data.append('SubjectId', SubjectId);
        data.append('PartId', PartId);
        data.append('ChepterId', ChapterId);
        data.append('QuestionTitleEnglish', QuestionEnglish);
        data.append('QuestionTitleHindi', QuestionHindi);
        data.append('OptionHindi1', HindiOption1);
        data.append('OptionHindi2', HindiOption2);
        data.append('OptionHindi3', HindiOption3);
        data.append('OptionHindi4', HindiOption4);
        data.append('OptionEnglish1', EnglishOption1);
        data.append('OptionEnglish2', EnglishOption2);
        data.append('OptionEnglish3', EnglishOption3);
        data.append('OptionEnglish4', EnglishOption4);
        data.append('RightHindiAnswer', HindiRightOpt);
        data.append('RightEnglishAnswer', EnglishRightOpt);
        data.append('HindiHints', HindiHints);
        data.append('EnglishHints', EnglishHints);
        data.append('EnglishQueExplanation', EnglishQueExplanation);
        data.append('HindiQueExplanation', HindiQueExplanation);
        QuestionUploadServices.SingleQuestionEdit(questionid, data).then(({ data }) => {
            toast.success(data.message)
            setLoading(false)
            reset()
            router.push('/admin/questionPreview')
        }).catch((err) => {
            toast.error(err?.response?.data?.error)
            setLoading(false)
            router.push('/admin/questionPreview')
        })
    }


    return (
        <div>
            <div className="titleHeading d-flex justify-content-between">
                <span>{questionid ? " Question Edit" : "Single Question Entry"}</span>
            </div>
            <div className='Quiz_div p-2 p-md-4' style={{ minHeight: "75vh" }}>
                <div className='row m-0'>
                    <div className='col-md-12'>
                        <div className='row'>
                            <div className='col-md-4 my-2'>
                                <FormControl fullWidth size="small">
                                    <InputLabel id="demo-select-small-label">Subject list*</InputLabel>
                                    <Select
                                        labelId="demo-select-small-label"
                                        value={SubjectId}
                                        label="Subject list*"
                                        onChange={(e) => setSubjectId(e.target.value)}
                                    >
                                        <MenuItem value="">
                                            <em>None</em>
                                        </MenuItem>
                                        {SubjectList?.map((ele, i) => {
                                            return <MenuItem key={i} value={ele.NodeId}>{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                                        })}
                                    </Select>
                                </FormControl>
                            </div>
                            <div className='col-md-4 my-2'>
                                <FormControl fullWidth size="small">
                                    <InputLabel id="demo-select-small-label">Part List*</InputLabel>
                                    <Select
                                        labelId="demo-select-small-label"
                                        value={PartId}
                                        label="Part List*"
                                        name='Part List*'
                                        onChange={(e) => setPartId(e.target.value)}
                                    >
                                        <MenuItem value="">
                                            <em>None</em>
                                        </MenuItem>
                                        {Part?.map((ele, i) => {
                                            return <MenuItem key={i} value={ele.NodeId}>{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                                        })}
                                    </Select>
                                </FormControl>
                            </div>
                            <div className='col-md-4 my-2'>
                                <FormControl fullWidth size="small">
                                    <InputLabel id="demo-select-small-label">Chapter list*</InputLabel>
                                    <Select
                                        labelId="demo-select-small-label"
                                        value={ChapterId}
                                        label="Subject list*"
                                        name="Subject list*"
                                        onChange={(e) => setChapterId(e.target.value)}
                                    >
                                        <MenuItem value="">
                                            <em>None</em>
                                        </MenuItem>
                                        {ChaptertList?.map((ele, i) => {
                                            return <MenuItem key={i} value={ele.NodeId}>{`${ele.NodeName_E} || ${ele.NodeName_H}`}</MenuItem>
                                        })}
                                    </Select>
                                </FormControl>
                            </div>
                        </div>
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Qiestion Title Hindi"
                            variant="outlined"
                            value={QuestionHindi}
                            onChange={(e) => setQuestionHindi(e.target.value)}
                            rows={3}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Qiestion Title English"
                            variant="outlined"
                            value={QuestionEnglish}
                            onChange={(e) => setQuestionEnglish(e.target.value)}
                            rows={3}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Option Hindi(1)"
                            variant="outlined"
                            value={HindiOption1}
                            onChange={(e) => setHindiOption1(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Option English(1)"
                            variant="outlined"
                            value={EnglishOption1}
                            onChange={(e) => setEnglishOption1(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Option Hindi(2)"
                            variant="outlined"
                            value={HindiOption2}
                            onChange={(e) => setHindiOption2(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>

                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Option English(2)"
                            variant="outlined"
                            value={EnglishOption2}
                            onChange={(e) => setEnglishOption2(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>

                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Option Hindi(3)"
                            variant="outlined"
                            value={HindiOption3}
                            onChange={(e) => setHindiOption3(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="English Option(3)."
                            variant="outlined"
                            value={EnglishOption3}
                            onChange={(e) => setEnglishOption3(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>

                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Option Hindi(4)"
                            variant="outlined"
                            value={HindiOption4}
                            onChange={(e) => setHindiOption4(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>






                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="English Option(4)"
                            variant="outlined"
                            value={EnglishOption4}
                            onChange={(e) => setEnglishOption4(e.target.value)}
                            rows={2}
                            multiline
                        />
                    </div>
                    <div className='col-md-3 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Right Hindi Opt no."
                            variant="outlined"
                            value={HindiRightOpt}
                            onChange={(e) => setHindiRightOpt(e.target.value)}
                            rows={1}
                            multiline
                        />
                    </div>
                    <div className='col-md-3 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Hint(optional)"
                            variant="outlined"
                            value={HindiHints}
                            onChange={(e) => setHindiHints(e.target.value)}
                            rows={1}
                            multiline
                        />
                    </div>
                    <div className='col-md-3 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Right English Opt no"
                            variant="outlined"
                            value={EnglishRightOpt}
                            onChange={(e) => setEnglishRightOpt(e.target.value)}
                            rows={1}
                            multiline
                        />
                    </div>

                    <div className='col-md-3 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Hint(optional)"
                            variant="outlined"
                            value={EnglishHints}
                            onChange={(e) => setEnglishHints(e.target.value)}
                            rows={1}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="Hindi Question Explanation"
                            variant="outlined"
                            value={HindiQueExplanation}
                            onChange={(e) => setHindiQuesExplanation(e.target.value)}
                            rows={3}
                            multiline
                        />
                    </div>
                    <div className='col-md-6 my-2'>
                        <TextField fullWidth
                            size='small'
                            label="English Question Explanation"
                            variant="outlined"
                            value={EnglishQueExplanation}
                            onChange={(e) => setEnglishQueExplanation(e.target.value)}
                            rows={3}
                            multiline
                        />
                    </div>

                    <div className='col-md-6'>
                        <div className='text-center my-4'>
                            <Button
                                className='submit_button w-50 m-auto'
                                variant='contained'
                                // disabled={Loading || error.length > 0}
                                onClick={questionid ? HandlerEdit : uploadHandler}
                            >{questionid ? "Update" : "upload"}
                            </Button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    )
}



export default QuestionUpload