"use client"
import React, { useEffect, useState } from 'react';
import { TreeView } from '@mui/x-tree-view';
import { TreeItem } from '@mui/x-tree-view';
import ExpandMoreIcon from '@mui/icons-material/ExpandMore';
import ChevronRightIcon from '@mui/icons-material/ChevronRight';
import Menu from '@mui/material/Menu';
import MenuItem from '@mui/material/MenuItem';
import "../subjectentry/subjectentry.css";
import SubjectTreeServices from '@/Services/SubjectTreeServices';
import { useRouter } from 'next/navigation'
import AddEditNodeModal from '@/component/models/AddEditNodeModal';
import { toast } from 'react-toastify';
import { Button, Dialog, DialogContent } from '@mui/material';
import MiniLoader from '@/component/common/MiniLoader';

const SubjectTree = ({ data, index, nodeChildFetch, newNode }) => {
  const router = useRouter()
  const [expandedNodes, setExpandedNodes] = useState([]);
  const [selectedMenu, setSelectedMenu] = useState(null);
  const [anchorEl, setAnchorEl] = useState(null);
  const [dialogOpen, setDialogOpen] = useState(false)
  const [menuIdhandle, setmenuIdhandle] = useState(null)
  const [addEditNum, setAddEditNum] = useState(null)
  const [dataForEdit, setDataForEdit] = useState({})
  const [open, setOpen] = React.useState(false);
  const [loadmenu, setloadmenu] = React.useState(false);
  const [DeleteId, setDeleteId] = useState("")
  const [chapter, setchapter] = useState("")
  const [deleteFlag, setFlag] = useState(null)
const[modelNames,setmodelNames]=useState('')

  const toggleNode = (menuID) => {
    if (expandedNodes.includes(menuID)) {
      setExpandedNodes(expandedNodes.filter((id) => id !== menuID));
    } else {
      setExpandedNodes([...expandedNodes, menuID]);
    }
  };

  const handleClose = (e) => {
    setDialogOpen(e);
  };

  const newNodeDataAdded = (elec, addORedit, DeleteId) => {
    newNode(elec, addORedit, DeleteId)
  }



  const handleContextMenuClick = async (event, menuID, menu) => {
    setloadmenu(true)
    // Fetch child data when a parent node is clicked
    // Call the function to fetch child data
    event.preventDefault();
    chapterHandeler(menuID)
    setSelectedMenu(menuID);
    setAnchorEl(event.currentTarget);
    // Fetch child data when a parent node is clicked
    nodeChildFetch(menuID); // Call the function to fetch child data
    setDataForEdit(menu)
  };

  const handleContextMenuClose = () => {
    setSelectedMenu(null);
    setAnchorEl(null);
  };

  // const renderMenu = (menuItems, parentIndex) => {
  //   console.log(menuItems, parentIndex)
  //   return (
  //     <TreeView
  //       defaultCollapseIcon={<ExpandMoreIcon className='close_icon' />}
  //       defaultExpandIcon={<ChevronRightIcon className='open_icon' />}
  //     >
  //       {menuItems.map((menu, i) => (
  //         <TreeItem
  //           key={menu.NodeId}
  //           nodeId={menu.NodeId.toString()}
  //           onClick={() => nodeChildFetch(menu.NodeId)}

  //           label={
  //             <div style={{ display: 'flex', alignItems: 'center', backgroundColor:"#fff" }}
  //               onContextMenu={(event) => handleContextMenuClick(event, menu.NodeId, menu)}
  //             >
  //               {menu.ParentId == 0 ?
  //               <span className={`tree_list ${menu?.children && "bg-success"}`}>
  //                 {` ${parentIndex}.${i + 1} ${menu.NodeName_E} => [ ${menu.NodeName_H} ]`}
  //               </span>
  //               :
  //               <span className={`tree_list ${menu?.children && "deiufh"}`}>
  //                 {` ${parentIndex}.${i + 1} ${menu.NodeName_E} => [ ${menu.NodeName_H} ]`}
  //               </span>}
  //             </div>
  //           }
  //           onIconClick={() => toggleNode(menu.NodeId)}
  //         >
  //           {menu.children && renderMenu(menu.children, `${parentIndex}.${i + 1}`)}
  //         </TreeItem>
  //       ))}
  //     </TreeView>
  //   );
  // };

  const renderMenu = (menuItems, parentIndex) => {
    return (
      <TreeView
        defaultCollapseIcon={<ExpandMoreIcon className='close_icon' />}
        defaultExpandIcon={<ChevronRightIcon className='open_icon' />}
      >
        {menuItems.map((menu, i) => {
          const level = parentIndex ? parentIndex.split('.').length : 0;
          const backgroundColor = getBackgroundColor(level);
          
          return (
            <TreeItem
              key={menu.NodeId}
              nodeId={menu.NodeId.toString()}
              onClick={() => nodeChildFetch(menu.NodeId)}
              label={
                <div
                  style={{ display: 'flex', alignItems: 'center', backgroundColor }}
                  onContextMenu={(event) => handleContextMenuClick(event, menu.NodeId, menu)}
                >
                  <span className={`tree_list ${menu?.children}`}>
                    {` ${parentIndex ? parentIndex + '.' : ''}${i + 1} ${menu.NodeName_E} => [ ${menu.NodeName_H} ]`}
                  </span>
                </div>
              }
              onIconClick={() => toggleNode(menu.NodeId)}
            >
              {menu.children && renderMenu(menu.children, `${parentIndex ? parentIndex + '.' : ''}${i + 1}`)}
            </TreeItem>
          );
        })}
      </TreeView>
    );
  };
  
  const getBackgroundColor = (level) => {
    switch (level) {
      case 1:
        return '#2b6777'; // First level background color
      case 2:
        return '#51aa97'; // Second level background color
      case 3:
        return '#c8d8e4'; // Third level background color
      default:
        return '#ffffff'; // Default background color
    }
  };
  

  function findNodeByParentId(data, parent_id) {
    for (let i = 0; i < data.length; i++) {
      const node = data[i];
      if (node.NodeId === parent_id) {
        return false;
      }
    }
    return true;
  }

  //this fucntion used close after delete node
  const handleCloseDialog = () => {
    setOpen(false);
    setDeleteId("")
  };


  //this fucntion used open add subject model
  const addNewSubject = (menuId, num) => {
    setmodelNames("Add Subject")
    setDialogOpen(true)
    setmenuIdhandle(menuId)
    setAddEditNum(num)
  };


  //this fucntion used open add node model
  const addNewNode = (menuId, num,name) => {
    setmodelNames(name)
    setDialogOpen(true)
    setmenuIdhandle(menuId)
    setAddEditNum(num)
  };

  //this fucntion used open edit node model
  const editNode = (menuId, num,name) => {
    setmodelNames(name)
    setDialogOpen(true)
    setmenuIdhandle(menuId)
    setAddEditNum(num)
  };


  //this fucntion used open Dialog for delete node 
  const deleteTreeNodes = (menuId, flag) => {
    setFlag(flag)
    setmenuIdhandle(menuId)
    setOpen(true)
  };

  // call api  delete for node 
  const deleteHandeler = () => {
    if (deleteFlag === false) {
      SubjectTreeServices.deleteTreeNode(menuIdhandle)
      .then(({ data }) => {
        toast.success(data?.message)
        newNodeDataAdded("false", "false", menuIdhandle)
        handleCloseDialog()
        handleContextMenuClose()
      }).catch((data) => {
        toast.error(data?.response?.data?.error);
        handleCloseDialog()
        handleContextMenuClose()
      });
    } else {
      SubjectTreeServices.deleteTreeNodewithcontant(menuIdhandle)
        .then(({ data }) => {
          toast.success(data?.message)
          // newNodeDataAdded("false", "false", menuIdhandle)
          handleCloseDialog()
          handleContextMenuClose()
        }).catch((data) => {
          toast.error(data?.response?.data?.error);
          handleCloseDialog()
          handleContextMenuClose()
        });
    }

  }

  const chapterHandeler = (menuID) => {
    SubjectTreeServices.singleContent(menuID)
      .then(({ data }) => {
        setchapter(data.data)
        setloadmenu(false)
      }).catch((data) => {
        console.log(data?.response?.data?.error);
        setloadmenu(false)
        setchapter(null)
      });
  }

  const rootMenuItems = data.filter((menu) => menu.ParentId === 0);
  const parentNode = findNodeByParentId(data, dataForEdit.ParentId)
  return (
    <div>
      {renderMenu(rootMenuItems, index)}

      <div>

        <Menu
          anchorEl={anchorEl}
          open={Boolean(anchorEl)}
          onClose={handleContextMenuClose}
          className='drop_menu_subject'
        >
          {dataForEdit && dataForEdit.ParentId === 0 && (
            [
              <MenuItem key="addSubject" onClick={() => addNewSubject(0, 0,)}>Add Subject</MenuItem>,
              <MenuItem key="editSubject" onClick={() => { editNode(selectedMenu, 1, "Edit Subject"); handleContextMenuClose(); }}>Edit Subject</MenuItem>,
              <MenuItem key="deleteSubject" onClick={() => deleteTreeNodes(selectedMenu, false)}>Delete Subject</MenuItem>,
              <MenuItem onClick={() => addNewNode(selectedMenu, 0,"Add Part")}>Add Part</MenuItem>
            ]
          )}


          {dataForEdit && dataForEdit.ParentId !== 0 && (
            [
              parentNode == false && (<>
                <MenuItem key="edit" onClick={() => {
                  editNode(selectedMenu, 1,"Edit Part");
                  handleContextMenuClose();
                }}>Edit Part</MenuItem>
                <MenuItem onClick={() => addNewNode(selectedMenu, 0,"Add Chapter")}>Add Chapter</MenuItem>
                <MenuItem key="deletePart" onClick={() => deleteTreeNodes(selectedMenu, false)}>Delete Part</MenuItem>
              </>),
              parentNode && (
                <>
              {loadmenu ?
              ("loading...")
             : (
                <>
                  <MenuItem key="edit" onClick={() => { editNode(selectedMenu, 1,"Edit Chapter"); handleContextMenuClose(); }}>Edit Chapter </MenuItem>
                  {!chapter&& <MenuItem key="addContent" onClick={() => router.push(`/admin/addContentNode/${[selectedMenu, "add"]}`)}>Add Content</MenuItem>}
                  {chapter && <MenuItem key="editContent" onClick={() => router.push(`/admin/addContentNode/${[selectedMenu, "edit"]}`)}>Edit Content</MenuItem>}
                  {!chapter &&<MenuItem key="DeleteChapter" onClick={() => deleteTreeNodes(selectedMenu, false)}>Delete Chapter</MenuItem>}
                  {chapter && <MenuItem key="DeleteContent" onClick={() => deleteTreeNodes(selectedMenu, true)}>Delete Content</MenuItem>}
                  </>
              )}
                </>
              ),
            ]
          )}
        </Menu>
      </div>

      <AddEditNodeModal
        open={dialogOpen}
        nodeId={menuIdhandle}
        onclose={handleClose}
        addEditNum={addEditNum}
        dataForEdit={(addEditNum === 1 && dialogOpen) && dataForEdit}
        newNodeData={newNodeDataAdded}
        modelName={modelNames}
      />


      <Dialog
        open={open}
        // onClose={handleClose}
        aria-labelledby="alert-dialog-title"
        aria-describedby="alert-dialog-description"
      >

        <DialogContent className='dialog_container'>
          <h5 className='mx-5 my-3 text-danger fw-bold'>Are you sure to Delete</h5>
          <div className='d-flex justify-content-center'>
            <Button onClick={handleCloseDialog} variant='contained' className='cancel_button mx-3' size='small'>No</Button>
            <Button onClick={deleteHandeler} variant='contained' className='submit_button' size='small'>Yes</Button>
          </div>
        </DialogContent>

      </Dialog>
    </div>
  );
};



export default function SubjectTreeComponent() {
  const [nodeData, setNodeData] = useState([]);

  function getNodes(nodeId) {
    return SubjectTreeServices.getTreeNode(nodeId)
      .then(({ data }) => {
        // Merge new data with the existing data, avoiding duplicates
        const mergedData = mergeData(nodeData, data?.tree);
        setNodeData(mergedData);

      }).catch((data) => {
        console.log(data?.response?.data?.error);
      });
  }



  // this function use after add/edit/delete node 
  const newNodeData = (data, addORedit, DeleteId) => {
    
    if (addORedit) {
      setNodeData((nodeData) => [...nodeData, data])
    }
    if (!addORedit) {
      const filtereddata = nodeData.filter((ele) => ele.NodeId !== data.NodeId)
      setNodeData([...filtereddata, data])
    }

    if (DeleteId) {
      const filtereddata = nodeData.filter((ele) => ele.NodeId !== DeleteId)
      setNodeData([...filtereddata])
    }

  }

  useEffect(() => {
    getNodes(0);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  function mergeData(existingData, newData) {
    const uniqueNodeIds = new Set(existingData.map(item => item.NodeId));
    const filteredNewData = newData.filter(item => !uniqueNodeIds.has(item.NodeId));
    return [...existingData, ...filteredNewData];
  }
  const buildTree = (menuItems, parentID) => {
    return menuItems
      .filter((menu) => menu.ParentId === parentID)
      .map((menu) => {
        const children = buildTree(menuItems, menu.NodeId);
        if (children.length > 0) {
          menu.children = children;
        }
        return menu;
      });
  };

  const menuTreeData = buildTree(nodeData, 0);

  return <SubjectTree data={menuTreeData} nodeChildFetch={getNodes} index="1" newNode={newNodeData} />;
}
