
"use client"
import HomePageServices from "@/Services/HomePageServices";
import { Button, Dialog, DialogContent, DialogTitle, TextField, styled } from "@mui/material";
import React, { useEffect, useState } from "react";
import { toast } from "react-toastify";
import { IconButton } from '@mui/material';
import { MdDelete } from "react-icons/md";
import { FaEdit } from "react-icons/fa";
import { VscPreview } from "react-icons/vsc";

import VisibilityIcon from '@mui/icons-material/Visibility';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
import CloseIcon from '@mui/icons-material/Close';
import "./upcommingUpdate.css"


const BootstrapDialog = styled(Dialog)(({ theme }) => ({
    '& .MuiDialogContent-root': {
        padding: theme.spacing(2),
    },
    '& .MuiDialogActions-root': {
        padding: theme.spacing(1),
    },
}));

const Page = () => {
    const [Title_E, setTitle_E] = useState("")
    const [Title_H, setTitle_H] = useState("")
    const [Texts_E, setTexts_E] = useState("")
    const [Texts_H, setTexts_H] = useState("")
    const [Remark, setRemark] = useState("")
    const [TableList, setTableList] = useState([])
    const [refresh, setrefresh] = useState(false)
    const [open, setOpen] = useState(false);
    const [Toggle, setToggle] = useState(false)
    const [Id, setId] = useState("")
    const [EditId, setEditId] = useState("")
    const [EditItems, setEditItems] = useState({})
    const [opendial, setOpendial] = React.useState(false);
    const [data, setdata] = useState({});


    const reset = () => {
        setTitle_E("")
        setTitle_H("")
        setTexts_E("")
        setTexts_E("")
        setRemark("")
    }
    const handleClose = () => {
        setOpen(false);
        setId("")
    };
    const submitHandeler = () => {
        HomePageServices.addupComingUpdateEntry({ Title_E, Title_H, Texts_E, Texts_H, Remark }).then(({ data }) => {
            toast.success(data.message)
            reset()
            setrefresh(!refresh)
            setToggle(false)
        }).catch((err) => {
            toast.error(err.response.data.error)
        })
    }
    const deleteHandeler = () => {
        HomePageServices.deleteUpcomingUpdate(Id).then(({ data }) => {
            toast.success(data?.message)
            setOpen(false)
            setrefresh(!refresh)
        }).catch((err) => {
            setOpen(false)
            toast.error(err.response.data.error)
        })
    }

    const editHandle = (ele) => {
        setEditId(ele?.UpcomingUpdateId)
        setToggle(true)
        setEditItems(ele)
        setTitle_E(ele?.Title_E)
        setTitle_H(ele?.Title_H)
        setTexts_E(ele?.Texts_E)
        setTexts_H(ele?.Texts_H)
        setRemark(ele?.Remark)
    }

    const updateHandeler = () => {
        HomePageServices.editUpcomingUpdate({ UpcomingUpdateId: EditId, Title_E, Title_H, Texts_E, Texts_H, Remark }).then(({ data }) => {
            setrefresh(!refresh)
            setToggle(false)
            reset()
        }).catch((err) => {
            toast.error(err.response.data.error)
        })
    }

    const toggleStatus = (id) => {
        HomePageServices.statusUpdate(id).then(({ data }) => {
            setrefresh(!refresh)
            toast.success(data.message)
        }).catch((err) => {
            console.log(err?.response?.data?.error);
        })
    }


    useEffect(() => {
        HomePageServices.getUpcomingUpdate().then(({ data }) => {
            setTableList(data?.data);
            toast.success(data.data.message)
        }).catch((err) => {
            toast.error(err.response.data.err)
        })
    }, [refresh])

    const handleClickOpen = (ele) => {
        setOpendial(true);
        setdata(ele)
    };
    const handleClosedialog = () => {
        setOpendial(false);
    };


    return (
        <>
            <div className="titleHeading d-flex justify-content-between">
                <span>Upcoming Update Entry</span>
                <Button variant="contained" className="submit_button px-4" size="small" onClick={() => {
                    setToggle(!Toggle)
                    setEditId("")
                }}>Add Upcoming</Button>
            </div>
            {Toggle && <div className="brderTopDiv p-3">
                <div className="row">
                    <div className="col-md-6">

                        <TextField
                            id="outlined-multiline-static"
                            label="Title English"
                            fullWidth
                            multiline rows={2}
                            onChange={(e) => setTitle_E(e.target.value)}
                            value={Title_E}
                            size="small"
                            color="success"
                        />

                    </div>

                    <div className="col-md-6 mb-3">
                        <TextField
                            id="outlined-multiline-static"
                            label="Title Hindi"
                            fullWidth
                            multiline rows={2}
                            onChange={(e) => setTitle_H(e.target.value)}
                            value={Title_H}
                            size="small"
                            color="success"
                        />
                    </div>

                    <div className="col-md-12 mb-3">
                        <TextField
                            id="outlined-multiline-static"
                            label="Description English "
                            fullWidth
                            multiline rows={4}
                            onChange={(e) => setTexts_E(e.target.value)}
                            value={Texts_E}
                            size="small"
                            color="success"
                        />
                    </div>
                    <div className="col-md-12 mb-3">
                        <TextField
                            id="outlined-multiline-static"
                            label="Description Hindi"
                            fullWidth
                            multiline rows={4}
                            onChange={(e) => setTexts_H(e.target.value)}
                            value={Texts_H}
                            size="small"
                            color="success"
                        />
                    </div>
                    <div className="col-md-12 mb-2">
                        <TextField
                            id="outlined-multiline-static"
                            label="Remarks"
                            fullWidth
                            multiline rows={3}
                            onChange={(e) => setRemark(e.target.value)}
                            value={Remark}
                            size="small"
                            color="success"
                        />
                    </div>
                    <div className="col-md-2 mt-2 mb-2">
                        {!EditId && <Button variant="contained" className="submit_button" fullWidth size="small" onClick={submitHandeler}>Submit</Button>}
                        {!!EditId && <Button variant="contained" className="submit_button" fullWidth size="small" onClick={updateHandeler}>Update</Button>}
                    </div>
                    <div className="col-md-4">

                    </div>
                </div>

            </div>}

            <div className=' brderTopDiv mt-3'>
                {TableList.length > 0 ?
                    <table className='w-100 border'>
                        <thead className='theadcalenderlist'>
                            <tr>
                                <th style={{ width: "10%" }}>Sr. No</th>
                                <th style={{ width: "32%" }}>Title_English</th>
                                <th style={{ width: "32%" }}>Title_Hindi</th>
                                <th style={{ width: "40%" }}>Description_English</th>
                                <th style={{ width: "40%" }}>Description_Hindi</th>
                                <th style={{ width: "8%", textAlign: "center" }}>Status</th>
                                <th style={{ width: "10%", textAlign: "center" }}>Actions</th>
                            </tr>
                        </thead>

                        <tbody>
                            {TableList?.map((ele, i) => {
                                return <tr key={i}>
                                    <td className="px-3 m-0" style={{ width: "10%" }}>{i + 1}</td>
                                    <td className="p-0 m-0" style={{ width: "20%" }}>{ele?.Title_E?.substring(0, 40)}{ele?.Title_E?.length > 40 && "....."}</td>
                                    <td className="p-0 m-0" style={{ width: "20%" }}>{ele?.Title_H?.substring(0, 40)}{ele?.Title_H?.length > 40 && "....."}</td>
                                    <td className="p-0 m-0" style={{ width: "50%" }}>{ele?.Texts_E?.substring(0, 40)}{ele?.Test_E?.length > 40 && "....."}</td>
                                    <td className="p-0 m-0" style={{ width: "50%" }}>{ele?.Texts_H?.substring(0, 40)}{ele?.Test_H?.length > 40 && "......"}</td>
                                    <td className="p-0 m-0" style={{ width: "8%", textAlign: "center" }}>
                                        {!!ele.Active ?
                                            <VisibilityIcon fontSize="small" sx={{ color: "green" }} onClick={() => toggleStatus(ele.UpcomingUpdateId)} />
                                            : <VisibilityOffIcon fontSize="small" sx={{ color: "red" }} onClick={() => toggleStatus(ele.UpcomingUpdateId)} />
                                        }</td>
                                    <td className="p-0 m-0" style={{ width: "10%", textAlign: "center" }}>
                                        <div className="d-flex">
                                            <IconButton className='my-0 ' title='Edit' onClick={() => editHandle(ele)}>
                                                <FaEdit color='green' fontSize={20} />
                                            </IconButton>
                                            <IconButton className='my-0 ' title='Delete' onClick={() => {
                                                setId(ele.UpcomingUpdateId)
                                                setOpen(true)
                                            }}>
                                                <MdDelete color='red' fontSize={20} />
                                            </IconButton>
                                            <IconButton className='my-0 ' title='Preview' onClick={() => handleClickOpen(ele)}>
                                                <VscPreview color='green' fontSize={20} />
                                            </IconButton>
                                        </div>
                                    </td>
                                </tr>
                            })}
                        </tbody>

                    </table>
                    :
                    <p>No data</p>
                }
            </div>


            <BootstrapDialog
                // onClose={handleClose}
                fullWidth
                maxWidth={"md"}
                aria-labelledby="customized-dialog-title"
                open={opendial}
            >


                <IconButton
                    aria-label="close"
                    onClick={handleClosedialog}
                    sx={{
                        position: 'absolute',
                        right: 8,
                        top: 8,
                        color: (theme) => theme.palette.grey[500],
                    }}
                >
                    <CloseIcon />
                </IconButton>
                <DialogContent dividers className=" p-0">
                    <div className="row m-0">
                        <div className="col-md-6 p-0">
                            <div className="update_title">{data.Title_E}</div>
                            <div className="update_description">{data.Texts_E}</div>
                        </div>
                        <div className="col-md-6 p-0">
                            <div className="update_title">{data.Title_H}</div>
                            <div className="update_description">{data.Texts_H}</div>

                        </div>
                    </div>

                </DialogContent>
            </BootstrapDialog>

            <Dialog
                open={open}
                // onClose={handleClose}
                aria-labelledby="alert-dialog-title"
                aria-describedby="alert-dialog-description"
            >

                <DialogContent className='dialog_container'>
                    <h5 className='mx-5 my-3 text-danger fw-bold'>Are you sure to delete</h5>
                    <div className='d-flex justify-content-center'>
                        <Button onClick={handleClose} variant='contained' className='cancel_button mx-3' size='small'>no</Button>
                        <Button onClick={deleteHandeler} variant='contained' className='submit_button' size='small'>yes</Button>
                    </div>
                </DialogContent>

            </Dialog>
        </>
    )
}

export default Page