'use client'
import React, { useEffect, useState } from 'react'
import "../../component/css/contactus.css"
import { BiSolidLocationPlus } from "react-icons/bi"
import { MdWifiCalling3 } from 'react-icons/md';
import { GrMail } from "react-icons/gr"
import { BiLogoInternetExplorer } from "react-icons/bi"
import Box from '@mui/material/Box';
import TextField from '@mui/material/TextField';
import { useSelector } from 'react-redux'
import CommonServices from '@/Services/CommonServices';
import { toast } from 'react-toastify';

// name, email, mobile, message 
const ContactUs = () => {
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null)
    const language = useSelector((state) => state.language)
    const [name, setname] = useState("")
    const [email, setemail] = useState("")
    const [mobile, setmobile] = useState("")
    const [message, setmessage] = useState("")

    useEffect(() => {
        const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
        setlocalStorageLanguage(localStorageLanguage)
    }, [language])

    const submitHandeler = () => {
        CommonServices.contactToAdmin({ name, email, mobile, message }).then(({ data }) => {
            toast.success(data.message)
        }).catch((err) => {
            console.log(err.response.data);
            toast.error(err.response.data.message)
            toast.error(err.response.data.error)
        })
    }
    return (
        <>
            {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ?
                <div>
                    {/* <div>
                        <img src='https://www.axisbank.com/images/default-source/revamp_new/contact-us/contactus.jpg' width="100%" className='contavt_image' alt='pic' />
                    </div> */}
                    <div className='container'>
                        <div className='row mt-4 mb-5'>
                            <div className='col-md-4 p-2'>
                                <div className='contact_cols'>
                                    <h3>Contact Us</h3>
                                    <hr className='my-4' />
                                    <div><BiSolidLocationPlus /> &ensp; Director, BIRD, Sector-H, LDA Colony</div>
                                    <div><BiSolidLocationPlus style={{ visibility: "hidden" }} /> &ensp;  Kanpur Road,</div>
                                    <div><BiSolidLocationPlus style={{ visibility: "hidden" }} /> &ensp;   Lucknow – 226 012, INDIA.</div>
                                    <br />
                                    <div><MdWifiCalling3 /> &ensp; +91-522-2421954 (Director’s Office )</div>
                                    <div><MdWifiCalling3 style={{ visibility: "hidden" }} /> &ensp; +91-522-2421812 (Administration)</div>
                                    <div><MdWifiCalling3 style={{ visibility: "hidden" }} /> &ensp; +91-522-2421812 (Administration)</div>
                                    <br />
                                    <div><GrMail />&ensp; bird@nabard.org</div>
                                    <br />
                                    <div><BiLogoInternetExplorer />&ensp; www.birdlucknow.nabard.org</div>
                                </div>
                            </div>
                            <div className='col-md-8 p-2'>
                                <div className='contact_cols'>
                                    <h3>For Enquiry</h3>
                                    <hr className='my-4' />
                                    <div className='row'>
                                        <div className='col-md-6 mb-4'>
                                            <TextField fullWidth size='small' id="outlined-basic" label="Name" variant="outlined" onChange={(e) => setname(e.target.value)} />
                                        </div>

                                        <div className='col-md-6 mb-4'>
                                            <TextField fullWidth size='small' id="outlined-basic" label="Email" variant="outlined" onChange={(e) => setemail(e.target.value)} />
                                        </div>
                                        <div className='col-md-6'>
                                            <TextField
                                                fullWidth
                                                id="outlined-multiline-static"
                                                label="Message"
                                                multiline
                                                rows={4}
                                                onChange={(e) => setmessage(e.target.value)}
                                            />
                                        </div>
                                        <div className='col-md-6 mb-4'>
                                            <TextField fullWidth size='small' id="outlined-basic" label="Mobile No" variant="outlined" onChange={(e) => setmobile(e.target.value)} />

                                        </div>
                                    </div>
                                    <div className='d-flex justify-content-center mt-4 mb-2'>
                                        <button className='submit_btn' onClick={submitHandeler}>Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                :
                <div>
                    {/* <div>
                        <img src='https://www.axisbank.com/images/default-source/revamp_new/contact-us/contactus.jpg' width="100%" className='contavt_image' alt='pic' />
                    </div> */}
                    <div className='container'>
                        <div className='row mt-4 mb-5'>
                            <div className='col-md-4 p-2'>
                                <div className='contact_cols'>
                                    <h3>संपर्क करें</h3>
                                    <hr className='my-4' />
                                    <div><BiSolidLocationPlus /> &ensp; Director, BIRD, Sector-H, LDA Colony</div>
                                    <div><BiSolidLocationPlus style={{ visibility: "hidden" }} /> &ensp;  Kanpur Road,</div>
                                    <div><BiSolidLocationPlus style={{ visibility: "hidden" }} /> &ensp;   Lucknow – 226 012, INDIA.</div>
                                    <br />
                                    <div><MdWifiCalling3 /> &ensp; +91-522-2421954 (Director’s Office )</div>
                                    <div><MdWifiCalling3 style={{ visibility: "hidden" }} /> &ensp; +91-522-2421812 (Administration)</div>
                                    <div><MdWifiCalling3 style={{ visibility: "hidden" }} /> &ensp; +91-522-2421812 (Administration)</div>
                                    <br />
                                    <div><GrMail />&ensp; bird@nabard.org</div>
                                    <br />
                                    <div><BiLogoInternetExplorer />&ensp; www.birdlucknow.nabard.org</div>
                                </div>
                            </div>
                            <div className='col-md-8 p-2'>
                                <div className='contact_cols'>
                                    <h3>पूछताछ हेतु</h3>
                                    <hr className='my-4' />
                                    <div className='row'>
                                        <div className='col-md-6 mb-4'>
                                            <TextField fullWidth size='small' id="outlined-basic" label="नाम" variant="outlined" onChange={(e) => setname(e.target.value)} />
                                        </div>

                                        <div className='col-md-6 mb-4'>
                                            <TextField fullWidth size='small' id="outlined-basic" label="ईमेल" variant="outlined" onChange={(e) => setemail(e.target.value)} />
                                        </div>
                                        <div className='col-md-6'>
                                            <TextField
                                                fullWidth
                                                id="outlined-multiline-static"
                                                label="संदेश"
                                                multiline
                                                rows={4}
                                                onChange={(e) => setmessage(e.target.value)}
                                            />
                                        </div>
                                        <div className='col-md-6 mb-4 mt-4'>
                                            <TextField fullWidth size='small' id="outlined-basic" label="मोबाइल नंबर" variant="outlined" onChange={(e) => setmobile(e.target.value)} />

                                        </div>
                                    </div>
                                    <div className='d-flex justify-content-center mt-4 mb-2'>
                                        <button className='submit_btn' onClick={submitHandeler}>जमा करें</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </>
    )
}

export default ContactUs