"use client";
import React, { useEffect, useState } from "react";
import "./subscription.css";
import { useSelector } from "react-redux";
import { Button, Checkbox } from "@mui/material";
import PromoDialog from "@/component/PromoCodeModel/promoApply";
import SubscriptionServices from "@/Services/SubscriptionServices";
import { toast } from "react-toastify";
import { getUserInfo } from "@/redux/action/loginAction";
import { useDispatch } from "react-redux";
const membership = () => {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const [openModel, setOpenModel] = useState(false);
  const [Subscriptionlist, setSubscriptionlist] = useState([]);
  const [months, setmonths] = useState(1);
  const [selectedPlanId, setSelectedPlanId] = useState(null);
  const [ERROR, setERROR] = React.useState("");
  const dispach = useDispatch();
  const handleCheckboxChange = (id) => (event) => {
    setSelectedPlanId(event.target.checked ? id : null);
  };

  const selectedPlan = Subscriptionlist.find(
    (plan) => plan?.SubscriptionId === selectedPlanId
  );

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);

  useEffect(() => {
    SubscriptionServices.getSubscriptionForUser()
      .then(({ data }) => {
        setSubscriptionlist(data?.data);
      })
      .catch((err) => {
        console.log(err);
      });
  }, []);

  const goPay = () => {
    const payload = {
      SubscriptionId: selectedPlanId,
      months,
      // promoCode
    };
    SubscriptionServices.GoSubscribe(payload)
      .then((data) => {
        console.log(data);
        setSelectedPlanId("");
        dispach(getUserInfo());
        toast.success("Subscribe successfully ");
        // handleClose()
      })
      .catch((error) => {
        setERROR(error.response);
        console.log(error.response);
      });
  };

  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <div className="container">
          <div>
            <h1 className="font_nunito_bolder text-center fw-bold mt-3">
              <span className="text-warning">C</span>HOOSE{" "}
              <span className="text-warning">Y</span>OUR{" "}
              <span className="text-warning">S</span>UBSCRIPTION{" "}
              <span className="text-warning">P</span>LAN{" "}
            </h1>
          </div>

          <div className="text-center">
            <h6 className="font_nunito_thin fw-bold text-secondary mt-3 mb-4 ">
              NO HIDDEN OR NO ADDITIONAL CHARGES
            </h6>
          </div>
          <div className="d-md-flex justify-content-center">
            <div className="members_card1">
              <div className="member_card1">
                <h3 className="font_nunito_bolder">Monthly Plan</h3>
                <div className=" ">
                  <h1 className="text-black font_nunito_bolder m-0 p-0">
                    ₹ {Subscriptionlist[0]?.Amount}
                  </h1>
                </div>
                <p className="fw-bold text-black my-1">
                  👉 Unlimited Access to All Study Materials
                </p>
                <p className="fw-bold text-black my-1">
                  👉 Unlimited Re-Attempt for All Quiz Set
                </p>
                <p className="fw-bold text-black my-1">
                  👉 Unlimited Re-Attempt for All Practice Question Set
                </p>

                <div className="plan_btn1 font_nunito_thin fw-bold move-up">
                  <Checkbox
                    className="m-0 p-0 mx-3"
                    checked={
                      selectedPlanId === Subscriptionlist[0]?.SubscriptionId
                    }
                    onChange={handleCheckboxChange(
                      Subscriptionlist[0]?.SubscriptionId
                    )}
                    inputProps={{ "aria-label": "Select plan" }}
                  />
                  Subscribe{" "}
                </div>
              </div>
            </div>
            <div className="members_card2 ms-md-3">
              <div className="member_card2">
                <h3 className="font_nunito_bolder">Quarterly Plan</h3>
                <div className=" ">
                  <h1 className="text-white font_nunito_bolder m-0 p-0">
                    ₹{Subscriptionlist[1]?.Amount}
                  </h1>
                </div>
                <p className="fw-bold text-white my-1">
                  👉 Unlimited Access to All Study Materials
                </p>
                <p className="fw-bold text-white my-1">
                  👉 Unlimited Re-Attempt for All Quiz Set
                </p>
                <p className="fw-bold text-white my-1">
                  👉 Unlimited Re-Attempt for All Practice Question Set
                </p>
                <div className="plan_btn2 font_nunito_thin fw-bold move-up">
                  <Checkbox
                    className="m-0 p-0 mx-3"
                    checked={
                      selectedPlanId === Subscriptionlist[1]?.SubscriptionId
                    }
                    onChange={handleCheckboxChange(
                      Subscriptionlist[1]?.SubscriptionId
                    )}
                    inputProps={{ "aria-label": "Select plan" }}
                  />
                  Subscribe{" "}
                </div>
              </div>
            </div>

            <div className="members_card3 ms-md-3">
              <div className="member_card3">
                <h3 className="font_nunito_bolder">Yearly Plan</h3>
                <div className=" ">
                  <h1 className="text-white font_nunito_bolder m-0 p-0">
                    ₹ {Subscriptionlist[2]?.Amount}
                  </h1>
                </div>
                <p className="fw-bold text-white my-1">
                  👉 Unlimited Access to All Study Materials{" "}
                </p>
                <p className="fw-bold text-white my-1">
                  👉 Unlimited Re-Attempt for All Quiz Set
                </p>
                <p className="fw-bold text-white my-1">
                  👉 Unlimited Re-Attempt for All Practice Question Set{" "}
                </p>
                <div className="plan_btn3 font_nunito_thin fw-bold move-up">
                  <Checkbox
                    className="m-0 p-0 mx-3"
                    checked={
                      selectedPlanId === Subscriptionlist[2]?.SubscriptionId
                    }
                    onChange={handleCheckboxChange(
                      Subscriptionlist[2]?.SubscriptionId
                    )}
                    inputProps={{ "aria-label": "Select plan" }}
                  />
                  Subscribe{" "}
                </div>
              </div>
            </div>
          </div>

          <div className="container">
            <h2 className="text-bold text-center fs-4">
              <span className="text-warning"> Enhance</span> your knowledge and
              build up <span className="text-warning"> confidence</span> by{" "}
              <span className="text-warning"> dedicating</span> a few minutes a
              day to the <span className="text-warning"> Vijayam</span> website.
            </h2>
          </div>
        </div>
      ) : (
        <div className="container">
          <div>
            <h1 className="font_nunito_bolder text-center fw-bold mt-3">
              {" "}
              <span className="text-warning">अ</span>पना{" "}
              <span className="text-warning">स</span>दस्यता{" "}
              <span className="text-warning">प्ला</span>न{" "}
              <span className="text-warning">चु</span>नें
            </h1>
          </div>

          <div className="text-center">
            <h6 className="font_nunito_thin fw-bold text-secondary mt-3 mb-4 ">
              कोई छिपा हुआ या कोई अतिरिक्त शुल्क नहीं
            </h6>
          </div>
          <div className="d-md-flex justify-content-center">
            <div className="members_card1">
              <div className="member_card1">
                <h3 className="font_nunito_bolder">मासिक प्लान</h3>
                <div className=" ">
                  <h1 className="text-black font_nunito_bolder m-0 p-0">
                    ₹ {Subscriptionlist[0]?.Amount}
                  </h1>
                </div>
                <p className="fw-bold text-black my-2">
                  👉 सभी अध्ययन सामग्री तक असीमित पहुँच
                </p>
                <p className="fw-bold text-black my-3">
                  👉 सभी प्रश्नोत्तरी सेट के लिए असीमित पुनः प्रयास
                </p>
                <p className="fw-bold text-black  m m-0 p-0">
                  👉 सभी अभ्यास प्रश्न सेट के
                </p>
                <p className="fw-bold text-black  m-0 p-0 ms-4">
                  {" "}
                  लिए असीमित {"पुनः"} प्रयास
                </p>
                <div className="plan_btn1 font_nunito_thin fw-bold move-up">
                  <Checkbox
                    className="m-0 p-0 mx-3"
                    checked={
                      selectedPlanId === Subscriptionlist[0]?.SubscriptionId
                    }
                    onChange={handleCheckboxChange(
                      Subscriptionlist[0]?.SubscriptionId
                    )}
                    inputProps={{ "aria-label": "Select plan" }}
                  />
                  सदस्यता लें
                </div>
              </div>
            </div>

            <div className="members_card2 ms-md-3">
              <div className="member_card2">
                <h3 className="font_nunito_bolder"> तिमाही प्लान</h3>
                <div className=" ">
                  <h1 className="text-white font_nunito_bolder m-0 p-0">
                    ₹ {Subscriptionlist[1]?.Amount}
                  </h1>
                </div>
                <p className="fw-bold  text-white">
                  👉 सभी अध्ययन सामग्री तक असीमित पहुँच
                </p>
                <p className="fw-bold  text-white ">
                  👉 सभी प्रश्नोत्तरी सेट के लिए असीमित पुनः प्रयास
                </p>
                <p className="fw-bold  text-white ms-1 m-0 p-0">
                  👉 सभी अभ्यास प्रश्न सेट के
                </p>
                <p className="fw-bold  text-white m-0 p-0 ms-4">
                  {" "}
                  लिए असीमित {"पुनः"} प्रयास
                </p>
                <div className="plan_btn2 font_nunito_thin fw-bold move-up">
                  <Checkbox
                    className="m-0 p-0 mx-3"
                    checked={
                      selectedPlanId === Subscriptionlist[1]?.SubscriptionId
                    }
                    onChange={handleCheckboxChange(
                      Subscriptionlist[1]?.SubscriptionId
                    )}
                    inputProps={{ "aria-label": "Select plan" }}
                  />
                  सदस्यता लें
                </div>
              </div>
            </div>

            <div className="members_card3 ms-md-3">
              <div className="member_card3">
                <h3 className="font_nunito_bolder">वार्षिक प्लान</h3>
                <div className=" ">
                  <h1 className="text-white font_nunito_bolder m-0 p-0">
                    ₹ {Subscriptionlist[2]?.Amount}
                  </h1>
                </div>
                <p className="fw-bold text-white  ">
                  👉 सभी अध्ययन सामग्री तक असीमित पहुँच
                </p>
                <p className="fw-bold  text-white ">
                  👉 सभी प्रश्नोत्तरी सेट के लिए असीमित पुनः प्रयास
                </p>
                <p className="fw-bold  text-white ms-1 m-0 p-0">
                  👉 सभी अभ्यास प्रश्न सेट के
                </p>
                <p className="fw-bold  text-white m-0 p-0 ms-4">
                  {" "}
                  लिए असीमित {"पुनः"} प्रयास
                </p>
                <div className="plan_btn3 font_nunito_thin fw-bold move-up">
                  <Checkbox
                    className="m-0 p-0 mx-3"
                    checked={
                      selectedPlanId === Subscriptionlist[2]?.SubscriptionId
                    }
                    onChange={handleCheckboxChange(
                      Subscriptionlist[2]?.SubscriptionId
                    )}
                    inputProps={{ "aria-label": "Select plan" }}
                  />
                  सदस्यता लें
                </div>
              </div>
            </div>
          </div>

          <div className="container">
            <h2 className="text-bold text-center fs-4 mb-4">
              <span className="text-warning">विजयं</span> वेबसाइट पर प्रतिदिन
              कुछ मिनट <span className="text-warning">समर्पित</span> करके अपने{" "}
              <span className="text-warning">ज्ञान की वृद्धि</span> करें और अपने{" "}
              <span className="text-warning">आत्मविश्वास </span>को बढ़ाये।
            </h2>
          </div>
        </div>
      )}
      <div className="container mt-2">
        <div className="text-center">
          {/* <PromoDialog
                        open={openModel}
                        SubscriptionId={selectedPlanId}
                        months={months}
                        Amount={selectedPlan?.Amount}
                    /> */}
        </div>

        <div className="text-center mt-1">
          <Button
            variant="contained"
            color="primary"
            size="small"
            disabled={selectedPlanId ? false : true}
            onClick={goPay}
            className="cancel_button"
          >
            {(!language.loading && language?.language == "ENGLISH") ||
            localStorageLanguage == "ENGLISH"
              ? 'Pay'
              : 'भुगतान करें'}
          </Button>
        </div>
      </div>
    </>
  );
};

export default membership;
