"use client"
import React, { useState, useEffect, useRef } from "react";
import { Button, Dialog, DialogContent, Paper } from "@mui/material";
import { useMediaQuery, useTheme } from "@mui/material";
import { useSelector } from "react-redux";
import { useRouter } from 'next/navigation'
import QuetionTabMenu from "@/component/Exampanel/QuestionTabMenu";
import ButtonMenu from "@/component/Exampanel/ButtonMenu";
import Timer from "@/component/Exampanel/Timer";
import Format001 from "@/component/questionFormat/Format001";
import ExamSheetServices from "@/Services/ExamSheetServices";
import "@/app/practice/practice.css"
import QuizServices from "@/Services/QuizServices";

export const ExamPanel = ({ params }) => {
  const router = useRouter();
  const childRef = useRef();
  const [selectedAnswer, setselectedAnswer] = useState("")
  const [displayQue, setDisplayQue] = useState({});
  const [QuizData, setQuizData] = useState({});
  const [questionData, setQuestionData] = useState([]);
  const [answerSheet, setAnswerSheet] = useState([]);
  const [ExamSheetData, setExamSheetData] = useState({});
  const [Answer, setAnswer] = useState({});
  const [countDown, setCountDown] = useState(0);
  const [queNo, setQueNo] = useState(0);
  const [markStatus, setMarkStatus] = useState(false);
  const [open, setOpen] = React.useState(false);
  const [open1, setOpen1] = React.useState(false);
  const [isLoading, setIsLoading] = useState(true);
  const handleClose = () => {
    setOpen(false);
  };
  
  const theme = useTheme();
  const quiz = params
  const isMobile = useMediaQuery(theme.breakpoints.down("sm"), {
    noSsr: false,
  });

  const user = useSelector((state) => state.loginInfo);
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const [FainlExamSheet, setFinalExamSheet] = useState([])
  const timeoutRef = useRef(null);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language])


  const createExamSheets = async (obj) => {
    setIsLoading(true)
    try {
      const { data } = await ExamSheetServices.createExamSheet(obj);
      setExamSheetData(data?.ExamSheetData);
      if (data.success) {
        if (Object.keys(data?.ExamSheetAns).length > 0) {
          setAnswerSheet((prev) => {
            const existingIndex = prev.findIndex(
              (item) => item.QuestionId == data?.ExamSheetAns.QuestionId
            );

            if (existingIndex !== -1) {
              return prev.map((item, index) =>
                index == existingIndex ? data?.ExamSheetAns : item
              );
            } else {
              return [...prev, data?.ExamSheetAns];
            }
          });
          setAnswer({});
        }
      } else {
        setAnswer({});
        setAnswerSheet([])
      }
      setIsLoading(false)
    } catch (error) {
      setIsLoading(false)
      setAnswer({});
      setAnswerSheet([])
      console.log(error);
    }
  };

  function finalSubmitforback() {
    ExamSheetServices.ExamSheetSubmit(quiz?.id)
      .then(({ data }) => {
        if (data.success) {
        }
      }).catch((err) => {
        setIsLoading(false);
        console.log(err)
      })
  }
  const getQuiz = async () => {
    QuizServices.getOneQuizWithQuestion(quiz?.id)
      .then(({ data }) => {
        setQuizData(data?.quizFullDetails)
      })
      .catch((error) => {
        console.log(error)
      });
  }

  const getQuestion = async () => {
    QuizServices.getAutoaddedQestion(quiz?.id)
      .then(({ data }) => {
        setQuestionData(data?.questions)
      })
      .catch((error) => {
        console.log(error)
      });
  }

  const getExamSheetAns = async () => {
    setIsLoading(true)
    ExamSheetServices.fetchExamSheet(quiz?.id)
      .then(({ data }) => {
        setExamSheetData(data?.examSheet)
        if (data?.historyExamSheetAns.length > 0) {
          setIsLoading(false)
          setAnswerSheet(data?.historyExamSheetAns)
        } else {
          setAnswerSheet([])
          setIsLoading(false)
        }
      })
      .catch((error) => {
        console.log(error)
      });
  }

  //  Quiz api call 
  useEffect(() => {
    getQuiz();
    getQuestion();
    getExamSheetAns();
  }, [quiz?.id]);


  // useEffect(() => {
  //   if (quiz?.id) {
  //     const obj = { quizId: quiz?.id };
  //     createExamSheets(obj);
  //   }
  // }, [quiz?.id])

  useEffect(() => {
    if (Object.keys(ExamSheetData).length > 0 && Object.keys(QuizData).length > 0 ) {
      const currentTime = new Date();     
      const examStartTime = new Date(ExamSheetData?.CreatedDateTime);   
      const elapsedTime = currentTime - examStartTime;
      const totalQuizTime = QuizData.TotalTime * 60 * 1000 ;
      const remainingTime = totalQuizTime - elapsedTime;
      const timeoutDuration = remainingTime > 0 ? Math.min(totalQuizTime,remainingTime) : 0;
      setCountDown(timeoutDuration);

      timeoutRef.current = setTimeout(() => {
        finalSubmit()
      }, timeoutDuration);

      return () => {
        if (timeoutRef.current) {
          clearTimeout(timeoutRef.current);
        }
      };
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [Object.keys(QuizData).length > 0 , Object.keys(ExamSheetData).length > 0 ]);



  useEffect(() => {
    if (questionData?.length > 0) {
      if (answerSheet?.length > 0) {
        const ExamSheetlength = answerSheet?.length - 1
        const lastAnswer = answerSheet[ExamSheetlength];
        const lastQuestionId = lastAnswer?.QuestionId;
        const lastQuestionIndex = questionData?.findIndex(q => q.QuestionId == lastQuestionId);
        if (lastQuestionIndex !== -1) {
          setDisplayQue(questionData[lastQuestionIndex]);
          setQueNo(lastQuestionIndex);
          const isAns = answerSheet?.find((val) => val?.QuestionId == questionData[lastQuestionIndex]?.QuestionId)
          // console.log(isAns)
          if (isAns) {
            const objs = {
              HindiAnswer: isAns?.HindiAnswer,
              EnglishAnswer: isAns?.EnglishAnswer,
            };
            setAnswer(objs)
          }
        }
      } else {
        setQueNo(0)
        setDisplayQue(questionData[0])
      }
    }
  }, [questionData.length, answerSheet?.length])


  function finalSubmit() {
    ExamSheetServices.ExamSheetSubmit(quiz?.id)
      .then(({ data }) => {
        if (data.success) {
          setFinalExamSheet(data.FinalExamSheet)
          setOpen(false)
          setOpen1(true)
        }
      }).catch((err) => console.log(err))
  }

  const timerPadding = (val) => (val <= 9 ? `0${val}` : val.toString());

  function showQuestions(action, i, actA) {
    if (i >= 0 && i < questionData?.length) {
      const filterQuestion = questionData[i];
      const cur = isNaN(queNo) ? -1 : queNo;
      setQueNo(i);
      setDisplayQue(filterQuestion);

      if (cur > -1) {
        if (action === "next") {
          const isAns = answerSheet?.length > 0 && answerSheet?.find((val) => val.QuestionId == filterQuestion.QuestionId)
          const objs = {
            HindiAnswer: isAns?.HindiAnswer,
            EnglishAnswer: isAns?.EnglishAnswer,
          };
          if (!isAns) {
            setAnswer({})
          } else {
            setAnswer(objs)
          }
        }
        else if (action === "preview") {
          const isAns = answerSheet?.length > 0 && answerSheet?.find((val) => val.QuestionId == filterQuestion.QuestionId)
          const objs = {
            HindiAnswer: isAns?.HindiAnswer,
            EnglishAnswer: isAns?.EnglishAnswer,
          };
          setAnswer(objs)
        } else if (action === "toggle") {
          const isAns = answerSheet?.length > 0 && answerSheet?.find((val) => val.QuestionId == filterQuestion.QuestionId)
          const objs = {
            HindiAnswer: isAns?.HindiAnswer,
            EnglishAnswer: isAns?.EnglishAnswer,
          };
          setAnswer(objs)
        } else {
          setAnswer({})
        }
      }

    }
  }


  function answerUpdate(changed) {
    setAnswer(changed);
    const obj = {
      quizId: QuizData?.QuizId,
      QuestionId: displayQue?.QuestionId,
      HindiAnswer: changed?.HindiAnswer,
      EnglishAnswer: changed?.EnglishAnswer,
      AnswerStatus: "answer",
      language: language?.language || localStorageLanguage,
    }
    createExamSheets(obj)
  }

  const handleScrollRight = () => {
    if (childRef.current) {
      childRef.current.scrollRight();
    }
  };

  const handleScrollLeft = () => {
    if (childRef.current) {
      childRef.current.scrollLeft();
    }
  };

  return (
    <div className=" bg-light user-select-none" style={{ minHeight: "100vh", marginBottom: "100px" }}>
      <div className="container ">
        <div className="row ">
          <div className="col-md-12 p-0 m-0">
            <Paper className="quizheadeing p-0 m-0 my-1" elevation={2}>
              <div className="row">
                <div className="col-md-4 col-12 exam_panel_back">
                  <Button
                    variant="contained"
                    color="success"
                    onClick={() => {
                      router.push(
                        `/quizlist?id=${QuizData?.SubjectId}`
                      );
                      finalSubmitforback();
                    }}
                    size="small"
                    className="m-0 py-1 px-3 practiceButton capitalised"
                  >
                    {(!language.loading && language?.language == "ENGLISH") ||
                      localStorageLanguage == "ENGLISH"
                      ? "Back to previous page"
                      : "पिछले पृष्ठ पर वापस जाए"}
                  </Button>
                </div>
                <div className="col-md-4 col-12 mt-1 px-1 practice_head2">
                  {(!language.loading && language?.language == "ENGLISH") ||
                    localStorageLanguage == "ENGLISH" ? (
                    <h6 className="m-1 m-0 p-0  fw-bold portalHeading">
                      Number of Questions: {QuizData?.TotalQusetion}
                    </h6>
                  ) : (
                    <h6 className="m-1  fw-bold portalHeading">
                      प्रश्नों की संख्या: {QuizData?.TotalQusetion}
                    </h6>
                  )}
                </div>
                <div className="col-md-4 col-12  practice_head">
                  <div className="fw-bold portalHeading text-success ">
                    {(!language.loading && language?.language == "ENGLISH") ||
                      localStorageLanguage == "ENGLISH"
                      ? `Number of Attempted Questions: ${answerSheet?.length}`
                      : `उत्तर दिये गये प्रश्नों की संख्या: ${answerSheet?.length}`}
                  </div>
                </div>
              </div>
            </Paper>
          </div>
          <div className="col-md-12 col-12 p-0 m-0">
            <Paper elevation={2} className="mb-2 d-flex justify-content-between px-3 p-2" >
              <div className="fw-bold">
                <span className="text-success">{(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? QuizData?.QuizName_English : QuizData?.QuizName_Hindi}</span>
              </div>
            </Paper>
          </div>
          <div className="col-md-12 col-12 p-0 m-0">
            {/*****************************************
              *                                         *
              *      This is Questions List and timer   *
              *                                         *
              *****************************************/}
            <div className="mt-2 ">
              <h5 className="question_list_title">
                {countDown > 0 &&
                  <Timer initialTime={countDown} direction="backward" onChange>
                    <Timer.Hours formatValue={timerPadding} /> :{" "}
                    <Timer.Minutes formatValue={timerPadding} /> :{" "}
                    <Timer.Seconds formatValue={timerPadding} />
                  </Timer>}
              </h5>
              {questionData.length > 0 ?
                <QuetionTabMenu
                  isLoading={isLoading}
                  questionData={questionData}
                  answerSheet={answerSheet}
                  displayQue={displayQue}
                  currentQuestionIndex={queNo}
                  showQuestions={showQuestions}
                  ref={childRef}
                />
                :
                <h5 className="p-1 text-center">No Question Found </h5>
              }
            </div>

          </div>
          <div className="col-md-12 p-0 m-0 my-2 exam-left-panel">
            {/************************************************
               *                                               *
               *   This is Format001 and show single Question  *
               *                                               *
               ***********************************************/}
            <div elevation={2} className=" height_div">
              {displayQue ?
                <Format001
                  question={displayQue}
                  quesNo={queNo + 1}
                  answerUpdate={answerUpdate}
                  HindiAnswer={
                    localStorageLanguage == "HINDI" && Answer?.HindiAnswer
                  }
                  EnglishAnswer={
                    localStorageLanguage == "ENGLISH" && Answer?.EnglishAnswer
                  }
                  isRead={false}
                />
                : "Loading..."
              }
            </div>
            {/******************************************
                 *                                         *
                 *  This is Next and preview ButtonMenu    *
                 *                                         *
                 *****************************************/}
            <ButtonMenu
              isLoading={isLoading}
              displayQue={displayQue}
              queNo={queNo}
              length={questionData.length}
              markStatus={markStatus}
              previewQuestions={() => {
                showQuestions("preview", queNo - 1, null, queNo)
                handleScrollLeft()
              }
              }
              nextQuestions={() => {
                showQuestions("next",
                  (queNo + 1) % questionData.length,
                  null,
                  queNo
                )
                handleScrollRight()
              }
              }
            />
            {(!language.loading && language?.language == "ENGLISH") ||
              localStorageLanguage == "ENGLISH" ?
              <Paper elevation={2} className="p-2 d-flex justify-content-center mt-2">
                <Button variant="contained" size="small" className="submit_button capitalised" onClick={() => setOpen(true)} >Submit</Button>
              </Paper> :
              <Paper elevation={2} className="p-2 d-flex justify-content-center mt-2">
                <Button variant="contained" size="small" className="submit_button" onClick={() => setOpen(true)} >जमा करें</Button>
              </Paper>}
          </div>


          {/*****************************************
             *                                        *
             *      Go FOR Final SUBMIT Model         *
             *                                        *
             ****************************************/}
          <Dialog
            open={open}
            // onClose={handleClose}
            aria-labelledby="alert-dialog-title"
            aria-describedby="alert-dialog-description"
          >
            {(!language.loading && language?.language == "ENGLISH") ||
              localStorageLanguage == "ENGLISH" ?
              <DialogContent className='dialog_container'>
                <h5 className='text-danger text-center'>Do you want to submit this quiz set?</h5>
                <div className='d-flex justify-content-center'>
                  <Button onClick={handleClose} variant='contained' className='cancel_button capitalised mx-3' size='small'>No</Button>
                  <Button onClick={finalSubmit} variant='contained' className='submit_button capitalised' size='small'>Yes</Button>
                </div>
              </DialogContent>
              :
              <DialogContent className='dialog_container'>
                <h5 className='text-danger text-center'>क्या आप यह प्रश्नोत्तरी सेट जमा करना चाहते हैं?</h5>
                <div className='d-flex justify-content-center'>
                  <Button onClick={handleClose} variant='contained' className='cancel_button mx-3' size='small'>नहीं</Button>
                  <Button onClick={finalSubmit} variant='contained' className='submit_button' size='small'>हाँ</Button>
                </div>
              </DialogContent>
            }
          </Dialog>
          {/*****************************************
             *                                        *
             *           Go FOR Result Model          *
             *                                        *
             ****************************************/}
          <Dialog
            open={open1}
            // onClose={handleClose}
            aria-labelledby="alert-dialog-title"
            aria-describedby="alert-dialog-description"
          >
            <DialogContent className='dialog_container p-2'>
              <h3
                style={{
                  borderRadius: "5px",
                  backgroundColor: "var(--dark)",
                  padding: "10px",
                  color: "#fff",
                  width: "100%"
                }}
                className="text-center"
              >
                {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? "Congratulations!"
                  : "बधाई हो!"}
              </h3>
              <hr />
              <span className="fw-bold text-center ms-2 text-secondary">
                {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? `Attempted: ${FainlExamSheet?.correctAns + FainlExamSheet?.wrongAns
                  }`
                  : `उत्तर दिया: ${FainlExamSheet?.correctAns + FainlExamSheet?.wrongAns
                  }`}
              </span>
              <span className="fw-bold text-center ms-2 text-success">
                {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? `Correct: ${FainlExamSheet?.correctAns}`
                  : `सही उत्तर: ${FainlExamSheet?.correctAns}`}
              </span>
              <span className="fw-bold text-center ms-2 text-danger">
                {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? `Incorrect: ${FainlExamSheet?.wrongAns}`
                  : `गलत उत्तर: ${FainlExamSheet?.wrongAns}`}
              </span>
              <hr />
              {(!language.loading && language?.language == "ENGLISH") ||
                localStorageLanguage == "ENGLISH" ? (
                <>
                  <p className="fw-bold text-center m-0">
                    You have completed this quiz set.
                  </p>
                  <p className="fw-bold text-center text-secondary mt-3 mb-0">
                    Please Select The Next Option.
                  </p>
                </>
              ) : (
                <>
                  <p className="fw-bold text-center  m-0">
                    आपने यह प्रश्नोत्तरी सेट पूरा कर लिया है।
                  </p>
                  <p className="fw-bold text-center text-secondary mt-3 mb-0">
                    कृपया अगले विकल्प का चयन करें।
                  </p>
                </>
              )}
              <div className="d-flex gap-5 justify-content-center my-3">
                <Button
                  variant="contained"
                  color="primary"
                  size="small"
                  className="submit_button capitalised"
                  onClick={() =>
                    router.push(
                      `/result?QuizId=${QuizData?.QuizId}&subjectId=${QuizData?.SubjectId}`
                    )
                  }
                >
                  {(!language.loading && language?.language == "ENGLISH") ||
                    localStorageLanguage == "ENGLISH"
                    ? "Quiz Result"
                    : " प्रश्नोत्तरी परिणाम"}
                </Button>
                <Button
                  variant="contained"
                  color="primary"
                  size="small"
                  className="submit_button capitalised"
                  onClick={() =>
                    router.push(
                      `/quizlist?id=${QuizData?.SubjectId}`
                    )
                  }
                >
                  {(!language.loading && language?.language == "ENGLISH") ||
                    localStorageLanguage == "ENGLISH"
                    ? "Go Quiz List page"
                    : " प्रश्नोत्तरी सूची पृष्ठ पर जाए"}
                </Button>
              </div>
            </DialogContent>
          </Dialog>
        </div>
      </div>
    </div>

  );
};



export default ExamPanel
