'use client'
import './globals.css'
import 'bootstrap/dist/css/bootstrap.css'
// import 'bootstrap/dist/js/bootstrap.bundle.js'
import { Inter } from 'next/font/google'
const inter = Inter({ subsets: ['latin'] })
import { usePathname } from 'next/navigation'
import HeaderEnglish from '@/component/header/HeaderEnglish';
import HeaderTop from '@/component/header/HeaderTop';
import Footer from '@/component/footer/Footer';
import { useEffect } from 'react';
import { ToastContainer, toast } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';
import { Provider } from 'react-redux';
import store from '@/redux/store/index';
import { getToken } from '@/utils/Token';
import { getUserInfo } from '@/redux/action/loginAction';
import Head from 'next/head';



// export const metadata = {
//   title: 'Create Next App',
//   description: 'Generated by create next app',
// }

export default function RootLayout({ children }) {
  const pathname = usePathname()

  useEffect(() => {
    import("bootstrap/dist/js/bootstrap");
  }, [])

  useEffect(() => {
    if (!localStorage.getItem("language")) {
      localStorage.setItem("language", "ENGLISH")
    }
    if (getToken("token")) {
      store.dispatch(getUserInfo());
    }
  }, []);
 
  return (
    <Provider store={store}>
      <html lang="en">
        <body suppressHydrationWarning={true}>
          {pathname?.includes('admin')  ? "" : <HeaderTop />}
          {pathname?.includes('admin') || pathname?.includes('portel') ||pathname?.includes('examPanel') || pathname?.includes('result') || pathname?.includes('chapterContent')||pathname.includes('practicelist') || pathname.includes('quizlist')? "" : <HeaderEnglish />}
          <div  style={{paddingTop:pathname?.includes('admin') || pathname?.includes('portel') ||pathname?.includes('examPanel') || pathname?.includes('result')|| pathname?.includes('chapterContent')||pathname.includes('practicelist') || pathname.includes('quizlist')?"40px":"100px"}}>{children}</div>
          {pathname?.includes('admin') ? "" : <Footer />}
          <ToastContainer />
        </body>
      </html>
    </Provider>
  )
}
