"use client";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import React, { useEffect, useState } from "react";
import "../../../component/quiz/quiz.css";
import "../../PracticeQuestions/practice.css";
import Loader from "@/component/common/Loader";
import { useRouter } from "next/navigation";
import { toast } from "react-toastify";
import { useSelector } from "react-redux";;
import Link from "next/link";
import PracticeServices from "@/Services/PracticeServices";
import { useSearchParams } from "next/navigation";
import { Button, IconButton } from "@mui/material";
import { IoArrowBackCircle } from "react-icons/io5";
import MiniLoader from "@/component/common/MiniLoader";
const page = () => {
  const params = useSearchParams();
  const user = useSelector((state) => state.loginInfo);
  const router = useRouter();
  const [ChaptertList, setChaptertList] = useState([]);
  const [PartId, setPartId] = useState(params.get("id"));
  const [Loading, setLoading] = useState(true);
  const [ChapterId, setChapterId] = useState("");
  const [PracticeList, setPracticeList] = useState([]);
  const [noquizError, setNoquizError] = useState("");
  const [isSubscription, setisSubscription] = useState(false);
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const latest = params.get("latest");
  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
   
  }, [language]);
useEffect(()=>{
  if (PartId) {
    SubjectTreeServices.getchapterlist(PartId)
      .then(({ data }) => {
        setChaptertList(data.tree);
        !params.get("chapterid") ? setChapterId(data?.tree[0]?.NodeId) : setChapterId(params.get("chapterid"))
      })
      .catch((err) => {
        setNoquizError(
          err?.response?.data?.error?.length > 0 ? "chapter not found" : ""
        );
      });
  }
},[PartId])
  useEffect(() => {
    setLoading(true)
    if (ChapterId) {
      PracticeServices.getAllPracticeforuser(ChapterId)
        .then(({ data }) => {
          setPracticeList(data?.data);
          setNoquizError("")
          setLoading(false)
        })
        .catch((err) => {
          setNoquizError(
            err?.response?.data?.message?.length > 0 ? "No Practice available For This Chapter" : ""
          );
          setLoading(false)
        });
    }
    setisSubscription(user?.userResult?.isSubscription)
  }, [ChapterId]);

  const gotopracticeportel = (PracticeId, IsPaid) => {
    if (user?.isLoggedIn) {
      if (IsPaid === isSubscription) {
        router.push(`/practice/portel/${PracticeId}`);
      } else if (!IsPaid) {
        router.push(`/practice/portel/${PracticeId}`);
      } else {
        (!language.loading && language?.language == "ENGLISH") ||
          localStorageLanguage == "ENGLISH" ?
          toast.error("Please subscribe Vijayam for this.")
          :
          toast.error("इसके लिए कृपया विजयं की सदस्यता लें।.")
      }
    } else {
      (!language.loading && language?.language == "ENGLISH") ||
        localStorageLanguage == "ENGLISH" ?
        toast.error("Please login on Vijayam for this.")
        :
        toast.error("इसके लिए कृपया विजयं पर लॉग-इन करें।")
    }
  }
  if (ChaptertList?.length < 0) {
    return <Loader />;
  }

  return (
    <div >
      <div className="mt-2 mx-md-5">
        <div className="row m-0 p-0">
          <div className="col-md-3 chapter_list_div mt-2 ">
            <div className="text-center my-1">
              <Button
                variant="contained"
                color="success"
                onClick={() =>
                  latest == 'true' ?
                    router.push("/") :
                    router.push(
                      `/PracticeQuestions`
                    )
                }
                size="small"
                className="m-1 py-1 px-3 submit_button"
              >
                {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? "BACK TO PREVIOUS PAGE"
                  : "पिछले पृष्ठ पर वापस जाए"}
              </Button>
            </div>
            <h5 className="chapter_heading ">
              <div className="mx-5 p-0 text-center">
                {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                  ? `Chapter List`
                  : `अध्याय सूची`}
              </div>
            </h5>

            {ChaptertList?.map((ele, i) => {
              return (
                <p
                  key={i}
                  onClick={() => setChapterId(ele.NodeId)}
                  className={`chapter_list_title ${ele.NodeId == ChapterId &&
                    ChapterId &&
                    "selected_toggle_chapter"
                    }`}
                >
                  {(!language.loading && language?.language == "ENGLISH") ||
                    localStorageLanguage == "ENGLISH"
                    ? ele.NodeName_E
                    : ele.NodeName_H}
                </p>
              );
            })}

          </div>
          {(!language.loading && language?.language == "ENGLISH") ||
            localStorageLanguage == "ENGLISH" ? (
            <div className="col-md-9 mt-2 p-0">
              <div className="d-flex">
                <div className={`subject_toggle_btn `}> Practices Question paper</div>
              </div>
              {!Loading ? PracticeList && !noquizError && (
                <div className="row m-0">
                  {PracticeList?.map((ele, i) => (
                    <div className="col-md-12" key={i} >
                      <div className="subject_card1">
                        <div className="pracice_logo">P</div>
                        <div className="w-100">
                          <h6 className="ms-3 titlePractic">{ele?.PracticeTitle_E}</h6>
                          <div className="PracticCard w-100 px-2">
                            <div className="d-flex">
                              <p className="m-1 practice_free">
                                {ele?.TotalQusetion} Question |
                              </p>
                              <p className="m-1 paid_class">
                                {ele?.IsPaid ? "Paid" : "Free"}
                              </p>
                            </div>

                          </div>
                          <div className="practice_btn_submit">
                            <Button
                              variant="contained"
                              size="small"
                              className="m-1 submit_button cursor capitalised"
                              onClick={() => gotopracticeportel(ele?.PracticeId, ele?.IsPaid)}
                            >
                              Start
                            </Button>
                          </div>
                        </div>
                      </div>
                    </div>
                  ))}
                </div>
              ) : <div className="quiz_info">
                <MiniLoader />
              </div>}
              {ChapterId && noquizError && (
                <div className="quiz_info">
                  <div className="quiz_info_title text-danger">
                    {" "}
                    {noquizError}
                  </div>
                </div>
              )}
            </div>
          ) : (
            <div className="col-md-9 mt-2 p-0">
              <div className="d-flex">
                <div className={`subject_toggle_btn `}>अभ्यास प्रश्न पत्र </div>
              </div>
              {!Loading ? PracticeList && !noquizError && (
                <div className="row m-0">
                  {PracticeList?.map((ele, i) => (
                    <div className="col-md-12"  key={i} >
                      <div className="subject_card1">
                        <div className="pracice_logo">अ</div>
                        <div className="w-100">
                          <h6 className="ms-3 titlePractic">{ele?.PracticeTitle_H}</h6>
                          <div className="PracticCard w-100 px-2">
                            <div className="d-flex">
                              <span className="m-1 practice_free">
                                {ele?.TotalQusetion} प्रश्न |
                              </span>

                              <span className="m-1 paid_class">
                                {ele?.IsPaid ? "शुल्क" : "निशुल्क"}
                              </span>
                            </div>

                          </div>
                          <div className="practice_btn_submit">
                            <Button
                              variant="contained"
                              size="small"
                              className="m-1 submit_button cursor"
                              onClick={() => gotopracticeportel(ele?.PracticeId, ele?.IsPaid)}
                            >
                              शुरू करें
                            </Button>
                          </div>
                        </div>
                      </div>
                    </div>
                  ))}
                </div>
              ) : <div className="quiz_info">
                <MiniLoader />
              </div>}
              {ChapterId && noquizError && (
                <div className="quiz_info">
                  <div className="quiz_info_title text-danger">
                    {" "}
                    {noquizError}
                  </div>
                </div>
              )}
            </div>
          )}
        </div>
      </div>
    </div>
  );
};

export default page;
