"use client"
import PracticeServices from '@/Services/PracticeServices'
import Loader from '@/component/common/Loader'
import Link from 'next/link'
import { useSearchParams } from 'next/navigation'
import React, { useEffect, useState } from 'react'
import { useSelector } from "react-redux";
import "../../subjectwise/subjectwise.css";

const Page = () => {
    const language = useSelector((state) => state.language);
    const paramas = useSearchParams()
    const [AllDetail, setAllDetail] = useState([])
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
    const [Practicedata, setPractice] = useState({});

    useEffect(() => {
        const localStorageLanguage =
            typeof localStorage !== "undefined"
                ? localStorage.getItem("language")
                : null;
        setlocalStorageLanguage(localStorageLanguage);
    }, [language])

    useEffect(() => {
        PracticeServices?.getSingalPractice(paramas?.get('PracticeId')).then(({ data }) => {
            setPractice(data?.data[0]);
        }).catch((err) => {
            console.log(err.response.data);
        });
        PracticeServices?.PracticeResultsList(paramas?.get('PracticeId')).then(({ data }) => {
            setAllDetail(data);
        }).catch((err) => {
            console.log(err.response.data);
        })
    }, [paramas])

    if (!AllDetail) {
        return <Loader />;
    }

    return (
        <>
            <div className="container" style={{height:"400px"}} >
                <div className="row my-4">
                    <div className="col-md-12">
                        {(!language.loading && language?.language === "ENGLISH") || localStorageLanguage === "ENGLISH" ? (
                            AllDetail?.PracticeSheets?.length >= 0 && (
                                <div className="chapter_container">
                                    <h5 className="chapter_hed mb-4">Practice-Attempts-List</h5>
                                    <div style={{height:"300px",overflow:"auto"}}>
                                        <table className="table">
                                            <thead>
                                                <tr>
                                                    <th scope="col">Title</th>
                                                    <th scope="col">Total Qusetion</th>
                                                    <th scope="col">Correct Answers</th>
                                                    <th scope="col">Wrong Answers</th>
                                                    <th scope="col">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {AllDetail?.PracticeSheets?.map((ele, i) => (
                                                    <tr key={i}>
                                                        <td>{`${paramas?.get('title')}`}</td>
                                                        <td>{Practicedata?.TotalQusetion}</td>
                                                        <td>{ele?.correctAns}</td>
                                                        <td>{ele?.wrongAns}</td>
                                                        <td>
                                                            <Link
                                                                style={{ textDecoration: "none" }}
                                                                href={{
                                                                    pathname: `/practice/result`,
                                                                    query: {
                                                                        PracticeId: ele?.PracticeId,
                                                                        PracticeSheetId: ele?.PracticeSheetId,
                                                                    },
                                                                }}
                                                            >
                                                                {"View Result"}
                                                            </Link>
                                                        </td>
                                                    </tr>
                                                ))}
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            )
                        ) : (
                            AllDetail?.PracticeSheets?.length >= 0 && (
                                <div className="chapter_container">
                                    <h5 className="chapter_hed mb-4">अभ्यास-प्रयास-सूची</h5>
                                    <div>
                                        <table className="table">
                                            <thead>
                                                <tr>
                                                    <th scope="col">शीर्षक</th>
                                                    <th scope="col">कुल सवाल</th>
                                                    <th scope="col">सही उत्तर</th>
                                                    <th scope="col">गलत उत्तर</th>
                                                    <th scope="col">क्रिया</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {AllDetail?.PracticeSheets?.map((ele, i) => (
                                                    <tr key={i}>
                                                        <td>{Practicedata.PracticeTitle_H}</td>
                                                        <td>{Practicedata?.TotalQusetion}</td>
                                                        <td>{ele?.correctAns}</td>
                                                        <td>{ele?.wrongAns}</td>
                                                        <td>
                                                            <Link
                                                                style={{ textDecoration: "none" }}
                                                                href={{
                                                                    pathname: `/practice/result`,
                                                                    query: {
                                                                        PracticeId: ele?.PracticeId,
                                                                        PracticeSheetId: ele?.PracticeSheetId,
                                                                    },
                                                                }}
                                                            >
                                                                {"परिणाम देख"}
                                                            </Link>
                                                        </td>
                                                    </tr>
                                                ))}
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            )
                        )}
                    </div>
                </div>
            </div>

        </>
    )
}

export default Page