"use client";
import React, { useEffect, useState } from "react";
import "../PracticeQuestions/practice.css";
import "../subjectwise/subjectwise.css";
import { useRouter } from "next/navigation";
import Link from "next/link";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import { useSelector } from "react-redux";
import { BsQuestionSquareFill } from "react-icons/bs";
import Loader from "@/component/common/Loader";
import { MdArrowForwardIos } from "react-icons/md";
import { getAPIUrl } from '@/common'



const PracticeQuestions = () => {
  const router = useRouter();
  const language = useSelector((state) => state.language);
  const [chapterList, setChapterList] = useState([]);
  const [NodeId, setNodeId] = useState(0);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
 const imageUrl = getAPIUrl.split("/")
 const url = `${imageUrl[0]}//${imageUrl[2]}`

 useEffect(() => {
  const handleBeforeUnload = (event) => {
      event.preventDefault();
      router.replace(`/`);
  };

  window.addEventListener('popstate', handleBeforeUnload);

  return () => {
      window.removeEventListener('popstate', handleBeforeUnload);
  };
}, [router]);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
    SubjectTreeServices.getTreeNodeFrontEndQuiz(NodeId)
      .then(({ data }) => {
        setChapterList(data.tree);
      })
      .catch((err) => {
        console.log(err?.response?.data);
        setChapterList([]);
      });
  }, [NodeId, language]);

  if (!chapterList?.length > 0) {
    return <Loader />;
  }

  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <div>
          <div className="container">
            <h1 className="main_heading"> Quizzes</h1>
            <div className="dynamicHeight">
            <div className="row">
              {chapterList?.map((ele, i) => (
                // <div className="col-md-4 p-3" key={i}>
                //   <Link
                //     href={{
                //       pathname: "/quiz",
                //       query: {
                //         id: ele?.NodeId,
                //       },
                //     }}
                //     style={{ textDecoration: "none" }}
                //   >
                //     <div class="subject_card">
                //       <h6>{ele?.NodeName_E}</h6>
                //       <MdArrowForwardIos className="sub_icon" />
                //     </div>
                //   </Link>
                // </div>
                <div className='col-md-4 my-2' key={i}>
                <button
                  className="btn-6 p-2 m-0"
                  onClick={() => router.push(`/quizlist?id=${ele.NodeId}&Hide`)}
                // onClick={() => setNodeId(i)}
                >
                  <span>
                    <img
                      className='usefull_image subject_image'
                      src={`${url}/uploads/${ele.SubjectImage}`}
                      width="100%"
                      height="300px"
                      alt='pic'
                    />
                    <h3 className="subject_drop">
                      {/* Indian Polity */}
                      {ele?.NodeName_E}
                    </h3>
                  </span>
                </button>
              </div>
              ))}
            </div>
            </div>
          </div>
        </div>
      ) : (
        <div>
          <div className="container">
            <h1 className="main_heading2">प्रश्नोत्तरी</h1>
            <div className="dynamicHeight">
            <div className="row">
              {chapterList?.map((ele, i) => (
                <div className='col-md-4' key={i}>
                <button
                  className="btn-6 p-2 my-2 m-0"
                  onClick={() => router.push(`/quizlist?id=${ele.NodeId}`)}
                // onClick={() => setNodeId(i)}
                >
                  <span>
                  <img
                      className='usefull_image subject_image'
                      src={`${url}/uploads/${ele.SubjectImage}`}
                      width="100%"
                      height="300px"
                      alt='pic'
                    />
                    <h3 className="subject_drop">
                      {/* Indian Polity */}
                      {ele?.NodeName_H}
                    </h3>
                  </span>
                </button>
              </div>
              ))}
            </div>
          </div>
          </div>
        </div>
      )}
    </>
  );
};

export default PracticeQuestions;
