"use client";
import QuizServices from "@/Services/QuizServices";
import Loader from "@/component/common/Loader";
import Format001 from "@/component/questionFormat/Format001";
import { Button, Paper } from "@mui/material";
import { usePathname, useSearchParams } from "next/navigation";
import React, { useEffect, useState } from "react";
import "./result.css";
import { useSelector } from "react-redux";
import { useRouter } from "next/navigation";

const Result = () => {
  const paramas = useSearchParams();
  const [AllDetail, setAllDetail] = useState([]);
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const router = useRouter();

  const [previousPath, setPreviousPath] = useState("/result");
  const pathname = usePathname();
  console.log("previousPath", previousPath, "pathname", pathname);
  useEffect(() => {
    const handlePopState = (event) => {
      if (previousPath === pathname) {
        console.log("Back button pressed");
        // Add your back button logic here
        router.prefetch("/");
      } else {
        setPreviousPath(pathname);
      }
    };

    window.addEventListener("popstate", handlePopState);

    return () => {
      window.removeEventListener("popstate", handlePopState);
    };
  }, [pathname, previousPath]);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);

  useEffect(() => {
    QuizServices.getResultFinalSUbmit(paramas.get("QuizId"))
      .then(({ data }) => {
        setAllDetail(data);
      })
      .catch((err) => {
        console.log(err.response.data);
      });
  }, [paramas.get("QuizId")]);
  console.log(AllDetail);

  return (
    <>
      {AllDetail?.QuestionsWithAns?.length > 0 ? (
        <div className="container">
          <div className="row mt-3">
            <div className="col-md-4">
              {(!language.loading && language?.language == "ENGLISH") ||
                localStorageLanguage == "ENGLISH" ? (
                <Paper
                  elevation={4}
                  className="p-2 p-md-3"
                  style={{ position: "sticky", top: "50px" }}
                >
                  <div className="Quiz_back_bottun text-center">
                    <Button
                      variant="contained"
                      // color="success"
                      onClick={() =>
                        router.push(`/quizlist?id=${paramas?.get("subjectId")}`)
                      }
                      size="small"
                      className="mb-2 py-1 px-3 submit_button capitalised"
                    >
                      Back To Quiz List Page
                    </Button>
                  </div>
                  <h2 className="quizResult_title result_detail_text">
                    Practice Result Details
                  </h2>
                  <div className="my-3">
                    <div className="d-flex justify-content-between px-3 py-2">
                      <h6 className="text-secondary fw-bold result_detail_text mb-0">
                        Total Question :{" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.QuestionsWithAns.length}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2">
                      <h6 className="text-secondary fw-bold result_detail_text mb-0">
                        Answered : 
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.examSheets[0]?.correctAns +
                          AllDetail?.examSheets[0]?.wrongAns}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2">
                      <h6 className="text-secondary fw-bold result_detail_text mb-0">
                        Not Answered : {" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {" "}
                        {AllDetail?.QuestionsWithAns?.length -
                          (AllDetail?.examSheets[0]?.correctAns +
                            AllDetail?.examSheets[0]?.wrongAns)}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2 correct">
                      <h6 className="fw-bold result_detail_text mb-0">
                        Correct Answer :{" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.examSheets[0]?.correctAns}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2 wrong">
                      <h6 className="fw-bold result_detail_text mb-0">
                        Wrong Answer :{" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.examSheets[0]?.wrongAns}
                      </h6>
                    </div>
                  </div>
                  <img
                    src="/image/congratulation.jpg"
                    height="100px"
                    width="60%"
                    style={{ marginLeft: "20%" }}
                  />
                </Paper>
              ) : (
                <Paper
                  elevation={4}
                  className="p-2 p-md-3"
                  style={{ position: "sticky", top: "50px" }}
                >
                  <div className="Quiz_back_bottun text-center">
                    <Button
                      variant="contained"
                      // color="success"
                      onClick={() =>
                        router.push(`/quizlist?id=${paramas?.get("subjectId")}`)
                      }
                      size="small"
                      className="mb-2 py-1 px-3 submit_button capitalised"
                    >
                      प्रश्नोत्तरी सूची पृष्ठ पर वापस जाए
                    </Button>
                  </div>
                  <h2 className="quizResult_title">अभ्यास परिणाम विवरण</h2>
                  <div className="my-3">
                    <div className="d-flex justify-content-between px-3 py-2">
                      <h6 className="text-secondary fw-bold result_detail_text mb-0">
                        कुल प्रश्न :{" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.QuestionsWithAns.length}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2">
                      <h6 className="text-secondary fw-bold result_detail_text mb-0">
                        उत्तर दिया : 
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.examSheets[0]?.correctAns +
                          AllDetail?.examSheets[0]?.wrongAns}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2">
                      <h6 className="text-secondary fw-bold result_detail_text mb-0">
                        उत्तर नहीं दिया : {" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {" "}
                        {AllDetail?.QuestionsWithAns?.length -
                          (AllDetail?.examSheets[0]?.correctAns +
                            AllDetail?.examSheets[0]?.wrongAns)}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2 correct">
                      <h6 className="fw-bold result_detail_text mb-0">
                        सही उत्तर :{" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.examSheets[0]?.correctAns}
                      </h6>
                    </div>
                    <div className="d-flex justify-content-between px-3 py-2 wrong">
                      <h6 className="fw-bold result_detail_text mb-0">
                        गलत उत्तर :{" "}
                      </h6>
                      <h6 className="fw-900 result_detail_text mb-0">
                        {AllDetail?.examSheets[0]?.wrongAns}
                      </h6>
                    </div>
                  </div>
                  <img
                    src="/image/congratulation.jpg"
                    height="100px"
                    width="60%"
                    style={{ marginLeft: "20%" }}
                  />
                </Paper>
              )}
            </div>
            <div className="col-md-8">
              {AllDetail?.QuestionsWithAns?.map((ele, i) => {
                return (
                  <Paper
                    elevation={5}
                    className="mb-2 position-relative"
                    style={{ paddingBottom: "40px" }}
                  >
                    <Format001
                      quesNo={i + 1}
                      question={ele}
                      HindiAnswer={
                        AllDetail.examSheetAns?.find(
                          (element) => element.QuestionId == ele.QuestionId
                        )?.HindiAnswer
                      }
                      EnglishAnswer={
                        AllDetail.examSheetAns?.find(
                          (element) => element.QuestionId == ele.QuestionId
                        )?.EnglishAnswer
                      }
                      isRead={true}
                    />
                    <div
                      className={`p-1 position-absolute  rounded m-1 px-4 
                                        ${AllDetail?.examSheetAns?.find(
                        (element) =>
                          element.QuestionId ==
                          ele.QuestionId
                      )?.IsAnsCorrect
                          ? "correct"
                          : "wrong"
                        }`}
                      style={{
                        bottom: 0,
                        zIndex: 100,
                        right: 0,
                        fontSize: "13px",
                        fontWeight: "bold",
                        backgroundColor:
                          !AllDetail?.examSheetAns?.find(
                            (element) => element.QuestionId == ele.QuestionId
                          ) && "#e748e7",
                      }}
                    >
                      {(!language.loading &&
                        language?.language === "ENGLISH") ||
                        localStorageLanguage === "ENGLISH"
                        ? !AllDetail.examSheetAns.find(
                          (element) => element.QuestionId == ele.QuestionId
                        )
                          ? "You have not answered this question"
                          : AllDetail.examSheetAns?.find(
                            (element) => element.QuestionId == ele.QuestionId
                          )?.IsAnsCorrect
                            ? "Your answer is correct"
                            : "Your answer is wrong"
                        : !AllDetail.examSheetAns.find(
                          (element) => element.QuestionId == ele.QuestionId
                        )
                          ? "आपने इस प्रश्न का उत्तर नहीं दिया है।"
                          : `${AllDetail.examSheetAns.find(
                            (element) => element.QuestionId === ele.QuestionId
                          )?.IsAnsCorrect
                            ? "आपका उत्तर सही है।"
                            : "आपका उत्तर गलत है।"
                          }`}
                    </div>
                  </Paper>
                );
              })}
            </div>
          </div>
        </div>
      ) : (
        <Loader />
      )}
    </>
  );
};

export default Result;
