// "use client"
// import React, { useEffect } from 'react'
// import { useParams } from 'next/navigation'
// import SubjectTreeServices from '@/Services/SubjectTreeServices'

// import { TreeView } from '@mui/x-tree-view';
// import { TreeItem } from '@mui/x-tree-view';
// import ExpandMoreIcon from '@mui/icons-material/ExpandMore';
// import ChevronRightIcon from '@mui/icons-material/ChevronRight';

// const page = () => {
//     const { id } = useParams()
//     console.log(id);
//     useEffect(() => {
//         SubjectTreeServices.getTreeNode(id).then(({ data }) => {
//             console.log(data);
//         })
//     }, [])
//     return (
//         <div>
//             <TreeView
//                 defaultCollapseIcon={<ExpandMoreIcon className='close_icon' />}
//                 defaultExpandIcon={<ChevronRightIcon className='open_icon' />}
//             >
//                 {menuItems.map((menu, i) => (
//                     <TreeItem
//                         key={menu.NodeId}
//                         nodeId={menu.NodeId.toString()}
//                         onClick={() => nodeChildFetch(menu.NodeId)}
//                         label={
//                             <div style={{ display: 'flex', alignItems: 'center' }}
//                                 onContextMenu={(event) => handleContextMenuClick(event, menu.NodeId, menu)}
//                             >
//                                 <span className={`tree_list ${menu?.children && "deiufh"}`}>
//                                     {` ${parentIndex}.${i + 1} ${menu.NodeName} - ${menu.NodeId}`}
//                                 </span>
//                             </div>
//                         }
//                         onIconClick={() => toggleNode(menu.NodeId)}
//                     >
//                         {menu.children && renderMenu(menu.children, `${parentIndex}.${i + 1}`)}
//                     </TreeItem>
//                 ))}
//             </TreeView>
//         </div>
//     )
// }

// export default page



"use client"
import React, { useEffect, useState } from 'react';
import { TreeView } from '@mui/x-tree-view';
import { TreeItem } from '@mui/x-tree-view';
import ExpandMoreIcon from '@mui/icons-material/ExpandMore';
import ChevronRightIcon from '@mui/icons-material/ChevronRight';
import "../../admin/subjectentry/subjectentry.css";
import "../subjectwise.css"
import SubjectTreeServices from '@/Services/SubjectTreeServices';
import { useParams, useRouter } from 'next/navigation'
import Loader from '@/component/common/Loader';
import SubjectContent from '@/component/SubjectContent';


const SubjectTree = ({ data, index, nodeChildFetch, ID, onhandleId }) => {

    const [expandedNodes, setExpandedNodes] = useState([]);

    const chapterIdHamdeler = (id) => {
        onhandleId(id);
    }

    const toggleNode = (menuID) => {
        if (expandedNodes.includes(menuID)) {
            setExpandedNodes(expandedNodes.filter((id) => id !== menuID));
        } else {
            setExpandedNodes([...expandedNodes, menuID]);
        }
    };

    // const handleContextMenuClick = async (event, menuID, menu) => {
    //     event.preventDefault();
    //     nodeChildFetch(menuID);
    // };

    const renderMenu = (menuItems, parentIndex) => {
        return (
            <TreeView
                defaultCollapseIcon={<ExpandMoreIcon className='close_icon' />}
                defaultExpandIcon={<ChevronRightIcon className='open_icon' />}
            >
                {menuItems.map((menu, i) => (
                    <TreeItem
                        key={menu.NodeId}
                        nodeId={menu.NodeId.toString()}
                        onClick={() => nodeChildFetch(menu.NodeId)}
                        label={
                            <div style={{ display: 'flex', alignItems: 'center' }}
                                // onContextMenu={(event) => handleContextMenuClick(event, menu.NodeId, menu)}
                                onClick={() => chapterIdHamdeler(menu.NodeId)}
                            >
                                <span className={tree_list `${menu?.children && "deiufh"}`}>
                                    {` ${parentIndex}.${i + 1} ${menu.NodeName} - ${menu.NodeId}`}
                                </span>
                            </div>
                        }
                    // onIconClick={() => toggleNode(menu.NodeId)}
                    >
                        {menu.children && renderMenu(menu.children,`${parentIndex}.${i + 1}`)}
                    </TreeItem>
                ))}
            </TreeView>
        );
    };

    const rootMenuItems = data.filter((menu) => menu.ParentId === ID);
    return (
        <div>
            {renderMenu(rootMenuItems, index)}
        </div>
    );
};

export default function SubjectTreeComponent() {
    const [nodeData, setNodeData] = useState([]);
    const { id } = useParams()
    const [chapterId, setchapterId] = useState(null)
    const router = useRouter()


    function getNodes(nodeId) {
        return SubjectTreeServices.getTreeNodeFrontEndcantent(nodeId)
            .then(({ data }) => {
                const mergedData = mergeData(nodeData, data.tree);
                setNodeData(mergedData);
            }).catch((data) => {
                console.log(data.response.data.error);
            });
    }

    useEffect(() => {
        if (id) {
            getNodes(id);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [id]);
    
    // useEffect(() => {
    //     SubjectTreeServices.getTreeNodeFrontEnd(NodeId).then(({ data }) => {
    //         setChapterList(data.tree);
    //     }).catch((err) => {
    //         console.log(err?.response?.data);
    //         setChapterList([])
    //     })
    // }, [NodeId])

    function mergeData(existingData, newData) {
        const uniqueNodeIds = new Set(existingData.map(item => item.NodeId));
        const filteredNewData = newData.filter(item => !uniqueNodeIds.has(item.NodeId));
        return [...existingData, ...filteredNewData];
    }
    const buildTree = (menuItems, parentID) => {
        return menuItems
            .filter((menu) => menu.ParentId === parentID)
            .map((menu) => {
                const children = buildTree(menuItems, menu.NodeId);
                if (children.length > 0) {
                    menu.children = children;
                }
                return menu;
            });
    };

    const menuTreeData = buildTree(nodeData, Number(id));

    const onhandleId = (id) => {
        setchapterId(id)
    }

    return (
        <>
            {!menuTreeData?.length > 0 ?
                <Loader />
                :
                <div className='row m-0'>
                    <div className='col-md-3 p-0 m-0  topics_div'>
                        <div className='topics_title'>
                           <span className='cursor' onClick={()=>router.push("/subjectwise/chapterlist/1")}>⬅</span>
                        </div>
                        <SubjectTree data={menuTreeData} nodeChildFetch={getNodes} index="1" ID={Number(id)} onhandleId={onhandleId} />
                    </div>
                    <div className='col-md-9 p-2'>
                        <div className='topic_content'>
                            <SubjectContent chapterId={chapterId || menuTreeData[0]?.NodeId} />
                        </div>
                    </div>
                </div>
            }
        </>
    )

}






