

"use client";
import React, { useEffect, useState } from "react";
import "../../subjectwise.css";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import Link from "next/link";
import { useParams } from "next/navigation";
import { useSelector } from "react-redux";
import { useRouter } from "next/navigation";
import { getAPIUrl } from "@/common";
import { Button, Paper } from "@mui/material";

const Page = () => {
  const language = useSelector((state) => state.language);
  const [subjectList, setsubjectList] = useState(null);
  const [chapterList, setChapterList] = useState([]);
  const [NodeId, setNodeId] = useState(null);
  const [Introduction, setIntroduction] = useState(null);
  const param = useParams();
  const imageUrl = getAPIUrl.split("/")
  const url = `${imageUrl[0]}//${imageUrl[2]}`
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const router = useRouter()
  let Unit_SNO = 1;
  let Chapter_SNO = 1;

  useEffect(() => {
    if (NodeId) {
      SubjectTreeServices.getTreeNodeFrontEndcantent(0)
        .then(({ data }) => {
          setsubjectList(data?.tree);
        })
        .catch((err) => {
          console.log(err?.response?.data);
          setsubjectList([]);
        });

      SubjectTreeServices.getTreeNodeFrontEndcantent(NodeId)
        .then(({ data }) => {
          setChapterList(data.tree);
        })
        .catch((err) => {
          console.log(err?.response?.data);
          setChapterList([]);
        });

      // SubjectTreeServices.singleContent(NodeId)
      //   .then(({ data }) => {
      //     setIntroduction(data?.data);
      //   })
      //   .catch((err) => {
      //     console.log(err?.response?.data?.error);
      //   });
    }
    setNodeId(Number(param.id));
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [NodeId, language]);

  function findNodeById(nodeId) {
    return subjectList?.find((node) => node.NodeId == nodeId);
  }
  const data = findNodeById(NodeId);

  return (
    <>
      <div className="container">
        {
          <div className="row my-3">
            <div className=" col-md-12 col-12 my-1 contant_button">
              <Paper className="subject_back_head" elevation={2}>
                <div>
                  <Button
                    variant="contained"
                    color="success"
                    onClick={() =>
                      router.push(
                        `/subjectwise`
                      )
                    }
                    size="small"
                    className="m-1 p-1 submit_button capitalised"
                  >
                    {(!language.loading && language?.language == "ENGLISH") ||
                      localStorageLanguage == "ENGLISH"
                      ? "Back to previous page"
                      : "पिछले पृष्ठ पर वापस जाए"}
                  </Button>
                </div>

                <div>
                  <h5 className="p-1 fw-bold">
                    {(!language.loading && language?.language == "ENGLISH") ||
                      localStorageLanguage == "ENGLISH"
                      ? data?.NodeName_E
                      : data?.NodeName_H}
                  </h5>
                </div>

              </Paper>
            </div>

            <div className="col-md-12">
              {/* <button className="btn-6 p-2 m-0">
                <span>
                  <h3 className="subject_drop">
                    {(!language.loading && language?.language == "ENGLISH") ||
                      localStorageLanguage == "ENGLISH"
                      ? data?.NodeName_E
                      : data?.NodeName_H}
                  </h3>
                  <img
                    className='usefull_image  '
                    src={`${url}/public/uploads/${data?.SubjectImage}`}
                    width="100%"
                    height="350px"
                    alt="pic"
                  />
                </span>
              </button> */}
            </div>
          </div>
        }

        {(!language.loading && language?.language === "ENGLISH") ||
          localStorageLanguage === "ENGLISH"
          ? chapterList?.length >= 0 && (
            <div className="chapter_container">
              <h5 className="chapter_hed mb-4 ">Contents</h5>
              <div>
                {chapterList?.map((ele, i) => {
                  let serialNumber;
                  if (ele && ele.ParentId !== NodeId) {
                    serialNumber = `Chapter-${Chapter_SNO++}`;
                  } else {
                    Chapter_SNO = 1;
                    serialNumber = `Part- ${Unit_SNO++}`;
                  }

                  return ele && ele.ParentId !== NodeId ? (
                    <Link
                      key={i}
                      style={{ textDecoration: "none" }}
                      href={{
                        pathname: `/subjectwise/chapterContent`,
                        query: {
                          Id: ele?.NodeId,
                          ParentId: chapterList[0]?.ParentId,
                          // UnitId: ele?.ParentId,
                          chap_name_E: ele?.NodeName_E,
                          chap_name_H: ele?.NodeName_H,
                        },
                      }}
                    >
                      <p
                        className="chapter_title mb-1"
                        key={i}
                      >{`${serialNumber}  ${ele.NodeName_E}`}</p>
                    </Link>
                  ) : (
                    <p
                      className="chapter_titles text-center"
                      key={i}
                    >{`${serialNumber}  ${ele.NodeName_E}`}</p>
                  );
                })}
              </div>
            </div>
          )
          : chapterList?.length >= 0 && (
            <div className="chapter_container">
              <h5 className="chapter_hed mb-4">विषय-सूची</h5>
              <div>
                {chapterList?.map((ele, i) => {
                  let serialNumber;
                  if (ele && ele.ParentId !== NodeId) {
                    serialNumber = `अध्याय- ${Chapter_SNO++}`;
                  } else {
                    Chapter_SNO = 1;
                    serialNumber = `भाग- ${Unit_SNO++}`;
                  }

                  return ele && ele.ParentId !== NodeId ? (
                    <Link
                      key={i}
                      style={{ textDecoration: "none" }}
                      href={{
                        pathname: `/subjectwise/chapterContent`,
                        query: {
                          Id: ele?.NodeId,
                          ParentId: chapterList[0]?.ParentId,
                          // UnitId: ele?.ParentId,
                          chap_name_E: ele?.NodeName_E,
                          chap_name_H: ele?.NodeName_H,
                        },
                      }}
                    >
                      <p
                        className="chapter_title mb-1 "
                        key={i}
                      >{`${serialNumber}  ${ele.NodeName_H}`}</p>
                    </Link>
                  ) : (
                    <p
                      className="chapter_titles text-center"
                      key={i}
                    >{`${serialNumber}  ${ele.NodeName_H}`}</p>
                  );
                })}
              </div>
            </div>
          )}
      </div>
    </>
  );
};
export default Page;
