
/* eslint-disable @next/next/no-img-element */
"use client"
import React, { useEffect, useState } from 'react'
import "../subjectwise/subjectwise.css"
import { useRouter } from 'next/navigation'
import SubjectTreeServices from '@/Services/SubjectTreeServices'
import Loader from '@/component/common/Loader'
import { useSelector } from 'react-redux'
import { changeLanguadge } from '@/redux/action/LanguageAction'
import { getAPIUrl } from '@/common'



const imageURLs = [
  '../../image/subjectwise/polity.jpg',
  '../../image/subjectwise/gkstudy.jpg',
  '../../image/subjectwise/geography.jpg'
];

const Subjectwise = () => {
  const language = useSelector((state) => state.language)
  const router = useRouter()
  const [chapterList, setChapterList] = useState([])
  const [NodeId, setNodeId] = useState(0)
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null)
 const imageUrl = getAPIUrl.split("/")
 const url = `${imageUrl[0]}//${imageUrl[2]}`

  useEffect(() => {
  const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
  setlocalStorageLanguage( localStorageLanguage)
    SubjectTreeServices.getTreeNodeFrontEndcantent(NodeId).then(({ data }) => {
      setChapterList(data.tree);
    }).catch((err) => {
      console.log(err?.response?.data);
      setChapterList([])
    })
  }, [NodeId,language])
  
  if (!chapterList?.length > 0) {
    return <Loader />
  }



  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage =="ENGLISH") ?
        <div className='container'>
          <h1 className='main_heading'>Study Material</h1>
        <div className='dynamicHeight'>
        <div className='row'>
            {chapterList?.map((ele, i) => (
              <div className='col-md-4 my-2' key={i}>
                <button
                  className="btn-6 p-2 m-0"
                  onClick={() => router.push(`/subjectwise/chapterlist/${ele.NodeId}`)}
                // onClick={() => setNodeId(i)}
                >
                  <span>
                    <img
                      className='usefull_image subject_image'
                      src={`${url}/uploads/${ele.SubjectImage}`}
                      width="100%"
                      height="300px"
                      alt='pic'
                    />
                    <h3 className="subject_drop">
                      {/* Indian Polity */}
                      {ele?.NodeName_E}
                    </h3>
                  </span>
                </button>
              </div>
            ))}
          </div>
        </div>
        </div>
        :
        <div className='container'>
          <h1 className='main_heading'>अध्ययन सामग्री</h1>
          <div className="dynamicHeight">
          <div className='row'>
            {chapterList?.map((ele, i) => (
              <div className='col-md-4' key={i}>
                <button
                  className="btn-6 p-2 my-2 m-0"
                  onClick={() => router.push(`/subjectwise/chapterlist/${ele.NodeId}`)}
                // onClick={() => setNodeId(i)}
                >
                  <span>
                  <img
                      className='usefull_image subject_image'
                      src={`${url}/uploads/${ele.SubjectImage}`}
                      width="100%"
                      height="300px"
                      alt='pic'
                    />
                    <h3 className="subject_drop">
                      {/* Indian Polity */}
                      {ele?.NodeName_H}
                    </h3>
                  </span>
                </button>
              </div>
            ))}
          </div>
          </div>
        </div>
      }
    </>

  )
}

export default Subjectwise