export const IMAGE_URL = "https://storage.googleapis.com/superc-public-data/"; // Use CDN
//export const getAPIUrl = 'http://localhost:5080/api/';
//export const getImageUrl = 'http://localhost:5080/';
//export const getAPIUrl = 'https://vijayamapi-417304.el.r.appspot.com/api/'
export const getAPIUrl = 'https://api.vijayam.in/api/'

export function parseAxiosError(err, defaultMessage = "Something Went Wrong, Check your Internet connection") {
    let data = defaultMessage;
    if (err.response) {
        // TODO: Fix Error.
        if (err.response.status === 401 && window.location.pathname !== '/') {
            // TODO: uncomment
            // const host = window.location.protocol + "//" + window.location.host;
            // window.location = host + '?out=1';
        }
        if (err.response.data.errors) {
            data = err.response.data.errors;
        } else if (err.response.data.error) {
            data = err.response.data.error;
        } else if (err.response.data.msg) {
            data = err.response.data.msg;  
        }
    }
    return data;
}

export function stringError(callback) {
    if (!callback) return () => { };
    return (err) => {
        const data = parseAxiosError(err);
        if (Array.isArray(data)) {
            if (data[0] instanceof String) {
                callback(data.join(' , '));
            } else {
                callback(data.map(x => x.msg).join(' , '))
            }
        } else callback(data);
    }
}
export const COMMON_ERROR_MESSAGE =
  "Something went wrong. Please refresh the page.";
export const PRACTICE_SUCCESS_MESSAGE_OPTION = [
    "Great effort",
    "Great job",
    "Awesome",
    "Well done!",
    "Wonderful",
    "Congratulations",
  ];
  export const PRACTICE_ERROR_MESSAGE_OPTION = [
    "You need More Practice",
    "You need Little More Practice",
    "You can Do Better",
    "You can Do Little Better",
  ];
  export const Random_message = (items) =>
  items[(items.length * Math.random()) | 0];