import React, { useEffect, useState } from "react";
import { Button, Paper } from "@mui/material";
import { useSelector } from "react-redux";

const ButtonMenu = ({
  isLoading,
  displayQue,
  length,
  queNo,
  markStatus,
  markReviews,
  previewQuestions,
  nextQuestions,
  clearAnswer,
}) => {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language])
  return (
    <>
      <Paper
        elevation={2}
        className="mt-2 p-1 mb-2"
      >
        <div className="row m-0">
          <div className="col-md-6 col-6 p-1 m-0 text-start">
            <Button
              variant="contained"
              size="small"
              onClick={previewQuestions}
              className="submit_button capitalised"
              disabled={queNo === 0||isLoading}
            >
              {(!language.loading && language?.language == "ENGLISH") ||
                localStorageLanguage == "ENGLISH" ? "Previous" : "पिछला"}
            </Button>
          </div>
          <div className="col-md-6 col-6 p-1 m-0 text-end">
            <Button variant="contained"
              size="small"
              onClick={nextQuestions}
              className="submit_button capitalised"
              disabled={queNo === length-1||isLoading}
            >
              {(!language.loading && language?.language == "ENGLISH") ||
                localStorageLanguage == "ENGLISH" ? "Next" : "अगला"}
            </Button>
          </div>
        </div>
      </Paper>
    </>
  );
};

export default ButtonMenu;
