export const INITED = 'INITED';
export const PLAYING = 'PLAYING';
export const PAUSED = 'PAUSED';
export const STOPPED = 'STOPPED';

export default class TimerState {
    state = INITED;

    constructor(onChangeStatus) {
        this.onChange = () => onChangeStatus({ state: this.state });
        this.state = INITED;
    }

    getState() {
        return this.state;
    }

    setInited() {
        if (this.state === INITED) {
            return false;
        }

        this.state = INITED;

        this.onChange();

        return true;
    }

    isInited() {
        return this.state === INITED;
    }

    setPlaying() {
        if (this.state === PLAYING) {
            return false;
        }

        this.state = PLAYING;

        this.onChange();

        return true;
    }

    isPlaying() {
        return this.state === PLAYING;
    }

    setPaused() {
        if (this.state !== PLAYING) {
            return false;
        }

        this.state = PAUSED;

        this.onChange();

        return true;
    }

    isPaused() {
        return this.state === PAUSED;
    }

    setStopped() {
        if (this.state === INITED) {
            return false;
        }

        this.state = STOPPED;

        this.onChange();

        return true;
    }

    isStopped() {
        return this.state === STOPPED;
    }
}