import FeedEntryServices from "@/Services/FeedEntryServices";
import React, { useEffect, useState } from "react";
import { useSelector } from "react-redux";
import { useRouter } from "next/navigation";

const QuizUpdates = () => {
  const [UpdateList, setUpdateList] = useState([]);
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const router = useRouter();

  useEffect(() => {
    FeedEntryServices.getFeedEntryforUser("Q")
      .then(({ data }) => {
        setUpdateList(data?.data);
      })
      .catch((err) => {
        console.log(err);
      });
  }, []);

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);


  return (
    <>
      <div>
        <div value="one" className="scroll_bar">
          {UpdateList?.length > 0 &&
            UpdateList?.reverse().map((ele, i) => {
              return (
                <div
                  key={i}
                  className=" p-1 latest_btn border-bottom"
                  onClick={() =>
                    router.push(
                      `/quizlist?id=${ele?.redractionId}&latest=${true}`
                    )
                  }
                >
                  <span className="">
                    📆{" "}
                    {new Date(ele?.WhatsNewDate).toLocaleDateString("en-IN", {
                      day: "2-digit",
                      month: "2-digit",
                      year: "numeric",
                    })}{" "}
                    -
                  </span>
                  <span className="mx-2 mb-2">
                    {(!language.loading && language?.language == "ENGLISH") ||
                      localStorageLanguage == "ENGLISH"
                      ? ele?.Title_E
                      : ele?.Title_H}
                    {new Date(ele?.WhatsNewDate).toLocaleDateString("en-CA") ===
                      new Date().toLocaleDateString("en-CA") && (
                        <img src="image/new.gif" height="24px" alt="pic" />
                      )}
                  </span>
                </div>
              );
            })}
        </div>
      </div>
    </>
  );
};

export default QuizUpdates;
