"use client";
import SubjectTreeServices from "@/Services/SubjectTreeServices";
import React, { useEffect, useState } from "react";
import "../quiz/quiz.css";
import "../../app/PracticeQuestions/practice.css";
import Loader from "@/component/common/Loader";
import Table from "@mui/material/Table";
import TableContainer from "@mui/material/TableContainer";
import QuizServices from "@/Services/QuizServices";
import PlayCircleFilledIcon from "@mui/icons-material/PlayCircleFilled";
import TrackChangesIcon from "@mui/icons-material/TrackChanges";
import { useRouter } from "next/navigation";
import { toast } from "react-toastify";
import { useSelector } from "react-redux";
import ExamSheetServices from "@/Services/ExamSheetServices";
import Link from "next/link";
import { MdArrowForwardIos } from "react-icons/md";

const Quiz = (props) => {
  const user = useSelector((state) => state.loginInfo);
  const router = useRouter();
  const [SubjectList, setSubjectList] = useState([]);
  const [PartList, setPartList] = useState([]);
  const [ChaptertList, setChaptertList] = useState([]);
  const [SubjectId, setSubjectId] = useState(props?.id);
  const [PartId, setPartId] = useState("");
  const [ChapterId, setChapterId] = useState("");
  const [examList, setExamList] = useState([]);
  const [noquizError, setNoquizError] = useState("");
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);

  // useEffect(() => {
  //     const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
  //     setlocalStorageLanguage(localStorageLanguage)
  //     SubjectTreeServices.getOneLeveTreeData(0).then(({ data }) => {
  //         setSubjectList(data.tree);
  //     }).catch((err) => {
  //         console.log(err.response.data.error)
  //     })
  // }, [])

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
    if (props?.id) {
      SubjectTreeServices.getOneLeveTreeDataCantent(props?.id)
        .then(({ data }) => {
          setPartList(data.tree);
          setPartId(data?.tree[0]?.NodeId);
        })
        .catch((err) => {
          console.log(err.response);
        });
    }
  }, [props?.id, language]);

  useEffect(() => {
    if (PartId) {
      SubjectTreeServices.getOneLeveTreeDataCantent(PartId)
        .then(({ data }) => {
          setChaptertList(data.tree);
          setChapterId(data?.tree[0].NodeId);
          setNoquizError("");
        })
        .catch((err) => {
          setNoquizError(err.response && "Chapter not found");
        });
    }
  }, [PartId]);

  // const gotoExamPanel = (id) => {
  //   if (user?.isLoggedIn && !examList.find((val) => val?.QuizeId === id)) {
  //     router.push(`/en/examPanel/${id}`);
  //   } else if (examList.find((val) => val?.QuizeId === id)) {
  //     toast.error("You are already Attemp this Quiz");
  //   } else toast.error("Please Login to Attemp Quiz");
  // };
  // const gotoResult = (id) => {
  //   if (user?.isLoggedIn && examList.find((val) => val?.QuizeId === id)) {
  //     router.push(`/result?QuizId=${id}`);
  //   } else toast.error("Please Login to See Quiz Result");
  // };

  if (!PartList?.length > 0) {
    return <Loader />;
  }

  return (
    <div>
      <div className="mt-2">
        <div className="row m-0 p-0">
          <div className="col-md-3 chapter_list_div d-md-block d-none">
            <h5 className="chapter_heading">
              {(!language.loading && language?.language == "ENGLISH") ||
              localStorageLanguage == "ENGLISH"
                ? `Part List`
                : `भाग सूची`}
            </h5>
            {PartList?.map((ele, i) => {
              return (
                <p
                  key={i}
                  onClick={() => setPartId(ele.NodeId)}
                  className={`chapter_list_title ${
                    ele.NodeId === PartId && PartId && "selected_toggle_chapter"
                  }`}
                >
                  {(!language.loading && language?.language == "ENGLISH") ||
                  localStorageLanguage == "ENGLISH"
                    ? ele.NodeName_E
                    : ele.NodeName_H}
                </p>
              );
            })}
          </div>
          {(!language.loading && language?.language == "ENGLISH") ||
          localStorageLanguage == "ENGLISH" ? (
            <div className="col-md-9">
              <div className="d-flex">
                <div className={`subject_toggle_btn `}> Chaptert List</div>
              </div>
              {ChaptertList && !noquizError ? (
                <div className="row m-0">
                  {ChaptertList?.map((ele, i) => (
                    <div className="col-md-6 p-3" key={i}>
                      <Link
                        href={{
                          pathname: "/practice/practicelist",
                          query: {
                            id: PartId,
                          },
                        }}
                        style={{ textDecoration: "none" }}
                      >
                        <div class="subject_card d-block">
                          <h6>{ele?.NodeName_E}</h6>
                          <div className="d-flex justify-content-between">
                            <p className="m-1">100+ Practice Questions</p>
                            <MdArrowForwardIos className="sub_icon" />
                          </div>
                        </div>
                      </Link>
                    </div>
                  ))}
                </div>
              ) : (
                <div className="quiz_info">
                  <div className="quiz_info_title text-danger">
                    {" "}
                    {noquizError}
                  </div>
                </div>
              )}
            </div>
          ) : (
            <div className="col-md-9">
              <div className="d-flex">
                <div className={`subject_toggle_btn `}>अध्याय सूची</div>
              </div>
              {ChaptertList && !noquizError && (
                <div className="row">
                  {ChaptertList?.map((ele, i) => (
                    <div className="col-md-6 p-3" key={i}>
                      <Link
                        href={{
                          pathname: "/practice/practicelist",
                          query: {
                            id: PartId,
                          },
                        }}
                        style={{ textDecoration: "none" }}
                      >
                        <div class="subject_card d-block">
                          <h6>{ele?.NodeName_H}</h6>
                          <div className="d-flex justify-content-between">
                            <p className="m-1">100+ Practice Questions</p>
                            <MdArrowForwardIos className="sub_icon" />
                          </div>
                        </div>
                      </Link>
                    </div>
                  ))}
                </div>
              )}
              {!ChaptertList && noquizError && (
                <div className="quiz_info">
                  <div className="quiz_info_title text-danger">
                    {" "}
                    {noquizError}
                  </div>
                </div>
              )}
            </div>
          )}
        </div>
      </div>
    </div>
  );
};

export default Quiz;
