import SubjectTreeServices from '@/Services/SubjectTreeServices'
import React, { useEffect, useState } from 'react'
import "../app/subjectwise/subjectwise.css"
import { useSelector } from 'react-redux'

const SubjectContent = ({chapterId,HeadingTexts}) => {
    const [Content, setContent] = useState("")
    const language = useSelector((state) => state.language)
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null)
    const [updatedHtml, setUpdatedHtml] = useState(null);
    const [HeadingText, setHeadingText] = useState([])

    useEffect(() => {
        const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
        setlocalStorageLanguage(localStorageLanguage)
        SubjectTreeServices.singleContent(chapterId).then(({ data }) => {
            setContent(data?.data);
        }).catch((err) => {
            setContent("")
            console.log(err?.response?.data?.error);
        })
    }, [chapterId])
    useEffect(() => {
        const tempDiv = document.createElement("div");
        tempDiv.innerHTML = Content?.Description_E;
        const headingElements = tempDiv.querySelectorAll("h3");
        const headings = []
        headingElements.forEach((headingElement) => {
            const headingText = headingElement.textContent;
            headings.push(headingText)

            headingElement.id = headingText.toLowerCase().replace(/\s/g, "-");
        });
    //    HeadingTexts(headings)
        setHeadingText(headings)
        setUpdatedHtml(tempDiv.innerHTML);

    }, [Content]);

    return (
        <>
            {Content ? <div>
                {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? <div dangerouslySetInnerHTML={{ __html: updatedHtml }} /> : <div dangerouslySetInnerHTML={{ __html: Content?.Description_H }} />}
            </div>
                : <div className='chaperNot_found'>Chapter Content not found !!</div>}
        </>
    )
}

export default SubjectContent