// import React from 'react'

// const AdminSidebar = () => {
//   return (
//     <div>

//     </div>
//   )
// }

// export default AdminSidebar

import * as React from 'react';
import ListSubheader from '@mui/material/ListSubheader';
import List from '@mui/material/List';
import ListItemButton from '@mui/material/ListItemButton';
import ListItemIcon from '@mui/material/ListItemIcon';
import ListItemText from '@mui/material/ListItemText';
import Collapse from '@mui/material/Collapse';
import InboxIcon from '@mui/icons-material/MoveToInbox';
import DraftsIcon from '@mui/icons-material/Drafts';
import SendIcon from '@mui/icons-material/Send';
import ExpandLess from '@mui/icons-material/ExpandLess';
import ExpandMore from '@mui/icons-material/ExpandMore';
import StarBorder from '@mui/icons-material/StarBorder';
import "../css/adminhomepage.css"
import { useRouter, usePathname } from 'next/navigation'
import DashboardIcon from '@mui/icons-material/Dashboard';
import CalendarMonthIcon from '@mui/icons-material/CalendarMonth';
import ChatIcon from '@mui/icons-material/Chat';
import AutoStoriesIcon from '@mui/icons-material/AutoStories';
import QuizIcon from '@mui/icons-material/Quiz';
import CardMembershipIcon from '@mui/icons-material/CardMembership';

export default function AdminSidebar() {
    const [open, setOpen] = React.useState(false);
    const [open1, setOpen1] = React.useState(false);
    const router = useRouter()
    const path = usePathname()

    const handleClick = () => {
        setOpen(!open);
    };

    const handleClick1 = () => {
        setOpen1(!open1);
    };

    return (
        <List
            sx={{ width: '100%', maxWidth: 360 }}
            component="nav"
            aria-labelledby="nested-list-subheader"
            className='sidebar_admin'
        >
            <ListItemButton onClick={() => router.push('/admin')} className={`sidebar_item ${path.split("/")[2] === undefined && "sidebar_active_list"}`}>
                <ListItemIcon>
                    <DashboardIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Dashboard" className='sidebar_title' />
            </ListItemButton>

            <ListItemButton onClick={() => router.push('/admin/calenderentry')} className={`sidebar_item ${path.split("/")[2] === "calenderentry" && "sidebar_active_list"}`}>
                <ListItemIcon>
                    <CalendarMonthIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Calender Entry" className='sidebar_title' />
            </ListItemButton>

            <ListItemButton
            //  onClick={() => router.push('/admin/feedentry')} className={`sidebar_item ${path.split("/")[2] === "feedentry" && "sidebar_active_list"}`}
             >
                <ListItemIcon>
                    <ChatIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Feed Entry" className='sidebar_title' />
            </ListItemButton>

            <ListItemButton onClick={() => router.push('/admin/subjectentry')} className={`sidebar_item ${path.split("/")[2] === "subjectentry" && "sidebar_active_list"}`}>
                <ListItemIcon>
                    <AutoStoriesIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Study Material Entry" className='sidebar_title' />
            </ListItemButton>

            <ListItemButton onClick={handleClick} className='sidebar_item'>
                <ListItemIcon>
                    <QuizIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Practice/Quiz Upload" className='sidebar_title' />
                {open ? <ExpandLess /> : <ExpandMore />}
            </ListItemButton>
            <Collapse in={open} timeout="auto" unmountOnExit className='collaspe_sidebar'>
                <List component="div" disablePadding>
                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item' onClick={() => router.push('/admin/questionUpload')}>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon' />
                        </ListItemIcon>
                        <ListItemText primary="Question Upload" className='sidebar_title' />
                    </ListItemButton>

                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item' onClick={() => router.push('/admin/singleQuestionUpload')}>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon' />
                        </ListItemIcon>
                        <ListItemText primary="single Question Upload" className='sidebar_title' />
                    </ListItemButton>

                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item'>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon' />
                        </ListItemIcon>
                        <ListItemText primary="Class Wise" className='sidebar_title' />
                    </ListItemButton>

                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item'>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon' />
                        </ListItemIcon>
                        <ListItemText primary="Questions Preview" className='sidebar_title' onClick={() => router.push('/admin/questionPreview')}/>
                    </ListItemButton>
                </List>
            </Collapse>

            <ListItemButton onClick={() => router.push('/admin/quizEntry')} className={`sidebar_item ${path.split("/")[2] === "quizEntry" && "sidebar_active_list"}`}>
                <ListItemIcon>
                    <AutoStoriesIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Quiz" className='sidebar_title' />
            </ListItemButton>

            <ListItemButton onClick={() => router.push('/admin/practice')} className={`sidebar_item ${path.split("/")[2] === "practice" && "sidebar_active_list"}`}>
                <ListItemIcon>
                    <AutoStoriesIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Practice" className='sidebar_title' />
            </ListItemButton>

            <ListItemButton onClick={() => router.push('/admin/subscription')} className={`sidebar_item ${path.split("/")[2] === "subscription" && "sidebar_active_list"}`}>
                <ListItemIcon>
                    <CardMembershipIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Subscription" className='sidebar_title' />
            </ListItemButton>


            {/* //////////////////////////// homepage list ///////////////////////////////////// */}

            <ListItemButton onClick={handleClick1} className='sidebar_item'>
                <ListItemIcon>
                    <QuizIcon className='sidebar_icon' />
                </ListItemIcon>
                <ListItemText primary="Homepage Entry" className='sidebar_title' />
                {open1 ? <ExpandLess /> : <ExpandMore />}
            </ListItemButton>
            <Collapse in={open1} timeout="auto" unmountOnExit className='collaspe_sidebar'>
                <List component="div" disablePadding>
                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item' onClick={() => router.push('/admin/sloksupload')}>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon' />
                        </ListItemIcon>
                        <ListItemText primary="Sloks Upload" className='sidebar_title' />
                    </ListItemButton>
                    
                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item'  onClick={() => router.push('/admin/usefulllinksEntry')}>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon' />
                        </ListItemIcon>
                        <ListItemText primary="Use full Links Upload" className='sidebar_title' />
                    </ListItemButton>

                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item'onClick={() => router.push('/admin/upcomingUpdate')}>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon'/>
                        </ListItemIcon>
                        <ListItemText primary="Upcoming Subject" className='sidebar_title'/>
                    </ListItemButton>

                    <ListItemButton sx={{ pl: 4 }} className='sidebar_item'onClick={() => router.push('/admin/Marquee')}>
                        <ListItemIcon>
                            <StarBorder className='sidebar_icon'/>
                        </ListItemIcon>
                        <ListItemText primary="Marquee Upload" className='sidebar_title'/>
                    </ListItemButton>
                </List>
            </Collapse>


        </List>
    );
}