import { Box, Button, SwipeableDrawer } from "@mui/material";
import React, { use, useEffect, useState } from "react";
import { toast } from "react-toastify";
import "../../app/admin/quizEntry/quizentry.css";
import "../../component/questionFormat/format.css";
import Format001 from "@/component/questionFormat/Format001";
import PracticeServices from "@/Services/PracticeServices";

export default function QuizQuestionSlider(props) {
  const [AddedQuesList, setAddedQuesList] = useState([]);
  const [QuestionList, setQuestionList] = useState([]);
  const [QuesCount, setQuesCount] = useState(null);
  const [page, setPage] = useState(1);
  const getQuestions = () => {
    PracticeServices.PracticeQuestions(props?.PracticeId, page)
      .then(({ data }) => {
        setQuestionList(data?.data);
      })
      .catch((err) => {
        toast.error(err.response.data.message);
      });
  };
  const addQuestions = (QuestionId) => {
    const data = {
      PracticeId: props?.PracticeId,
      questionId: QuestionId,
    };
    let queArr = [...AddedQuesList]
    if (!AddedQuesList?.includes(QuestionId?.toString())) {
      if (AddedQuesList.length < props.totalnumberOfQue) {

       setAddedQuesList((prev) => [...prev, QuestionId.toString()]);
         props.addedQuestionIds([...queArr,QuestionId],props?.PracticeId);
      } else {
        props.addedQuestionIds(queArr,props?.PracticeId);
        setAddedQuesList(AddedQuesList);
      }
    } else {
      props.addedQuestionIds(queArr.filter((question) => question != QuestionId),props?.PracticeId);
      setAddedQuesList((pre) =>
        pre?.filter((question) => question != QuestionId)
      );
    }

    PracticeServices?.addQuestionsManual(data)
      .then(( {data} ) => {
        if (data?.success) {
        //   props.addedQuestionIds(AddedQuesList);
        }
      })
      .catch((err) => {
        console.log(err);
        toast?.warn(err?.response?.data?.error);
        // toast.warning(err.response.data.error)
      });
  };
  const getAddedQuestion = () => {
    PracticeServices.getAddedQuestion(props?.PracticeId)
      .then(({ data }) => {
        setAddedQuesList(
          data?.Questions?.map((question) => question?.QuestionId)
        );
      })
      .catch((err) => {
        console.log(err);
      });
  };

  useEffect(() => {
    if (props?.open == false) {
      setQuestionList([]);
    }
    if (props?.open == true) {
      getAddedQuestion();
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [props.open]);

  const list = () => (
    <Box
      sx={{ padding: "70px 10px 10px 10px" }}
      role="presentation"
      className="rowquestuin"
    >
      <div className="d-flex justify-content-between">
        <div>
          <span className="fw-bold mx-3">Question List</span>
        </div>
        <div>
          <Button
            variant="contained"
            className="submit_button px-4 ms-3"
            size="small"
            onClick={(e) => getQuestions(e)}
          >
            Add Question{" "}
          </Button>
        </div>
      </div>
      <hr />

      <div className="row m-0">
        {QuestionList?.length > 0 ? (
          QuestionList?.map((ele, i) => (
            <div className={`col-md-12 mx-3 p-1`} key={i}>
              <div
                className={`m-3 ${
                  AddedQuesList?.includes(ele?.QuestionId)
                    ? "question"
                    : "questionnot"
                }`}
                onClick={() => addQuestions(ele?.QuestionId)}
              >
                <Format001
                  quesNo={i + 1}
                  question={ele}
                  HindiAnswer={ele?.HindiAnswer}
                  EnglishAnswer={ele?.EnglishAnswer}
                  isRead={true}
                />
              </div>
            </div>
          ))
        ) : (
          <div>
            <p className="text-center fw-bold mt-5 pt-5">
              Please Select the option to add question{" "}
            </p>
          </div>
        )}
      </div>
    </Box>
  );

  return (
    <>
      <SwipeableDrawer
        anchor={props.anchor}
        open={props.open}
        onClose={props.onClose}
        onOpen={props.onOpen}
      >
        {list("right")}
      </SwipeableDrawer>
    </>
  );
}
