import React, { useState, useRef, useEffect } from 'react'
import "../header/header.css"
import { useDispatch, useSelector } from 'react-redux';
import { getUserInfo, signinUser } from '@/redux/action/loginAction';
import { IoMdEye } from "react-icons/io";
import { IoMdEyeOff } from "react-icons/io";
import { useRouter } from 'next/navigation'

const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
const passwordRegex = /^.{6,}$/;

const Login = ({ toggle }) => {
    const router = useRouter()
    const user = useSelector((state) => state.loginInfo)
    const dispatch = useDispatch()
    const [Emailerror, setEmailerror] = useState("")
    const [passworderror, setpassworderror] = useState("")
    const [backenderror, setbackenderror] = useState("")
    const buttonRef = useRef(null);
    const [loginData, setLoginData] = useState({
        email: "",
        password: ""
    })
    const [showPassword, setShowPassword] = useState(false);
    const language = useSelector((state) => state.language)
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null)

    const reset = () => {
        setLoginData({
            email: "",
            password: ""
        })
        setEmailerror("")
        setpassworderror("")
        setbackenderror("")
    }
    const closeModal = () => {
        toggle(false)
        reset()
    }

    const loginOnChange = (e) => {
        setEmailerror("")
        setpassworderror("")
        const { name, value } = e.target
        setLoginData({
            ...loginData,
            [name]: value,
        })
    }

    const loginHandler = () => {
        if (emailRegex.test(loginData?.email) && passwordRegex.test(loginData?.password)) {
            setEmailerror("")
            setpassworderror("")
            setbackenderror("")
            dispatch(signinUser(loginData?.email, loginData?.password))
        } else if (!emailRegex.test(loginData?.email)) {
            setEmailerror("please enter valid email")
            setbackenderror("")
        }
        else if (loginData?.password?.length === 0) {
            setpassworderror("plassword ir required ")
            setbackenderror("")
        }
        else if (!passwordRegex.test(loginData?.password)) {
            setpassworderror("please enter atleasest 8 character")
            setbackenderror("")
        }
    }

    useEffect(() => {
        const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
        setlocalStorageLanguage(localStorageLanguage)
        if (user?.isLoggedIn) {
            dispatch(getUserInfo());
            closeModal()
            buttonRef.current.click();
        }
        if (user?.msgType === "error") {
            setbackenderror(user.msg)
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [!user?.loading, language])

    // useEffect(()=>{
    //     if(user?.userResult?.role==="ADMIN"){
    //         router.push("/admin")
    //     }
    // },[user?.userResult?.role])


    return (
        <>
            {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ?
                <div>
                    <p className='close_btn'>
                        <button type="button" className="btn-close" ref={buttonRef} data-bs-dismiss="modal" aria-label="Close" onClick={closeModal}></button>
                    </p>
                    <div className="modal-body p-2">
                        <div className='row modal_main'>
                            <div className='col-md-5 modal_image p-0'>
                                <h2 className='text-center fw-bold text-warning mt-4'>Welcome!</h2>
                                 <h5 className='text-center fw-bold text-white'> Back !</h5>
                                {/* <p className='text-white text-center fw-bold  p-2 mt-2'>For a better experience please Login, or Signup if you haven’t already. */}
                                    {/* </p>  */}
                                    <img src='/image/loginSingup.png' className='img_login ' width="310px" height="250px" alt='pic' />
                                    
                                {/* <p className='toggle_sign mt-0'
                            onClick={() => toggle(true)}
                        >Create an account</p> */}
                            </div>
                            <div className='col-md-7 modal_form  py-4'>
                                <h3 className='text-center mb-4 mt-4'>Login</h3>
                                <input
                                    className="form-control form-control-sm input_modal"
                                    type="text"
                                    placeholder="Email"
                                    aria-label=".form-control-sm example"
                                    name='email'
                                    onChange={loginOnChange}
                                    value={loginData?.email}
                                />
                                <p className='error_text'>{Emailerror}</p>
                                {/* <input
                            className="form-control form-control-sm input_modal"
                            type="password"
                            placeholder="Password"
                            aria-label=".form-control-sm example"
                            name='password'
                            onChange={loginOnChange}
                            value={loginData?.password}
                        /> */}
                                <div className="password-input-container">
                                    <input
                                        className="form-control form-control-sm input_modal password-input"
                                        type={showPassword ? 'text' : 'password'}
                                        placeholder="Password"
                                        aria-label=".form-control-sm example"
                                        name='password'
                                        onChange={loginOnChange}
                                        value={loginData?.password}
                                    />
                                    <button
                                        type="button"
                                        onClick={() => setShowPassword(!showPassword)}
                                        className="eye-button"
                                    >
                                        {showPassword ? <IoMdEye fontSize="20px" color='grey' /> : <IoMdEyeOff fontSize="20px" color='grey' />}
                                    </button>
                                </div>
                                <p className='error_text'>{passworderror}</p>
                                <div className='d-flex justify-content-between mt-3'>
                                    {backenderror?.length > 0 ? <p className='backend_err'>{backenderror}</p> : <p></p>}
                                    <button
                                        className='register_btn'
                                        onClick={loginHandler}
                                    >Login</button>
                                </div>
                                <p className='toggle_sign mt-0 text-start'
                                    onClick={() => toggle(true)}
                                >If you haven’t created your account yet, please SIGNUP HERE.</p>
                            </div>
                        </div>
                    </div>
                </div>
                :
                <div>
                    <p className='close_btn'>
                        <button type="button" className="btn-close" ref={buttonRef} data-bs-dismiss="modal" aria-label="Close" onClick={closeModal}></button>
                    </p>
                    <div className="modal-body p-2">
                        <div className='row modal_main'>
                            <div className='col-md-5 modal_image p-0'>
                            <h2 className='text-center fw-bold text-warning mt-4'>आपका </h2>
                                <h5 className='text-center fw-bold text-white'>स्वागत है</h5>
                                    <img src='/image/loginSingup.png' className='img_login ' width="310px" height="250px" alt='pic' />
                            </div>
                            <div className='col-md-7 modal_form  py-4'>
                                <h3 className='text-center mb-4 mt-4'>लॉग इन</h3>
                                <input
                                    className="form-control form-control-sm input_modal"
                                    type="text"
                                    placeholder="ईमेल"
                                    aria-label=".form-control-sm example"
                                    name='email'
                                    onChange={loginOnChange}
                                    value={loginData?.email}
                                />
                                <p className='error_text'>{Emailerror}</p>
                                {/* <input
                            className="form-control form-control-sm input_modal"
                            type="password"
                            placeholder="Password"
                            aria-label=".form-control-sm example"
                            name='password'
                            onChange={loginOnChange}
                            value={loginData?.password}
                        /> */}
                                <div className="password-input-container">
                                    <input
                                        className="form-control form-control-sm input_modal password-input"
                                        type={showPassword ? 'text' : 'password'}
                                        placeholder="पासवर्ड"
                                        aria-label=".form-control-sm example"
                                        name='password'
                                        onChange={loginOnChange}
                                        value={loginData?.password}
                                    />
                                    <button
                                        type="button"
                                        onClick={() => setShowPassword(!showPassword)}
                                        className="eye-button"
                                    >
                                        {showPassword ? <IoMdEye fontSize="20px" color='grey' /> : <IoMdEyeOff fontSize="20px" color='grey' />}
                                    </button>
                                </div>
                                <p className='error_text'>{passworderror}</p>
                                <div className='d-flex justify-content-between mt-3'>
                                    {backenderror?.length > 0 ? <p className='backend_err'>{backenderror}</p> : <p></p>}
                                    <button
                                        className='register_btn'
                                        onClick={loginHandler}
                                    >लॉग इन करें</button>
                                </div>
                                <p className='toggle_sign mt-0 text-start'
                                    onClick={() => toggle(true)}
                                >यदि आपने अभी तक अपना खाता नहीं बनाया है, तो कृपया यहां साइनअप करें।</p>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </>
    )
}

export default Login