import AuthServices from '@/Services/AuthServices'
import { getToken, setToken } from '@/utils/Token'
import React, { useState, useRef, useEffect } from 'react'
import { IoMdEye } from "react-icons/io";
import { IoMdEyeOff } from "react-icons/io";
import { useSelector } from 'react-redux';

const Regitration = ({ toggle }) => {
    const [error, seteror] = useState("")
    const [success, setsuccess] = useState("")
    const [confirmPassword, setconfirmPassword] = useState("")
    const buttonRef = useRef(null);
    const [showPassword, setShowPassword] = useState(false);
    const [cshowPassword, csetShowPassword] = useState(false);
    const language = useSelector((state) => state.language)
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null)
    const [formData, setFormData] = useState({
        FirstName: "",
        LastName: "",
        Email: "",
        Phone: "",
        Password: "",
        PreparationMode: 0,
        State: 0
    })

    const reset = () => {
        setFormData({
            FirstName: "",
            LastName: "",
            Email: "",
            Phone: "",
            Password: "",
            PreparationMode: 0,
            State: 0
        })
        setconfirmPassword("")
        seteror("")
    }

    const submitHandeler = () => {
        if (formData?.Password === confirmPassword) {
            AuthServices.registration(formData).then(({ data }) => {
                setsuccess(data?.message)
                reset()
                buttonRef.current.click();
                setToken(data.token);
            }).catch((data) => {
                seteror(data?.response?.data?.error);
                setsuccess("")
            })
        } else {
            seteror("password not matched")
        }
    }

    const onchangeHandeler = (e) => {
        const { name, value } = e.target
        setFormData({ ...formData, [name]: value })
    }

    const oncomparePassword = (e) => {
        setconfirmPassword(e.target.value)
        seteror("")
    }

    useEffect(() => {
        const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
        setlocalStorageLanguage(localStorageLanguage)
    }, [language])

    return (
        <>
            {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ?
                <div>
                    <p className='close_btn'>
                        <button type="button" className="btn-close" ref={buttonRef} data-bs-dismiss="modal" aria-label="Close" onClick={() => toggle(false)}></button>
                    </p>
                    <div className="modal-body p-2">
                        <div className='row modal_main'>
                            <div className='col-md-5 modal_image p-0'>
                                {/* <img src='/image/signup.png' className='signUp_img' width="100%" height="70%" alt='pic' /> */}
                                <div className='signup_txt'>
                                <h1 className='text-center text-warning  fw-bold'>Welcome!</h1>
                                <h5 className='text-center text-white fw-bold'>Signup here.</h5>
                                </div>
                                <img src='/image/loginSingup.png' className='img_login ' width="310px" height="250px" alt='pic' />
                                {/* <p className='toggle_sign'
                            onClick={() => toggle(false)}
                        >Already have an account</p> */}
                            </div>
                            <div className='col-md-7 modal_form  py-4'>
                                <h3 className='text-center mb-4'>Sign Up</h3>
                                <div className='d-flex'>
                                    <input
                                        className="form-control form-control-sm input_modal"
                                        type="text"
                                        placeholder="FirstName"
                                        aria-label=".form-control-sm example"
                                        onChange={onchangeHandeler}
                                        name='FirstName'
                                        value={formData?.FirstName}
                                    />
                                    <input
                                        className="form-control form-control-sm input_modal ms-2"
                                        type="text"
                                        placeholder="LastName"
                                        aria-label=".form-control-sm example"
                                        onChange={onchangeHandeler}
                                        name='LastName'
                                        value={formData?.LastName}
                                    />
                                </div>
                                <input
                                    className="form-control form-control-sm input_modal"
                                    type="text"
                                    placeholder="Mobile no"
                                    aria-label=".form-control-sm example"
                                    onChange={onchangeHandeler}
                                    name='Phone'
                                    value={formData?.Phone}
                                />
                                <input
                                    className="form-control form-control-sm input_modal"
                                    type="text"
                                    placeholder="Email"
                                    aria-label=".form-control-sm example"
                                    onChange={onchangeHandeler}
                                    name='Email'
                                    value={formData?.Email}
                                />
                                <div className='d-flex'>
                                    <select
                                        className="form-select form-select-sm input_modal"
                                        aria-label=".form-select-sm example"
                                        // defaultValue='0'
                                        onChange={onchangeHandeler}
                                        name='PreparationMode'
                                        value={formData?.PreparationMode}
                                    >
                                        <option disabled value='0'>Preperation mode</option>
                                        <option value="ENGLISH">English</option>
                                        <option value="HINDI">Hindi</option>
                                    </select>
                                    {/* <select
                                className="form-select form-select-sm input_modal ms-2"
                                aria-label=".form-select-sm example"
                                // defaultValue="0"
                                onChange={onchangeHandeler}
                                name='State'
                                value={formData?.State}
                            >
                                <option  disabled value='0'>State</option>
                                <option value="1">uttar pradesh</option>
                                <option value="2">delhi</option>
                            </select> */}
                                </div>
                                {/* <input
                            className="form-control form-control-sm input_modal"
                            type="text"
                            placeholder="Password"
                            aria-label=".form-control-sm example"
                            onChange={onchangeHandeler}
                            name='Password'
                            value={formData?.Password}
                        /> */}
                                <div className="password-input-container">
                                    <input
                                        className="form-control form-control-sm input_modal"
                                        type={showPassword ? 'text' : 'password'}
                                        placeholder="Password"
                                        aria-label=".form-control-sm example"
                                        onChange={onchangeHandeler}
                                        name='Password'
                                        value={formData?.Password}
                                    />
                                    <button
                                        type="button"
                                        onClick={() => setShowPassword(!showPassword)}
                                        className="eye-button"
                                    >
                                        {showPassword ? <IoMdEye fontSize="20px" color='grey' /> : <IoMdEyeOff fontSize="20px" color='grey' />}
                                    </button>
                                </div>
                                {/* <input
                            className="form-control form-control-sm input_modal"
                            type="text"
                            placeholder="Confirm Password"
                            aria-label=".form-control-sm example"
                            onChange={oncomparePassword}
                        /> */}
                                <div className="password-input-container">
                                    <input
                                        className="form-control form-control-sm input_modal"
                                        type={cshowPassword ? 'text' : 'password'}
                                        placeholder="Confirm Password"
                                        aria-label=".form-control-sm example"
                                        onChange={oncomparePassword}
                                    />
                                    <button
                                        type="button"
                                        onClick={() => csetShowPassword(!cshowPassword)}
                                        className="eye-button"
                                    >
                                        {cshowPassword ? <IoMdEye fontSize="20px" color='grey' /> : <IoMdEyeOff fontSize="20px" color='grey' />}
                                    </button>
                                </div>
                                <div className='d-flex justify-content-between mt-3'>
                                    <div>
                                        {error?.length > 0 && <p className='backend_err'>{error}</p>}
                                        {success?.length > 0 && <p className='success_msg'>{success}</p>}
                                    </div>
                                    <button
                                        className='register_btn'
                                        onClick={submitHandeler}
                                    >
                                        Register
                                    </button>
                                </div>
                                <p className='toggle_sign mt-0'
                                    onClick={() => toggle(false)}
                                >If you already have an account, please LOGIN HERE </p>
                            </div>
                        </div>
                    </div>
                </div>
                :
                <div>
                    <p className='close_btn'>
                        <button type="button" className="btn-close" ref={buttonRef} data-bs-dismiss="modal" aria-label="Close" onClick={() => toggle(false)}></button>
                    </p>
                    <div className="modal-body p-2">
                        <div className='row modal_main'>
                            <div className='col-md-5 modal_image p-0'>
                            <div className='signup_txt'>
                                <h1 className='text-center text-warning  fw-bold'>आपका स्वागत है !</h1>
                                <h5 className='text-center text-white fw-bold'>यहां साइन अप करें।</h5>
                                </div>
                                <img src='/image/loginSingup.png' className='img_login ' width="310px" height="250px" alt='pic' />
                                
                                {/* <p className='toggle_sign'
                            onClick={() => toggle(false)}
                        >Already have an account</p> */}
                            </div>
                            <div className='col-md-7 modal_form  py-4'>
                                <h3 className='text-center mb-4'>साइन अप </h3>
                                <div className='d-flex'>
                                    <input
                                        className="form-control form-control-sm input_modal"
                                        type="text"
                                        placeholder="पहला नाम"
                                        aria-label=".form-control-sm example"
                                        onChange={onchangeHandeler}
                                        name='FirstName'
                                        value={formData?.FirstName}
                                    />
                                    <input
                                        className="form-control form-control-sm input_modal ms-2"
                                        type="text"
                                        placeholder="उपनाम"
                                        aria-label=".form-control-sm example"
                                        onChange={onchangeHandeler}
                                        name='LastName'
                                        value={formData?.LastName}
                                    />
                                </div>
                                <input
                                    className="form-control form-control-sm input_modal"
                                    type="text"
                                    placeholder="मोबाइल नंबर"
                                    aria-label=".form-control-sm example"
                                    onChange={onchangeHandeler}
                                    name='Phone'
                                    value={formData?.Phone}
                                />
                                <input
                                    className="form-control form-control-sm input_modal"
                                    type="text"
                                    placeholder="ईमेल"
                                    aria-label=".form-control-sm example"
                                    onChange={onchangeHandeler}
                                    name='Email'
                                    value={formData?.Email}
                                />
                                <div className='d-flex'>
                                    <select
                                        className="form-select form-select-sm input_modal"
                                        aria-label=".form-select-sm example"
                                        // defaultValue='0'
                                        onChange={onchangeHandeler}
                                        name='PreparationMode'
                                        value={formData?.PreparationMode}
                                    >
                                        <option disabled value='0'>तैयारी मोड</option>
                                        <option value="ENGLISH">अंग्रेज़ी</option>
                                        <option value="HINDI">हिन्दी</option>
                                    </select>
                                    {/* <select
                                className="form-select form-select-sm input_modal ms-2"
                                aria-label=".form-select-sm example"
                                // defaultValue="0"
                                onChange={onchangeHandeler}
                                name='State'
                                value={formData?.State}
                            >
                                <option  disabled value='0'>State</option>
                                <option value="1">uttar pradesh</option>
                                <option value="2">delhi</option>
                            </select> */}
                                </div>
                                {/* <input
                            className="form-control form-control-sm input_modal"
                            type="text"
                            placeholder="Password"
                            aria-label=".form-control-sm example"
                            onChange={onchangeHandeler}
                            name='Password'
                            value={formData?.Password}
                        /> */}
                                <div className="password-input-container">
                                    <input
                                        className="form-control form-control-sm input_modal"
                                        type={showPassword ? 'text' : 'password'}
                                        placeholder="पासवर्ड"
                                        aria-label=".form-control-sm example"
                                        onChange={onchangeHandeler}
                                        name='Password'
                                        value={formData?.Password}
                                    />
                                    <button
                                        type="button"
                                        onClick={() => setShowPassword(!showPassword)}
                                        className="eye-button"
                                    >
                                        {showPassword ? <IoMdEye fontSize="20px" color='grey' /> : <IoMdEyeOff fontSize="20px" color='grey' />}
                                    </button>
                                </div>
                                {/* <input
                            className="form-control form-control-sm input_modal"
                            type="text"
                            placeholder="Confirm Password"
                            aria-label=".form-control-sm example"
                            onChange={oncomparePassword}
                        /> */}
                                <div className="password-input-container">
                                    <input
                                        className="form-control form-control-sm input_modal"
                                        type={cshowPassword ? 'text' : 'password'}
                                        placeholder="पासवर्ड पुष्टि कीजिये"
                                        aria-label=".form-control-sm example"
                                        onChange={oncomparePassword}
                                    />
                                    <button
                                        type="button"
                                        onClick={() => csetShowPassword(!cshowPassword)}
                                        className="eye-button"
                                    >
                                        {cshowPassword ? <IoMdEye fontSize="20px" color='grey' /> : <IoMdEyeOff fontSize="20px" color='grey' />}
                                    </button>
                                </div>
                                <div className='d-flex justify-content-between mt-3'>
                                    <div>
                                        {error?.length > 0 && <p className='backend_err'>{error}</p>}
                                        {success?.length > 0 && <p className='success_msg'>{success}</p>}
                                    </div>
                                    <button
                                        className='register_btn'
                                        onClick={submitHandeler}
                                    >
                                        पंजीकरण
                                    </button>
                                </div>
                                <p className='toggle_sign mt-0'
                                    onClick={() => toggle(false)}
                                >यदि आपके पास पहले से ही एक खाता है, तो कृपया यहां लॉग इन करें</p>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </>
    )
}

export default Regitration