import React, { useEffect, useState } from 'react';
import { BsFacebook } from 'react-icons/bs';
import { SiTelegram } from "react-icons/si";
import { AiFillInstagram } from 'react-icons/ai';
import { BsYoutube } from 'react-icons/bs';
import './footer.css';
import { useSelector } from 'react-redux';
import { useRouter } from 'next/navigation'

const Footer = () => {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setLocalStorageLanguage] = useState(null);
  const router = useRouter()
  useEffect(() => {
    const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
    setLocalStorageLanguage(localStorageLanguage);
  }, [language]);

  const isEnglish = (!language.loading && language?.language === 'ENGLISH') || (localStorageLanguage === 'ENGLISH');

  return (
    <footer>
      <div className='footer_div mt-3'>
        <div className='container'>
          <div className='row'>
            <div className='col-md-4 widthfooteralign'>
              {/* Empty column */}
            </div>
            <div style={{ margin: '10px', borderTop: '1px solid white', width: '95%' }} className='d-md-none d-block' />
            <div className='col-md-4'>
              <div className='footer_social footer_link_sec'>{isEnglish ? 'CONNECT WITH US' : 'हमारे साथ जुड़िये'}</div>
              <div className='footer_social'>
                <BsFacebook className='social_link' fontSize='25px' />
                <SiTelegram className='social_link' fontSize='30px' />
                <AiFillInstagram className='social_link' fontSize='30px' />
                <BsYoutube className='social_link' fontSize='30px' />
              </div>
              <div style={{ margin: '10px', borderTop: '1px solid white', width: '98%' }} className='d-md-none d-block' />
            </div>
            <div className='col-md-4 ms-md-auto footer_search_div'>
              {/* Empty column */}
            </div>
          </div>
        </div>
      </div>
      <div className='footer_second'>
        <div className='row m-0 px-2'>
          <div className='footer_link_sec text-white p-2 col-md-4 col-6' style={{ cursor: "pointer" }} onClick={() => router.push('/PrivacyPolicy')}>{isEnglish ? 'Privacy Policy' : 'गोपनीयता नीति'}</div>
          <div className='footer_link_sec text-white p-2 col-md-4 col-6 text-center d-none d-md-block'>
            Copyright © 2024 Vijayam. All rights reserved.
          </div>
          <div className='footer_link_sec text-white p-2 col-md-4 col-6 text-md-end text-center'style={{ cursor: "pointer" }} onClick={() => router.push('/TermsConditions')}>
            {isEnglish ? 'Terms & Conditions' : 'नियम एवं शर्तें'}
          </div>
        <div className='footer_link_sec text-white  col-md-4 col-6 text-center d-md-none d-block mb-3 w-100'>
            Copyright © 2024 Vijayam. All rights reserved.
          </div>
        </div>
        </div>
    </footer>
  );
};

export default Footer;
