import React, { useEffect, useState } from "react";
import { BiMenu } from "react-icons/bi";
import { IoIosArrowDown } from "react-icons/io";
import { useRouter } from "next/navigation";
import Menu from "@mui/material/Menu";
import MenuItem from "@mui/material/MenuItem";
import AccountCircleIcon from "@mui/icons-material/AccountCircle";
import VpnKeyIcon from "@mui/icons-material/VpnKey";
import LogoutIcon from "@mui/icons-material/Logout";
import { useDispatch, useSelector } from "react-redux";
import { signOutUser } from "@/redux/action/loginAction";
import DashboardIcon from "@mui/icons-material/Dashboard";
import Avatar from "@mui/material/Avatar";
import { IoCloseSharp } from "react-icons/io5";
import "@/component/header/header.css";
import Image from "next/image";

const HeaderEnglish = () => {
  const user = useSelector((state) => state.loginInfo);
  const language = useSelector((state) => state.language);
  const [toggleMenu, setToggleMenu] = useState(false);
  const [showNenu, setShowMenu] = useState(false);
  const [showNenu1, setShowMenu1] = useState(false);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
  const router = useRouter();
  const dispatch = useDispatch();
  const [anchorEl, setAnchorEl] = useState(null);
  const open = Boolean(anchorEl);
  const handleClick = (event) => {
    setAnchorEl(event.currentTarget);
  };
  const handleClose = () => {
    setAnchorEl(null);
  };

  const showSubMenu = () => {
    setShowMenu(true);
  };

  const hideSubMenu = () => {
    setShowMenu(false);
  };
  const showSubMenu1 = () => {
    setShowMenu1(true);
  };

  const hideSubMenu1 = () => {
    setShowMenu1(false);
  };

  const logoutHandeler = () => {
    dispatch(signOutUser());
    setAnchorEl(null);
  };

  const routeToDashboard = () => {
    if (user?.userResult?.role === "ADMIN") {
      router.push("/admin");
    }
    setAnchorEl(null);
  };

  const HandelProfile = () => {
    router.push("/profile");
    setAnchorEl(null);
  };

  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);

  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <div>
          <div className="header_main">
            <div className="d-flex justify-content-between container">
              <div onClick={() => router.push("/")}>
                <Image
                  src="/image/logo/Vijayamlogo2.png"
                  alt="Logo"
                  className="logo_div"
                  style={{ cursor: "pointer"}}
                  width={160}
                  height={55}
                />
              </div>
              <div className="menu_list">
                <h6 className="menu_item" onClick={() => router.push("/")}>
                  Home
                </h6>
                <h6
                  className="menu_item"
                  onClick={() => router.push("/aboutus")}
                >
                  About Us
                </h6>
                <h6
                  className="menu_item menuitem"
                  onMouseEnter={showSubMenu}
                  onMouseLeave={hideSubMenu}
                >
                  Study Materials{" "}
                  <IoIosArrowDown
                    style={{
                      transform: showNenu && "rotate(180deg)",
                      transition: "all 0.6s ease",
                    }}
                  />
                  {showNenu && (
                    <div className="submenu">
                      <h6
                        className="menu_SubItem"
                        onClick={() => router.push("/subjectwise")}
                      >
                        Subject Wise
                      </h6>
                      <h6 className="menu_SubItem">Class Wise</h6>
                    </div>
                  )}
                </h6>
                <h6
                  className="menu_item menuitem"
                  onMouseEnter={showSubMenu1}
                  onMouseLeave={hideSubMenu1}
                >
                  Practice Questions{" "}
                  <IoIosArrowDown
                    style={{
                      transform: showNenu1 && "rotate(180deg)",
                      transition: "all 0.6s ease",
                    }}
                  />
                  {showNenu1 && (
                    <div className="submenu">
                      <h6
                        className="menu_SubItem"
                        onClick={() => router.push("/PracticeQuestions")}
                      >
                        Subject Wise
                      </h6>
                      <h6
                        className="menu_SubItem"
                        onClick={() => router.push("/quizQuestions")}
                      >
                        Quiz
                      </h6>
                    </div>
                  )}
                </h6>
                <h6
                  className="menu_item"
                  onClick={() => router.push("/contactus")}
                >
                  Contact Us{" "}
                </h6>
                {user?.isLoggedIn && (
                  <h6 className="mt-2 ms-4">
                    <div style={{ position: "relative" }}>
                      <div
                        id="basic-button"
                        aria-controls={open ? "basic-menu" : undefined}
                        aria-haspopup="true"
                        aria-expanded={open ? "true" : undefined}
                        onClick={handleClick}
                      >
                        <Avatar
                          sx={{
                            boxShadow: "2px 2px 15px -6px grey",
                            cursor: "pointer",
                            width: 46,
                            height: 46,
                          }}
                        >
                          {user?.userResult?.name.charAt(0)}
                        </Avatar>
                      </div>
                      <Menu
                        id="basic-menu"
                        anchorEl={anchorEl}
                        open={open}
                        onClose={handleClose}
                        MenuListProps={{
                          "aria-labelledby": "basic-button",
                        }}
                        style={{}}
                      >
                        <MenuItem
                          disabled
                          sx={{ fontSize: "14px", textAlign: "center" }}
                          onClick={handleClose}
                        >
                          {user?.userResult?.name}
                        </MenuItem>
                        {user?.userResult?.role === "ADMIN" && (
                          <MenuItem
                            sx={{ fontSize: "14px" }}
                            onClick={routeToDashboard}
                          >
                            <DashboardIcon fontSize="small" className="me-2" />
                            Dashboard
                          </MenuItem>
                        )}
                        <MenuItem
                          sx={{ fontSize: "14px" }}
                          onClick={HandelProfile}
                        >
                          <AccountCircleIcon
                            fontSize="small"
                            className="me-2"
                          />
                          Profile
                        </MenuItem>
                        <MenuItem
                          sx={{ fontSize: "14px" }}
                          onClick={handleClose}
                        >
                          <VpnKeyIcon fontSize="small" className="me-2" />
                          Change Password
                        </MenuItem>
                        <MenuItem
                          sx={{ fontSize: "14px" }}
                          onClick={() => logoutHandeler()}
                        >
                          <LogoutIcon fontSize="small" className="me-2" />
                          Logout
                        </MenuItem>
                      </Menu>
                    </div>
                  </h6>
                )}
              </div>

              <div className="menu_list_mobile">
                <div className="w-100 d-flex justify-content-end">
                  <p
                    className="toggle_menu"
                    onClick={() => setToggleMenu(!toggleMenu)}
                  >
                    {" "}
                    {toggleMenu ? (
                      <IoCloseSharp fontSize="30px" />
                    ) : (
                      <BiMenu fontSize="30px" />
                    )}
                  </p>
                </div>
                {toggleMenu && (
                  <ul className="nav-menu">
                    <li className="nav-item" onClick={() => router.push("/")}>
                      Home
                    </li>
                    <li
                      className="nav-item"
                      onClick={() => router.push("/aboutus")}
                    >
                      About Us
                    </li>
                    <li
                      className="nav-item menuitem"
                      onMouseEnter={showSubMenu}
                      onClick={() => setShowMenu(!showNenu)}
                      onMouseLeave={hideSubMenu}
                    >
                      Study Materials{" "}
                      <IoIosArrowDown
                        style={{
                          transform: showNenu && "rotate(180deg)",
                          transition: "all 0.6s ease",
                        }}
                      />
                      {showNenu && (
                        <div className="submenu" style={{ marginTop: "-35px" }}>
                          <h6
                            className="menu_SubItem"
                            onClick={() => router.push("/subjectwise")}
                          >
                            Subject Wise
                          </h6>
                          <h6 className="menu_SubItem">Class Wise</h6>
                        </div>
                      )}
                    </li>
                    <li
                      className="nav-item menuitem"
                      onMouseEnter={showSubMenu1}
                      onClick={() => setShowMenu1(!showNenu1)}
                      onMouseLeave={hideSubMenu1}
                    >
                      Practice Questions{" "}
                      <IoIosArrowDown
                        style={{
                          transform: showNenu1 && "rotate(180deg)",
                          transition: "all 0.6s ease",
                        }}
                      />
                      {showNenu1 && (
                        <div className="submenu" style={{ marginTop: "-35px" }}>
                          <h6
                            className="menu_SubItem"
                            onClick={() => router.push("/PracticeQuestions")}
                          >
                            Subject Wise
                          </h6>
                          <h6
                            className="menu_SubItem"
                            onClick={() => router.push("/quizQuestions")}
                          >
                            Quiz
                          </h6>
                        </div>
                      )}
                    </li>
                    <li
                      className="nav-item"
                      onClick={() => router.push("/en/subscription")}
                    >
                      Subscription{" "}
                    </li>
                    <li
                      className="nav-item"
                      onClick={() => router.push("/contactus")}
                    >
                      Contact Us
                    </li>
                    {user?.isLoggedIn && (
                      <li className="nav-item d-flex justify-content-center">
                        <div style={{ position: "relative" }}>
                          <div
                            id="basic-button"
                            aria-controls={open ? "basic-menu" : undefined}
                            aria-haspopup="true"
                            aria-expanded={open ? "true" : undefined}
                            onClick={handleClick}
                          >
                            <Avatar
                              sx={{
                                boxShadow: "2px 2px 15px -6px grey",
                                cursor: "pointer",
                                width: 46,
                                height: 46,
                              }}
                            >
                              {user?.userResult?.name.charAt(0)}
                            </Avatar>
                          </div>
                          <Menu
                            id="basic-menu"
                            anchorEl={anchorEl}
                            open={open}
                            onClose={handleClose}
                            MenuListProps={{
                              "aria-labelledby": "basic-button",
                            }}
                          >
                            <MenuItem
                              disabled
                              sx={{ fontSize: "14px", textAlign: "center" }}
                              onClick={handleClose}
                            >
                              {user?.userResult?.name}
                            </MenuItem>
                            {user?.userResult?.role === "ADMIN" && (
                              <MenuItem
                                sx={{ fontSize: "14px" }}
                                onClick={routeToDashboard}
                              >
                                <DashboardIcon
                                  fontSize="small"
                                  className="me-2"
                                />
                                Dashboard
                              </MenuItem>
                            )}
                            <MenuItem
                              sx={{ fontSize: "14px" }}
                              onClick={HandelProfile}
                            >
                              <AccountCircleIcon
                                fontSize="small"
                                className="me-2"
                              />
                              Profile
                            </MenuItem>
                            <MenuItem
                              sx={{ fontSize: "14px" }}
                              onClick={handleClose}
                            >
                              <VpnKeyIcon fontSize="small" className="me-2" />
                              Change Password
                            </MenuItem>
                            <MenuItem
                              sx={{ fontSize: "14px" }}
                              onClick={() => logoutHandeler()}
                            >
                              <LogoutIcon fontSize="small" className="me-2" />
                              Logout
                            </MenuItem>
                          </Menu>
                        </div>
                      </li>
                    )}
                  </ul>
                )}
              </div>
            </div>
          </div>
        </div>
      ) : (
        // ------------------------------------  Hindi Section -----------------------------------------------
        <div>
          <div className="header_main">
            <div className="d-flex justify-content-between container">
              <div onClick={() => router.push("/")}>
                <Image
                  src="/image/logo/Vijayamlogo2.png"
                  alt="Logo"
                  className="logo_div"
                  style={{ cursor: "pointer"}}
                  width={160}
                  height={55}
                />
              </div>
              <div className="menu_list">
                <h6 className="menu_item" onClick={() => router.push("/")}>
                  मुख्य पृष्ठ
                </h6>
                <h6
                  className="menu_item"
                  onClick={() => router.push("/aboutus")}
                >
                  हमारे बारे में
                </h6>
                <h6
                  className="menu_item menuitem"
                  onMouseEnter={showSubMenu}
                  onMouseLeave={hideSubMenu}
                >
                  अध्ययन सामग्री
                  <IoIosArrowDown
                    style={{
                      transform: showNenu && "rotate(180deg)",
                      transition: "all 0.6s ease",
                    }}
                  />
                  {showNenu && (
                    <div className="submenu">
                      <h6
                        className="menu_SubItem"
                        onClick={() => router.push("/subjectwise")}
                      >
                        विषयानुसार
                      </h6>
                      <h6 className="menu_SubItem">कक्षानुसार</h6>
                    </div>
                  )}
                </h6>
                <h6
                  className="menu_item menuitem"
                  onMouseEnter={showSubMenu1}
                  onMouseLeave={hideSubMenu1}
                >
                  अभ्यास प्रश्न
                  <IoIosArrowDown
                    style={{
                      transform: showNenu1 && "rotate(180deg)",
                      transition: "all 0.6s ease",
                    }}
                  />
                  {showNenu1 && (
                    <div className="submenu">
                      <h6
                        className="menu_SubItem"
                        onClick={() => router.push("/PracticeQuestions")}
                      >
                        विषयानुसार
                      </h6>
                      <h6
                        className="menu_SubItem"
                        onClick={() => router.push("/quizQuestions")}
                      >
                        प्रश्नोत्तरी
                      </h6>
                    </div>
                  )}
                </h6>
                <h6
                  className="menu_item"
                  onClick={() => router.push("/contactus")}
                >
                  हमसे संपर्क करें
                </h6>
                {user?.isLoggedIn && (
                  <h6 className="mt-2 ms-4">
                    <div style={{ position: "relative" }}>
                      <div
                        id="basic-button"
                        aria-controls={open ? "basic-menu" : undefined}
                        aria-haspopup="true"
                        aria-expanded={open ? "true" : undefined}
                        onClick={handleClick}
                      >
                        <Avatar
                          sx={{
                            boxShadow: "2px 2px 15px -6px grey",
                            cursor: "pointer",
                            width: 46,
                            height: 46,
                          }}
                        >
                          {user?.userResult?.name.charAt(0)}
                        </Avatar>
                      </div>
                      <Menu
                        id="basic-menu"
                        anchorEl={anchorEl}
                        open={open}
                        onClose={handleClose}
                        MenuListProps={{
                          "aria-labelledby": "basic-button",
                        }}
                      >
                        <MenuItem
                          disabled
                          sx={{ fontSize: "14px", textAlign: "center" }}
                          onClick={handleClose}
                        >
                          {user?.userResult?.name}
                        </MenuItem>
                        {user?.userResult?.role === "ADMIN" && (
                          <MenuItem
                            sx={{ fontSize: "14px" }}
                            onClick={routeToDashboard}
                          >
                            <DashboardIcon fontSize="small" className="me-2" />
                            डैशबोर्ड
                          </MenuItem>
                        )}
                        <MenuItem
                          sx={{ fontSize: "14px" }}
                          onClick={HandelProfile}
                        >
                          <AccountCircleIcon
                            fontSize="small"
                            className="me-2"
                          />
                          प्रोफ़ाइल
                        </MenuItem>
                        <MenuItem
                          sx={{ fontSize: "14px" }}
                          onClick={handleClose}
                        >
                          <VpnKeyIcon fontSize="small" className="me-2" />
                          पासवर्ड बदलें
                        </MenuItem>
                        <MenuItem
                          sx={{ fontSize: "14px" }}
                          onClick={() => logoutHandeler()}
                        >
                          <LogoutIcon fontSize="small" className="me-2" />
                          लॉग आउट
                        </MenuItem>
                      </Menu>
                    </div>
                  </h6>
                )}
              </div>

              <div className="menu_list_mobile">
                <p
                  className="toggle_menu"
                  onClick={() => setToggleMenu(!toggleMenu)}
                >
                  {" "}
                  <BiMenu fontSize="30px" />
                </p>
                {toggleMenu && (
                  <ul className="nav-menu">
                    <li className="nav-item" onClick={() => router.push("/")}>
                      होम
                    </li>
                    <li
                      className="nav-item"
                      onClick={() => router.push("/aboutus")}
                    >
                      हमारे बारे में
                    </li>
                    <li
                      className="nav-item menuitem"
                      onMouseEnter={showSubMenu}
                      onClick={() => setShowMenu(!showNenu)}
                      onMouseLeave={hideSubMenu}
                    >
                      अध्ययन सामग्री
                      <IoIosArrowDown
                        style={{
                          transform: showNenu && "rotate(180deg)",
                          transition: "all 0.6s ease",
                        }}
                      />
                      {showNenu && (
                        <div className="submenu" style={{ marginTop: "-35px" }}>
                          <h6
                            className="menu_SubItem"
                            onClick={() => router.push("/subjectwise")}
                          >
                            विषयानुसार
                          </h6>
                          <h6 className="menu_SubItem">कक्षानुसार</h6>
                        </div>
                      )}
                    </li>
                    <li
                      className="nav-item menuitem"
                      onMouseEnter={showSubMenu1}
                      onClick={() => setShowMenu1(!showNenu1)}
                      onMouseLeave={hideSubMenu1}
                    >
                      अभ्यास प्रश्न
                      <IoIosArrowDown
                        style={{
                          transform: showNenu1 && "rotate(180deg)",
                          transition: "all 0.6s ease",
                        }}
                      />
                      {showNenu1 && (
                        <div className="submenu" style={{ marginTop: "-35px" }}>
                          <h6
                            className="menu_SubItem"
                            onClick={() => router.push("/PracticeQuestions")}
                          >
                            विषयानुसार
                          </h6>
                          <h6
                            className="menu_SubItem"
                            onClick={() => router.push("/quizQuestions")}
                          >
                            प्रश्नोत्तरी(क्विज)
                          </h6>
                        </div>
                      )}
                    </li>
                    <li
                      className="nav-item"
                      onClick={() => router.push("/en/subscription")}
                    >
                      सब्स्क्रिप्शन{" "}
                    </li>
                    <li
                      className="nav-item"
                      onClick={() => router.push("/contactus")}
                    >
                      हमसे संपर्क करें
                    </li>
                    {user?.isLoggedIn && (
                      <li className="nav-item d-flex justify-content-center">
                        <div style={{ position: "relative" }}>
                          <div
                            id="basic-button"
                            aria-controls={open ? "basic-menu" : undefined}
                            aria-haspopup="true"
                            aria-expanded={open ? "true" : undefined}
                            onClick={handleClick}
                          >
                            <Avatar
                              sx={{
                                boxShadow: "2px 2px 15px -6px grey",
                                cursor: "pointer",
                                width: 46,
                                height: 46,
                              }}
                            >
                              {user?.userResult?.name.charAt(0)}
                            </Avatar>
                          </div>
                          <Menu
                            id="basic-menu"
                            anchorEl={anchorEl}
                            open={open}
                            onClose={handleClose}
                            MenuListProps={{
                              "aria-labelledby": "basic-button",
                            }}
                          >
                            <MenuItem
                              disabled
                              sx={{ fontSize: "14px", textAlign: "center" }}
                              onClick={handleClose}
                            >
                              {user?.userResult?.name}
                            </MenuItem>
                            {user?.userResult?.role === "ADMIN" && (
                              <MenuItem
                                sx={{ fontSize: "14px" }}
                                onClick={routeToDashboard}
                              >
                                <DashboardIcon
                                  fontSize="small"
                                  className="me-2"
                                />
                                डैशबोर्ड
                              </MenuItem>
                            )}
                            <MenuItem
                              sx={{ fontSize: "14px" }}
                              onClick={HandelProfile}
                            >
                              <AccountCircleIcon
                                fontSize="small"
                                className="me-2"
                              />
                              प्रोफ़ाइल
                            </MenuItem>
                            <MenuItem
                              sx={{ fontSize: "14px" }}
                              onClick={handleClose}
                            >
                              <VpnKeyIcon fontSize="small" className="me-2" />
                              पासवर्ड बदलें
                            </MenuItem>
                            <MenuItem
                              sx={{ fontSize: "14px" }}
                              onClick={() => logoutHandeler()}
                            >
                              <LogoutIcon fontSize="small" className="me-2" />
                              लॉग आउट
                            </MenuItem>
                          </Menu>
                        </div>
                      </li>
                    )}
                  </ul>
                )}
              </div>
            </div>
          </div>
        </div>
      )}
    </>
  );
};

export default HeaderEnglish;
