'use client'
import React, { useEffect, useState } from 'react'
// import "./header.css"
import { useRouter, usePathname } from 'next/navigation'
import { FaPowerOff } from 'react-icons/fa';
import { MdOutlineSubscriptions } from "react-icons/md";
import { RiLoginCircleFill } from "react-icons/ri";
import { MdAppRegistration } from "react-icons/md";
import Login from '../auth/Login';
import Regitration from '../auth/Regitration';
import { useDispatch, useSelector } from 'react-redux';
import { changeLanguadge } from '@/redux/action/LanguageAction';
import useFullScreen from '../Exampanel/useFullScreen';
import { BiExitFullscreen, BiFullscreen } from 'react-icons/bi';


const HeaderTop = () => {
    const user = useSelector((state) => state.loginInfo)
    const language = useSelector((state) => state.language)
    const router = useRouter()
    const path = usePathname()
    const dispatch = useDispatch()
    const [toggleAuth, setToggleAuth] = useState(false)
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null)
    const [isFullScreen, requestFullScreen, cancelFullScreen] = useFullScreen();
    const ontoggleAuth = (val) => {
        setToggleAuth(val)
    }

    const englishHandeler = (e) => {
        dispatch(changeLanguadge(e.target.value))
        // router.push(path.replace("hi", "en"))
        localStorage.setItem("language", "ENGLISH")
    }
    const hindiHandeler = (e) => {
        dispatch(changeLanguadge(e.target.value))
        // router.push(path.replace("en", "hi"))
        localStorage.setItem("language", "HINDI")
    }

    useEffect(() => {
        const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
        setlocalStorageLanguage(localStorageLanguage)
    }, [language])

    useEffect(() => {
        if (!path?.includes('portel') && !path?.includes('examPanel')) {
            cancelFullScreen();
        }
    }, [path, cancelFullScreen]);

    return (
        <header>
            <div className='header-top'>
                <div className='container d-flex justify-content-between'>
                    <div>
                        <button type="button" className='select_button' style={{ backgroundColor: localStorageLanguage === "ENGLISH" && "#52ab98" }} value='ENGLISH' onClick={(e) => englishHandeler(e)}>
                            English
                        </button>
                        <button type="button" className='select_button' style={{ backgroundColor: localStorageLanguage === "HINDI" && "#52ab98" }} value='HINDI' onClick={(e) => hindiHandeler(e)}>
                            हिन्दी
                        </button>
                    </div>
                    {path?.includes('portel') || path?.includes('examPanel') ?
                        <div className="fw-bold">
                            {isFullScreen ? (
                                <BiExitFullscreen
                                    onClick={cancelFullScreen}
                                    style={{ cursor: "zoom-out",color:"white" }}
                                    size={30}
                                    title={localStorageLanguage === "ENGLISH"?"Exit Full Screen ":"फुल स्क्रीन से बाहर निकलें"}
                                />
                            ) : (
                                <BiFullscreen
                                    onClick={requestFullScreen}
                                    style={{ cursor: "zoom-in",color:"white" }}
                                    size={30}
                                    title={localStorageLanguage === "ENGLISH"?"Full Screen":"फुल स्क्रीन"}
                                />
                            )}
                        </div>
                        :
                        <div className='d-flex gap-2'>
                           <div className='login_btn_div me-2 d-none d-md-block' onClick={() => router.push('/en/subscription')}><MdOutlineSubscriptions color='white' /><span className='login_btn'>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? "Subscribe" : "सदस्यता लें"} </span></div>

                            {!user?.isLoggedIn && <div className='login_btn_div' data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                                <FaPowerOff color='white' /><span className='login_btn'>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? "Login" : "लॉग-इन"}</span>
                            </div>}

                            {!user?.isLoggedIn && <div className='login_btn_div d-none d-md-block' data-bs-toggle="modal" data-bs-target="#staticBackdrop" onClick={() => setToggleAuth(true)}>
                                <MdAppRegistration color='white' /><span className='login_btn'>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? "Register" : "पंजीकरण करें"}</span>
                            </div>}
                        </div>
                    }



                    <div className="modal fade " id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                        <div className="modal-dialog modal-dialog-centered modal-lg">
                            <div className="modal-content">
                                {toggleAuth &&
                                    <Regitration toggle={ontoggleAuth} />
                                }
                                {!toggleAuth &&
                                    <Login toggle={ontoggleAuth} />
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
    )
}

export default HeaderTop

