
'use client'
import * as React from 'react';
import "./homepage.css"
import Tabs from '@mui/material/Tabs';
import Tab from '@mui/material/Tab';
import Box from '@mui/material/Box';
import Updates from '../Latest/Updates';
import Publications from '../Latest/Publications';
import PressRelese from '../Latest/PressRelese';
import PressAdvisories from '../Latest/PressAdvisories';
import { useSelector } from 'react-redux'
import QuizUpdates from '../Latest/QuizUpdate';

export default function Lateste() {
  const [value, setValue] = React.useState('one');
  const [clientLanguage, setClientLanguage] = React.useState(null);
  const language = useSelector((state) => state.language);

  React.useEffect(() => {
    const localStorageLanguage = localStorage.getItem('language');
    if (localStorageLanguage) {
      setClientLanguage(localStorageLanguage);
    } else if (!language.loading && language?.language) {
      setClientLanguage(language.language);
    }
  }, [language]);

  const handleChange = (event, Value) => {
    setValue(Value);
  };

  const getLabel = (englishLabel, hindiLabel) => {
    if (clientLanguage === "ENGLISH") {
      return englishLabel;
    }
    return hindiLabel;
  };

  return (
    <div>
      <Box className="pt-3">
        <Tabs
          value={value}
          onChange={handleChange}
          textColor="secondary"
          indicatorColor="secondary"
          aria-label="secondary tabs example"
          className='tab_div border-bottom'
        >
          <Tab value="one" label={getLabel("Study", "अध्ययन")} />
          <Tab value="two" label={getLabel("Practice", "अभ्यास")} />
          <Tab value="three" label={getLabel("Quiz", "प्रश्नोत्तरी")} />
        </Tabs>
        <div className="scroll">
          {value === "one" && <Updates />}
          {value === "two" && <Publications />}
          {value === "three" && <QuizUpdates />}
        </div>
      </Box>
    </div>
  );
}
