"use client"
import HomePageServices from '@/Services/HomePageServices';
import React, { useEffect, useState } from 'react';
import { useSelector } from 'react-redux'
import { Navigation, Pagination, Scrollbar, A11y } from 'swiper/modules';
import { styled } from '@mui/material/styles';
import Dialog from '@mui/material/Dialog';
import DialogTitle from '@mui/material/DialogTitle';
import DialogContent from '@mui/material/DialogContent';
import { Swiper, SwiperSlide } from 'swiper/react';
import IconButton from '@mui/material/IconButton';
import CloseIcon from '@mui/icons-material/Close';
// Import Swiper styles
import 'swiper/css';
import 'swiper/css/navigation';
import 'swiper/css/pagination';
import { IoIosArrowBack, IoIosArrowForward } from 'react-icons/io';
// import 'swiper/css/scrollbar';
// import "./slider.css"



const BootstrapDialog = styled(Dialog)(({ theme }) => ({
    '& .MuiDialogContent-root': {
        padding: theme.spacing(2),
    },
    '& .MuiDialogActions-root': {
        padding: theme.spacing(1),
    },
}));



const Sloks = () => {
    const language = useSelector((state) => state.language)
    const [modledata, setmodledata] = useState({});
    const [open, setOpen] = React.useState(false);
    const [data, setData] = useState();
    const [swiper, setswiper] = useState();
    const [localStorageLanguage, setlocalStorageLanguage] = useState(null)

    useEffect(() => {
        const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;
        setlocalStorageLanguage(localStorageLanguage)
        HomePageServices.getUpcomingUpdateforuser().then(({ data }) => {
            setData(data.data);
        }).catch((err) => {
            console.log(err.response.data);
        });
    }, [language]);
    const handleClickOpen = (ele) => {
        setOpen(true);
        setmodledata(ele)
    };
    const handleClose = () => {
        setOpen(false);
    };
    return (
        <>

            {<div className='container mt-4'>
                <h3 className='calender_title p-2'>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? "Upcoming Subjects" : "आगामी विषय"}</h3>
            </div>}
            <div className='container'>
                <div className='main_swiper'>
                    <div className="">
                        <div className="swiper-button image-swiper-button-next2 ">
                            <IoIosArrowForward className='iconHandel' />
                        </div>
                        <div className="swiper-button image-swiper-button-prev">
                            <IoIosArrowBack className='iconHandel' />
                        </div>
                    </div>
                    <Swiper
                        spaceBetween={30}
                        slidesPerView={1}
                        navigation={{
                            nextEl: ".image-swiper-button-next2",
                            prevEl: ".image-swiper-button-prev",
                            disabledClass: "swiper-button-disabled"
                        }}
                        className="mySwiper p-3 mt-0"
                        modules={[Navigation]}
                        onSwiper={(swiper) => setswiper(swiper)}
                        breakpoints={{
                            499: {
                                slidesPerView: 1,
                                spaceBetween: 30,
                            },
                            500: {
                                slidesPerView: 2,
                                spaceBetween: 30,
                            },
                            768: {
                                slidesPerView: 3,
                                spaceBetween: 30,
                            },
                            1024: {
                                slidesPerView: 4,
                                spaceBetween: 30,
                            },
                            1440: {
                                slidesPerView: 4,
                                spaceBetween: 45,
                            },
                        }}
                    >
                        {data?.map((ele, i) => {
                            return <div className="" key={i}>
                                <SwiperSlide key={i}>
                                    <div className="upcoming_member_card" >
                                        <div className="upcoming_member_card1">
                                            <p className='text_card'>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? ele.Title_E : ele.Title_H}</p>
                                            <p className='text_card2'>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? ele.Texts_E : ele.Texts_H}</p>
                                        </div>
                                    </div>
                                </SwiperSlide>
                            </div>
                        })}

                    </Swiper>

                </div>
            </div>
        </>
    );
};
export default Sloks