"use client"
import React, { useEffect, useState } from 'react'
import "../css/usefulllinks.css"
import HomePageServices from '@/Services/HomePageServices'
import { toast } from 'react-toastify'
import { MdArrowOutward } from "react-icons/md";
import { useSelector } from 'react-redux'
import Box from '@mui/material/Box';
import Drawer from '@mui/material/Drawer';
import Button from '@mui/material/Button';
import List from '@mui/material/List';
import Divider from '@mui/material/Divider';
import { MdClose } from 'react-icons/md';


const UsefullLinks = () => {
    const language = useSelector((state) => state.language)
    const [UsefullLinkList, setUsefullLinkList] = useState(null)
    useEffect(() => {
        HomePageServices.getUsefullLinkforuser().then(({ data }) => {
            setUsefullLinkList(data?.data);
            toast.success(data.data.message)
        }).catch((err) => {
            toast.error(err.response.data.err)
        })
    }, [])

    const [state, setState] = React.useState({
        bottom: false,
    });

    const toggleDrawer = (anchor, open) => (event) => {
        if (event.type === 'keydown' && (event.key === 'Tab' || event.key === 'Shift')) {
            return;
        }

        setState({ ...state, [anchor]: open });
    };

    const list = (anchor) => (
        <Box
            sx={{ width: anchor === 'bottom' ? 'auto' : 250, height: anchor === 'bottom' ? 500 : 250, overflow: "auto", width: "auto", marginTop: "20px", borderRadius:"10px" }}
            role="presentation"
            // onClick={(event) => toggleDrawer(anchor, false)(event)}
            onKeyDown={toggleDrawer(anchor, false)}
        >
            <div style={{ display: 'flex', justifyContent: 'space-between', alignItems: 'center', paddingRight: "20px" }}>
                <h1 style={{ marginLeft: "20px" }}>{(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? "Useful Links" : "उपयोगी लिंक"}</h1>
                <MdClose style={{ cursor: 'pointer', fontSize: "20px", }} onClick={(event) => toggleDrawer(anchor, false)(event)} />
            </div>

            <div className='row m-0 py-3'>
                {UsefullLinkList?.length > 0 && UsefullLinkList?.map((el, i) => {
                    return (
                        <div className='col-md-4 p-0 m-0 py-1' key={i}>
                            <a href={`${el.Link}`} target='_blank'>
                                <button className="css-button-sliding-to-bottom--green p-1 mx-3 ">
                                        <p className='m-0 p-0'> {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ? el.LinkTitle_E : el.LinkTitle_H} <MdArrowOutward style={{ color: "green" }} /> </p>
                                </button>
                            </a>
                        </div>
                    )
                })}
            </div>

        </Box>
    );

    const localStorageLanguage = typeof localStorage !== 'undefined' ? localStorage.getItem('language') : null;

    return (
        <>
            {(!language.loading && language?.language == "ENGLISH") || (localStorageLanguage == "ENGLISH") ?
                <div className='container'>
                    <div className='usefullLinks p-0 m-0'>
                        <div className='row m-0 p-0'>
                            {UsefullLinkList?.length > 0 && UsefullLinkList.slice(0, 6).map((el, i) => {
                                return (

                                    <div className='col-md-4 p-0 m-0 ' key={i}>
                                        <a href={`${el.Link}`} target='_blank'>
                                            <button className="css-button-sliding-to-bottom--green  mx-3 my-1">
                                                    <p className='mb-0'>{el.LinkTitle_E} <MdArrowOutward style={{ color: "green" }} /> </p>
                                            </button>
                                        </a>
                                    </div>
                                )
                            })}
                            <div style={{ textAlign: 'center', marginTop: '10px', padding: "5px" }}>
                                {['bottom'].map((anchor) => (
                                    <React.Fragment key={anchor}>
                                        <Button onClick={toggleDrawer('bottom', true)}>View All</Button>
                                        <Drawer
                                            anchor={anchor}
                                            open={state[anchor]}
                                            onClose={toggleDrawer(anchor, false)}
                                        >
                                            {list(anchor)}
                                        </Drawer>
                                    </React.Fragment>
                                ))}
                            </div>
                        </div>
                    </div>
                </div>
                :
                <div className='container'>
                    <div className='usefullLinks p-0 m-0'>
                        <div className='row m-0 p-0'>
                            {UsefullLinkList?.length > 0 &&  UsefullLinkList.slice(0, 6).map((el, i) => {
                                return (

                                    <div className='col-md-4 p-0 m-0' key={i}>
                                        <a href={`${el.Link}`} target='_blank'>
                                            <button className="css-button-sliding-to-bottom--green p-2 m-3">
                                                <span className='' >
                                                    <p>{el.LinkTitle_H} <MdArrowOutward style={{ color: "green" }} /> </p>
                                                </span>
                                            </button>
                                        </a>
                                    </div>
                                )
                            })}
                            <div style={{ textAlign: 'center', marginTop: '10px', padding: "5px" }}>
                                {['bottom'].map((anchor) => (
                                    <React.Fragment key={anchor}>
                                        <Button onClick={toggleDrawer('bottom', true)}>View All</Button>
                                        <Drawer
                                            anchor={anchor}
                                            open={state[anchor]}
                                            onClose={toggleDrawer(anchor, false)}
                                        >
                                            {list(anchor)}
                                        </Drawer>
                                    </React.Fragment>
                                ))}
                            </div>
                        </div>
                    </div>
                </div>
            }
        </>
    )
}

export default UsefullLinks