"use client";
import { Box, Paper } from "@mui/material";
import React, { useEffect, useState } from "react";
import Radio from "@mui/material/Radio";
import RadioGroup from "@mui/material/RadioGroup";
import FormControlLabel from "@mui/material/FormControlLabel";
import "./format.css";
import { useSelector } from "react-redux";

function Format001({
  quesNo,
  answerUpdate,
  question,
  HindiAnswer,
  EnglishAnswer,
  isRead,
}) {
  const language = useSelector((state) => state.language);
  const [localStorageLanguage, setlocalStorageLanguage] = useState(null);
const [index,setIndex] = useState()

  const optionHindi = [
    question?.OptionHindi1,
    question?.OptionHindi2,
    question?.OptionHindi3,
    question?.OptionHindi4,
  ];
  const optionEnglish = [
    question?.OptionEnglish1,
    question?.OptionEnglish2,
    question?.OptionEnglish3,
    question?.OptionEnglish4,
  ];
  const handleChange = (event,i) => {
    if(!isRead){
   setIndex(i)
    if (answerUpdate) {
      const obj = {
       HindiAnswer: optionHindi[i],
     EnglishAnswer: optionEnglish[i]
      }
      answerUpdate(obj);
    }
  }
  };
  useEffect(()=>{
    setIndex()
  },[question?.QuestionId])
  useEffect(() => {
    const localStorageLanguage =
      typeof localStorage !== "undefined"
        ? localStorage.getItem("language")
        : null;
    setlocalStorageLanguage(localStorageLanguage);
  }, [language]);
  return (
    <>
      {(!language.loading && language?.language == "ENGLISH") ||
      localStorageLanguage == "ENGLISH" ? (
        <Paper
          elevation={4}
          className="p-2 p-md-3"
          style={{ height: "auto", overflow: "auto" }}
          key={question?.QuestionId}
        >
          <h6 className="ques_title">
            <span className="question_format_heading">Question Number {quesNo} : <span dangerouslySetInnerHTML={{ __html:  question?.QuestionTitleEnglish }}/></span>
          </h6>
          <div className="p-2 p-md-3">
            {optionEnglish.map((ele, i) => (
              <div
                className="d-flex flex-row mt-1"
                key={i}
                value={i}
                onClick={(e) => handleChange(e,i)}
              >
                <div className={(EnglishAnswer==ele || index ==i) ?'optionlistSelected' :'optionlist'}>
                  <div className="row m-0 p-0">
                    <div className="col-md-1 col-2 p-0 d-flex align-items-center">
                    <div className="questionIndex optionRemoveSpace1">{i + 1}</div>
                    </div>
                    <div className="col-md-11 col-10 p-0">
                    <div className="question_format_options optionRemoveSpace">{ele}</div>
                    </div>
                  </div>
                 
                  
                </div>
              </div>
            ))}
          </div>
          {isRead && <p className="question_format_options">{question?.EnglishQueExplanation}</p>}
        </Paper>
      ) : (
        <Paper
          elevation={4}
          className="p-2 p-md-3"
          style={{ height: "auto", overflow: "auto" }}
        >
          <h6 className="ques_title">
            <span className="question_format_heading"> प्रश्न संख्या {quesNo} : <span dangerouslySetInnerHTML={{ __html:  question?.QuestionTitleHindi }}/></span>
          </h6>
          <div className="p-md-3 p-2">
          {optionHindi.map((ele, i) => (
              <div
                className="d-flex flex-row mt-2"
                key={i}
                value={i}
                onClick={(e) => handleChange(e,i)}
              >
                <div className={(HindiAnswer==ele|| index ==i) ?'optionlistSelected' :'optionlist'}>
                <div className="row m-0 p-0">
                    <div className="col-md-1 col-2 p-0 d-flex align-items-center">
                    <div className="questionIndex optionRemoveSpace1">{i + 1}</div>
                    </div>
                    <div className="col-md-11 col-10 p-0">
                    <div className="question_format_options optionRemoveSpace">{ele}</div>
                    </div>
                  </div>
                </div>
              </div>
            ))}
          </div>
          {isRead && <p className="question_format_options">{question?.HindiQueExplanation}</p>}
        </Paper>
      )}
    </>
  );
}

export default Format001;
