
import ExamSheetServices from "@/Services/ExamSheetServices";
import {
    EXAM_SHEET_FETCH_ERROR,
    EXAM_SHEET_FETCH_REQUEST,
    EXAM_SHEET_FETCH_SUCCESS,
    EXAM_SHEET_CREATE_ERROR,
    EXAM_SHEET_CREATE_REQUEST,
    EXAM_SHEET_CREATE_SUCCESS,
    CLEAR_ANSWER,
    PRACTICE_ANSWER

  } from "../type/examSheetType";

export const answerSheetCreate = (payload) => {
    return function (dispatch) {
      dispatch({
        type: EXAM_SHEET_CREATE_REQUEST,
        loading: true,
      });
     ExamSheetServices.createExamSheet(payload)
        .then((res) => {
          dispatch({
            type: EXAM_SHEET_CREATE_SUCCESS,
            loading: false,
            ExamSheetAns: res.data.ExamSheetAns,
            ExamSheetData: res.data.ExamSheetData,
            msg: res.data.message,
            msgType: res.data.success,
          });
        })
        .catch((error) => {
          dispatch({
            type: EXAM_SHEET_CREATE_ERROR,
            loading: false,
            error: error,
          });
        });
    };
  }
  export const fetchAnswerSheet = (QuizId) => {
    // const token = localStorage.getItem("etoken");
  
    return function (dispatch) {
      dispatch({
        type: EXAM_SHEET_FETCH_REQUEST,
        loading: true,
      });
     ExamSheetServices.fetchExamSheet(QuizId)
        .then((res) => {
          dispatch({
            type: EXAM_SHEET_FETCH_SUCCESS,
            loading: false,
            historyExamAns: res.data.historyExamSheetAns,
            examSheet: res.data.examSheet,
            msg: res.data.message,
            msgType: res.data.success,
            fetchStatus: false,
          });
        })
        .catch((error) => {
          dispatch({
            type: EXAM_SHEET_FETCH_ERROR,
            loading: false,
            error: error,
          });
        });
    };
  };
  export function updateAnswer(ans) {
    return (dispatch) => dispatch({ type: PRACTICE_ANSWER, data: ans });
  }
  export function clearAnswer() {
    return (dispatch) => dispatch({ type: CLEAR_ANSWER });
  }
  
  
