import {
    SIGNIN_USER_REQUEST,
    SIGNIN_USER_SUCCESS,
    SIGNIN_USER_ERROR,

    SIGNOUT_USER,

    SIGNUP_USER_REQUEST,
    SIGNUP_USER_SUCCESS,
    SIGNUP_USER_ERROR,

    SET_CURRENT_USER,

    FETCHED_USER,
    FETCHING_USER_INFO,

} from "../type/login";

import setAuthorizationToken from "./setAuthorization";
import AuthServices from "@/Services/AuthServices";
import { setToken } from "@/utils/Token";

export const getUserInfo = () => {
    return dispatch => {
        AuthServices.verifyToken()
            .then(({ data }) => {
                dispatch({
                    type: FETCHED_USER,
                    payload: data
                });
            })
            .catch(err => {
                console.log(err);
                // dispatch(signOutUser());
            })
    };
}

export const signinUser = (email, password) => {
    const data = {
        email: email,
        password: password,
    }
    return function (dispatch) {
        dispatch({
            type: SIGNIN_USER_REQUEST,
            loading: true,
        });
        AuthServices.login(data)
            .then((res) => {
                if (res.data.success) {
                    const etoken = res.data.token;
                    setToken(etoken)
                    localStorage.setItem("language",res?.data?.mode)
                    setAuthorizationToken(etoken);
                    dispatch({
                        type: SIGNIN_USER_SUCCESS,
                        payload: res.data.msg,
                        msgType: res.data.msg,
                        loading: false,
                    });
                    // else
                    //   window.location.href = "/";
                } else {
                    dispatch({
                        type: SIGNIN_USER_SUCCESS,
                        isLoggedIn: false,
                        msgType: res.data.error,
                        loading: false,
                    });
                }
            })
            .catch((error) => {
                dispatch({
                    type: SIGNIN_USER_ERROR,
                    loading: false,
                    payload: error?.response?.data?.error || error.message,
                });
            });
    };
};


export const signOutUser = () => {
    return function (dispatch) {
        document.cookie = 'token=""'
        setAuthorizationToken(false);
        dispatch({
            type: SIGNOUT_USER,
            payload: true,
        });

        window.location.href = "/";
    };
};


