import {

    QUIZ_FETCH_REQUEST,
    QUIZ_FETCH_SUCCESS,
    QUIZ_FETCH_ERROR,
  } from "../type/quizType";
import QuizServices from "@/Services/QuizServices";

export const fetchQuizById = (quizId) => {
    return function (dispatch) {
      dispatch({
        type: QUIZ_FETCH_REQUEST,
        loading: true,
      });
      QuizServices.getOneQuizWithQuestion(quizId)
        .then((res) => {
          dispatch({
            type: QUIZ_FETCH_SUCCESS,
            loading: false,
            result: res.data.quizFullDetails,
            msg: res.data.message,
            msgType: res.data.success,
            fetchStatus: true,
          });
        })
        .catch((error) => {
          dispatch({
            type: QUIZ_FETCH_ERROR,
            loading: false,
            error: error,
          });
        });
    };
  };