import {
    SIGNOUT_USER,
    SIGNIN_USER_ERROR,
    SIGNIN_USER_REQUEST,
    SIGNIN_USER_SUCCESS,
    SIGNUP_USER_ERROR,
    SIGNUP_USER_REQUEST,
    SIGNUP_USER_SUCCESS,
    UPDATE_STATUS,
    SET_CURRENT_USER,
    FETCHED_USER,
    SIGNUP_NEW_CLEAR
} from '../type/login';

const initialState = {
    isLoggedIn: false,
    loading: false,
    email: '',
    password: '',
    action: 'Signin',
    userData: {},
    status: "",
    msg: '',
    msgType: "",
    newSignup: false,
    profile: "",
}

const loginReducer = (state = initialState, action) => {

    switch (action.type) {
        case SIGNIN_USER_REQUEST:
            return {
                ...state,
                loading: action.loading,
                msg: "",
                msgType: "",
            }
        case SIGNIN_USER_SUCCESS:
            return {
                ...state,
                msg: action.payload,
                isLoggedIn: true,
                loading: action.loading,
                msgType: "success",
            }
        case SIGNIN_USER_ERROR:
            return {
                ...state,
                isLoggedIn: false,
                msg: action.payload,
                msgType: "error",
                loading: action.loading
            }
        case FETCHED_USER:
            return {
                ...state,
                userResult: action.payload,
                isLoggedIn: true,
            }
        case SIGNOUT_USER:
            return initialState
        default:
            return state;
    }

}

export default loginReducer;