import { createStore, applyMiddleware, combineReducers } from 'redux';
import loginReducer from '../reducer/loginReducer';
import quizReducer from '../reducer/quizReducer';
import questionsReducer from '../reducer/QuizQuestionReducer';
import answerSheetReducer from '../reducer/ExamSheetReducer';
import languageReducer from '../reducer/LanguageReducer';

const thunkMiddleware = require('redux-thunk').default;


const rootReducer = combineReducers({
    loginInfo: loginReducer,
    quiz:quizReducer,
    quizQuestion:questionsReducer,
    answerSheet:answerSheetReducer,
    language:languageReducer
})

const store = createStore(rootReducer,applyMiddleware(thunkMiddleware));

export default store;